1997-12-13  SL Baur  <steve@altair.xemacs.org>

	* help.el (describe-function-arglist): Restore.
	(describe-function-1): Correct typo.
	From Jamie Zawinski <jwz@netscape.com>

1997-12-13  Hrvoje Niksic  <hniksic@srce.hr>

	* cus-dep.el (Custom-make-dependencies): Cut a newline.

	* cus-edit.el (customize-changed-options): Handle output more nicely.
	(customize-changed-options): Mention `:version' instead of `:new'.
	(customize-changed-options): Use `push'.

1997-12-12  Colin Rafferty  <colin@xemacs.org>

	* window.el (shrink-window-if-larger-than-buffer): Modified the
	algorithm so that is calculates the amount it can shrink the
	buffer by shrinking the buffer itself first.

1997-12-10  Hrvoje Niksic  <hniksic@srce.hr>

	* undo-stack.el (trunc-stack-bottom): Don't terminate error
	message with a period.

	* cus-start.el: Synch quoter with `custom-quote'.

	* custom.el (custom-add-load): Update custom-group-hash-table.

1997-12-12  Hrvoje Niksic  <hniksic@srce.hr>

	* mouse.el (mouse-track-run-hook): Understand `make-local-hook'
 	convention.

	* custom.el (custom-add-version): New function, from FSF.
	(custom-handle-keyword): Use it.

	* cus-edit.el (custom-variable-prompt): Require match.
	(customize-changed-options): New function, from FSF.
	(customize-version-lessp): Ditto.

	* cus-edit.el (custom-quote): Defalias to `quote-maybe'.
	(customize-set-variable): Use `quote-maybe'.
	(customize-save-variable): Ditto.
	(custom-variable-value-create): Ditto.
	(custom-variable-set): Ditto.
	(custom-variable-save): Ditto.

	* cus-start.el: Use `quote-maybe'.

1997-12-11  Hrvoje Niksic  <hniksic@srce.hr>

	* simple.el (fsf:do-auto-fill): Comment out.

	* simple.el (set-goal-column): Be careful about the format
	argument to message.

	* cl-macs.el: New setf methods for: buffer-dedicated-frame,
 	console-type-image-conversion-list, default-toolbar-position,
 	device-class, extent-begin-glyph, extent-begin-glyph-layout,
 	extent-end-glyph, extent-end-glyph-layout, extent-keymap,
 	extent-parent, extent-properties, frame-selected-window,
 	itimer-function, itimer-function-arguments, itimer-is-idle,
 	itimer-recorded-run-time, itimer-restart, itimer-uses-arguments,
 	itimer-value, keymap-parents, marker-insertion-type,
 	mouse-pixel-position, trunc-stack-length, trunc-stack-stack,
 	undoable-stack-max and weak-list-list.

1997-12-12  SL Baur  <steve@altair.xemacs.org>

	* keydefs.el (global-map): Import C-x M-: keybinding for
	`repeat-complex-command' from Emacs 20.

1997-12-11  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* mule/mule-debug.el (list-charsets): Make it work.  Better
	formatting.

1997-12-11  SL Baur  <steve@altair.xemacs.org>

	* files.el (insert-file): Don't use format.el settings.

	* format.el (format-decode): Update docstring.

1997-12-09  SL Baur  <steve@altair.xemacs.org>

	* make-docfile.el (package-path): Set load-path from package path
	before collecting the files to dump.
	* update-elc.el (package-path): Ditto.

	* loadup.el: Comment changes, cleanup.

1997-12-09  Hrvoje Niksic  <hniksic@srce.hr>

	* etags.el (tags-loop-continue): Avoid giant `progn' in while test.
	(next-file): Use `pop'.

1997-12-08  Hrvoje Niksic  <hniksic@srce.hr>

	* etags.el (find-tag-internal): Set the initial fuzz offset to 100
 	instead of 1000.
	(find-tag-internal): Use `letf'.
	(tags-delete): Removed -- was unused.
	(set-buffer-tag-table): Use `expland-file-name'.
	(get-tag-table-buffer): Use `ecase'.
	(add-to-tag-completion-table): Mark the filename messages with
 	progress.
	(add-to-tag-completion-table): Use `char-after' instead of
 	`following-char'.
	(add-to-tag-completion-table): Use `match-string'.
	(complete-symbol): Use `error' instead of message+ding.
	(complete-symbol): Use `skip-syntax-forward'.
	(tag-complete-symbol): Autoload.
	(pop-mark-from-stack): Use `buffer-live-p'.
	(pop-tag-mark): Autoload the `M-*' binding.
	(list-tags): Made it work.

1997-12-09  SL Baur  <steve@altair.xemacs.org>

	* x-toolbar.el (toolbar-news): Fix typo.

1997-12-06  Jonathan Harris <jhar@tardis.ed.ac.uk>

	* dumped-lisp.el, emacs.c, symsinit.h, msw-init.el, 	  nt/xemacs.mak
	  Created files: msw-select.el, select-msw.c
	  Copy and paste 8-bit text to/from mswindows clipboard.

	* msw-faces.el: mswindows-make-font-bold[-italic]
	  Try to make the bold font the same width as the non-bold font.

1997-12-07  Hrvoje Niksic  <hniksic@srce.hr>

	* wid-edit.el (widget-prettyprint-to-string): Nix cl-prettyprint's 
	newlines.

1997-12-06  Hrvoje Niksic  <hniksic@srce.hr>

	* x-toolbar.el (toolbar-not-configured): Use `error'.
	(toolbar-compile): Restore `toolbar-already-run' feature from
	19.15.
	(toolbar-news): Use `eval' on non-symbols.
	(toolbar-info-frame-plist): Use the new `plist' widget.
	(toolbar-news-frame-plist): Ditto.

	* font-lock.el (font-lock-fontify-buffer-function): New variable,
 	synched with FSF Emacs 20.
	(font-lock-unfontify-buffer-function): Ditto.
	(font-lock-fontify-region-function): Ditto.
	(font-lock-unfontify-region-function): Ditto.
	(font-lock-inhibit-thing-lock): Ditto.

1997-12-07  SL Baur  <steve@altair.xemacs.org>

	* egg/egg-cwnn-leim.el (egg-pinyin-activate): New file.  Interface 
	to Chinese Wnn server.

	* egg/egg-kwnn-leim.el: New file.  Interface to Korean Wnn
	server.

	* dumped-lisp.el (preloaded-file-list): Dump LEIM integration
	files for kWnn and cWnn.

1997-11-30  Adrian Aichner  <aichner@ecf.teradyne.com>

	* build-report.el:
	Making better use of `custom'-features to represent various
	`build-report' variables.
	build-report-*-regexp have become lists which are or-ed together
	internally.
	customized group `build-report' is now a child of group `build' which is
	not release as of this version.
	Including comment now into build-report stating wheter all or just the
	most recent ./configure output is being inserted.

1997-12-01  Jonathon Harris <jhar@tardis.ed.ac.uk>

	* msw-init.el: Provide default bindings for cut, paste, copy and undo

1997-12-05  Hrvoje Niksic  <hniksic@srce.hr>

	* wid-edit.el: Ditto.
	(widget-prettyprint-to-string): Use `cl-prettyprint'.
	(widget-sexp-value-to-internal): Handle printed object beginning
	with newline.

	* cus-edit.el: Avoid `pp-to-string'.

1997-12-04  Hrvoje Niksic  <hniksic@srce.hr>

	* simple.el (display-warning): Use `with-current-buffer'.

	* font-lock.el (font-lock-mode): Use `lmessage'.
	(font-lock-fontify-buffer): Ditto.
	(font-lock-unfontify-region): Ditto.
	(font-lock-fontify-syntactically-region): Ditto.
	(font-lock-fontify-keywords-region): Ditto.
	(font-lock-fontify-keywords-region): Ditto.

	* simple.el (raw-append-message): Use `with-current-buffer'.
	(log-message-filter): Place `save-match-data' outside the loop.
	(log-message): Use `with-current-buffer'.
	(remove-message): Use `lwarn' to warn about the hook error.

	* lisp-mode.el: Indent `lmessage' and `lwarn' properly.

	* simple.el (lmessage): New function.
	(lwarn): Ditto.
	(kill-region): Use `lmessage' instead of `display-message'.
	(set-comment-column): Ditto.
	(set-fill-column): Ditto.

	* faces.el (get-custom-frame-properties): Don't use
 	`default-custom-frame-properties'.

	* font-lock.el: Customized variables.

	* font-lock.el: Customized faces.

	* font-lock.el: (font-lock-maximum-decoration): Default to t.

	* cus-edit.el (vms): Removed.

1997-12-03  Hrvoje Niksic  <hniksic@srce.hr>

	* cus-start.el: Ditto.

	* gui.el (dialog-frame-plist): Ditto.

	* gnuserv.el (gnuserv-frame-plist): Ditto.

	* frame.el: Use the `plist' widget type in defcustoms.

	* cus-edit.el (plist): New widget type.
	(custom-plist-convert-widget): New function.
	(custom-quote): Vectors and bit-vectors are also self-printable.

1997-12-05  Mark Borges  <mdb@cdc.noaa.gov>

	* mail/mail-extr.el (all-top-level-domains):
	Two letter country codes synched with 
	  http://www.iana.org/in-notes/iana/assignments/country-codes
	as updated by the RIPE Network Coordination Centre.
	Source: ISO 3166 Maintenance Agency 
	Latest change: Thu Aug  7 17:59:51 MET DST 1997

1997-12-03  Eric Eide  <eeide@cs.utah.edu>

	* files.el (set-auto-mode): Don't invoke
	  `hack-local-variables-prop-line' if `enable-local-variables'
	   is nil.

	* files.el (hack-local-variables-prop-line): Don't invoke
	  `hack-local-variables-p' for mode-only or empty -*- lines.
	  Don't test `enable-local-variables' before setting the mode;
	  instead, just verify that the specified major mode isn't the
	  current major mode.

1997-12-03  Hrvoje Niksic  <hniksic@srce.hr>

	* startup.el (load-init-file): Use a warning buffer in case of
 	error.

1997-12-05  SL Baur  <steve@altair.xemacs.org>

	* buffer.el (switch-to-buffer): Update docstring.
	Suggested by Adrian Aichner <aichner@ecf.teradyne.com>

1997-12-01  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* cus-edit.el (custom-unlispify-remove-prefixes): Reference to
	related variables added.
	(custom-variable-default-form): New variable controlling default
	display form for customization of variables.
	(custom-variable): widget `:form' is nil before initialization.
	(custom-variable-value-create): Initialize `:form' to
	`custom-variable-default-form'.
	(custom-face-default-form): New variable controlling default
	display form for customization of faces.
	(custom-face): widget `:form' is nil before initialization.
	(custom-face-value-create): Initialize `:form' to
	`custom-face-default-form'.

1997-11-28  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* misc/mic-paren.el: Define faces with `defface'.  Colors
	given for both dark and light backgrounds.  Keep face
	variables for backward compatibility.

1997-12-03  Hrvoje Niksic  <hniksic@srce.hr>

	* simple.el (temporary-goal-column): Made buffer-local.

1997-12-01  Hrvoje Niksic  <hniksic@srce.hr>

	* cus-edit.el (Custom-move-and-invoke): Removed.
	(custom-mode): Ditto for doc.

1997-12-02  SL Baur  <steve@altair.xemacs.org>

	* egg/egg-sj3-client.el (sj3-command-reset): Initial port to XEmacs.

	* egg/egg-sj3.el: Initial port to XEmacs.

	* egg/egg-leim.el (egg-activate): Define
	`egg-default-startup-file'.

	* language/japanese.el (japanese): Remove definition of
	`egg-default-startup-file'.

	* dumped-lisp.el (preloaded-file-list): Dump egg-sj3 and skk LEIM
	support.

	* egg/egg-sj3-leim.el: New file -- Add Egg/SJ3 support to LEIM.

1997-12-01  SL Baur  <steve@altair.xemacs.org>

	* locale/ja/locale-start.el (startup-splash-frame-body): Fix typo
	on advertised-undo.
	Suggested by: Hajime Saitou
	- Comment cleanup.

1997-11-30  SL Baur  <steve@altair.xemacs.org>

	* help-macro.el (help-read-key): Autoload.

1997-11-29  Hrvoje Niksic  <hniksic@srce.hr>

	* etags.el (buffer-tag-table-list): Check for `../TAGS'.
	(visit-tags-table): Disallow setting `tags-file-name' to a
	nonexistent file.

1997-11-29  SL Baur  <steve@altair.xemacs.org>

	* update-elc.el ((preloaded-file-list site-load-packages)): Modify 
	error message to be more build-report.el friendly.

	* dumped-lisp.el (preloaded-file-list): Remove tooltalk/ prefix
	from tooltalk dumped files.

	* symbol-syntax.el: Modify comments.

1997-11-29  Kyle Jones  <kyle_jones@wonderworks.com>

	* etags.el (find-tag-default): Use symbol-near-point
	  instead of thing-symbol to remove the dependency on
	  thing.el.

1997-11-29  SL Baur  <steve@altair.xemacs.org>

	* symbol-syntax.el: Unpackaged.
	* disp-table.el: Unpackaged.
	* picture.el: Unpackaged.
	* rect.el: Unpackaged.
	* lisp-mnt.el: Unpackaged.

	* mule/canna.el: Don't require emu.
	(canna:enter-canna-mode): Inline code for compatibility function
	`minibuffer-prompt-width'.

	* info.el (Info-find-node): Guard call to browse-url.
	* wid-edit.el (widget-url-link-action): Ditto.

	* hyper-apropos.el (hyper-apropos-get-doc): Use cl-prettyprint
	instead of pp.
	(hyper-apropos-disassemble): Ditto.

	* x-menubar.el (default-menubar): Disable WWW items in help menu
	if no browse-url.

	* help.el (xemacs-www-page): Print error message intead of bombing 
	if not browse-url.
	(xemacs-www-faq): Ditto.

	* files.el (recover-session): Print error message instead of
	bombing if no dired.
	(file-remote-p): Return nil if no ange-ftp and no efs.

	* format.el (format-encode-run-method): `shell-command-on-region'
	called with wrong number of args.
	(format-decode-run-method): Ditto.

	* buff-menu.el (Buffer-menu-toggle-read-only): Call
	modeline-toggle-read-only.

	* register.el (copy-rectangle-to-register): Check for rectangle
	functions.
	(insert-register): Ditto.

	* x-toolbar.el (pending-delete): Don't (require 'pending-del).
	* x-menubar.el (pending-delete): Don't (require 'pending-del).

	* x-menubar.el (bookmark-menu-filter): Add guards against bookmark 
	package not being loaded.

	* mule/char-table.el: Imported from tm.
	* mule/chartblxmas.el: Ditto.
	* alist.el: Ditto.
	* overlay.el: Unpackaged for Quail.
	
	* x-menubar.el (default-menubar): Put guard on evaluation of
	`ps-paper-type'.
	(default-menubar): Put guard on `paren-mode'.
	- Put guard on `mouse-avoidance-mode'.
	- Guard `font-lock' stuffs.
	- Guard browse-url stuffs.
	- Clean up old deprecated syntax.
	- Put guards on File, Edit, Apps, and Tools menus.

1997-11-28  Hrvoje Niksic  <hniksic@srce.hr>

	* x-toolbar.el (toolbar-news-frame-properties): Made customizable.

1997-11-27  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* lazy-shot.el (lazy-shot-stealth-timer): `defvar'.  Would
	bug out when setting `lazy-shot-stealth-time' to nil and visiting
	a buffer smaller than `lazy-shot-minimum-size'.
	(font-lock-mode-hook): Option is turn-on-lazy-shot.

1997-11-27  Kyle Jones  <kyle_jones@wonderworks.com>

	* etags.el: Support new `include'
	  directive.  Search for exact tag matches and then
	  inexact matches.

1997-11-26  SL Baur  <steve@altair.xemacs.org>

	* packages.el (packages-useful-lisp): advice.el is a package.

	* x-menubar.el (default-menubar): Make `Options ... Color Printing' 
	a toggle.

1997-11-26  Kyle Jones  <kyle_jones@wonderworks.com>

	* toolbar.el (init-toolbar-from-resrouces): Fix
	  parens to make valid if-expression.

1997-11-21  Hrvoje Niksic  <hniksic@srce.hr>

	* x-toolbar.el (toolbar-gnus): Respect
	`toolbar-news-use-separate-frame'.

1997-11-22  Hrvoje Niksic  <hniksic@srce.hr>

	* x-menubar.el (default-menubar): Use `bookmark-menu-filter'
	for the Bookmarks menu.
	(bookmark-menu-filter): Handle inactive submenus.

1997-11-25  Hrvoje Niksic  <hniksic@srce.hr>

	* custom.el (custom-declare-variable): Attach the symbol to 
	load history.

1997-11-23  SL Baur  <steve@altair.xemacs.org>

	* startup.el (find-emacs-root-internal-1): Erase references to
	prim.

	* blessmail.el: dumped-lisp.el has been moved.
	* font.el: ditto.
	* make-docfile.el: ditto.
	* package-admin.el: ditto.
	* update-elc.el: ditto.

	* about.el: Moved.
	* cleantree.el: ditto.
	* dumped-lisp.el: ditto.
	* sound.el: ditto.
	* winnt.el: ditto.

1997-11-22  Kyle Jones  <kyle_jones@wonderworks.com>

	* faces.el: Don't set global background pixmap
	  property of the modeline face to [nothing], as that
	  the attributeBackgroundPixmap X resource.

1997-11-21  SL Baur  <steve@altair.xemacs.org>

	* autoload.el: Moved.
	* config.el: ditto.
	* etags.el: ditto.
	* font-lock.el: ditto.
	* fontl-hooks.el: ditto.
	* gnuserv.el: ditto.
	* info.el: ditto.
	* shadow.el: ditto.
	* view-less.el: ditto.

1997-11-18  Colin Rafferty  <craffert@ml.com>

	* packages.el (packages-find-packages): Modified to allow `nil'
 	entry in the `package-path'.  All entries before the nil will be
 	prepended to the paths (as before).  All entries after nil will be
 	appended.

	* packages.el (locate-data-file): Implemented similar to
 	locate-data-directory.

1997-11-20  Kyle Jones  <kyle_jones@wonderworks.com>

	* x-faces.el: Add expression to xpm-color-symbols to
	  look for the global background resource when supporting
	  the backgroundToolBarColor XPM symbolic name.

1997-11-17 Marc Paquette   <marcpa@cam.org>

	* efs/dired.el: Removed special case for windows-nt in
	dired-get-filename(); no longer needed because we now do 
	CRLF->LF conversion upstream.

1997-11-18  Jonathan Harris <jhar@tardis.ed.ac.uk>

	* msw-faces.el: Actually does something.

1997-11-18  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* packages/font-lock.el (font-lock-fontify-anchored-keywords):
	Sync'd with FSF 20.2.
	(font-lock-keywords): Docstring partly sync'd with FSF 20.2.

1997-11-18  SL Baur  <steve@altair.xemacs.org>

	* egg/egg-leim.el (egg-activate): Call normal language setup
	function.
	- Call egg-mode
	- require egg-wnn

	* egg/egg-wnn.el (set-wnn-host-name): Use localhost as a fallback.
	(set-cwnn-host-name): Ditto.
	(set-kwnn-host-name): Ditto.
	(open-wnn-if-disconnected): Ditto.

1997-11-18  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/about.el (about-maintainer-info): Corrected typo.

	* x-toolbar.el (toolbar-mail): Use `eval' to evaluate forms.

	* cus-edit.el (customize-browse): Call `widget-add-change'.

1997-11-18  SL Baur  <steve@altair.xemacs.org>

	* utils/uniquify.el (uniquify-buffer-name-style): Fix typo.
	Suggested by: Michael Sperber <sperber@informatik.uni-tuebingen.de>

1997-11-18  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/about.el (about-news): Announce a way to leave the buffer.

1997-11-17  Kyle Jones  <kyle_jones@wonderworks.com>

	* x-toolbar.el (x-init-toolbar-from-resources):
	  Initialize the toolbar border width specifiers.

1997-11-17  SL Baur  <steve@altair.xemacs.org>

	* mule/mule-files.el: Add TUTORIAL.pl to
	`file-coding-system-alist'.
	* language/european.el: Add Polish language environment.

	* loadup.el: set inhibit-package-init when running from temacs.

1997-11-16  SL Baur  <steve@altair.xemacs.org>

	* prim/options.el: Fix comment typo.
	From Peter Pezaris <pez@dwwc.com>

1997-11-16  Kyle Jones  <kyle_jones@wonderworks.com>

	* prim/minibuf.el (reset-buffer): Make inhibit-read-only
	  local to the current buffer and set it to t to prevent
	  read-only text from permanently wedging the minibuffer.

1997-11-16  SL Baur  <steve@altair.xemacs.org>

	* packages/emacsbug.el (report-xemacs-bug): Handle case where
	` *Message-Log*' buffer has not already been created.
	* prim/help.el (view-lossage): Ditto.
	* prim/simple.el (show-message-log): Ditto.

1997-11-15  SL Baur  <steve@altair.xemacs.org>

	* packages.el (list-autoloads): Fix doubleslash problem.

1997-11-14  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el (widget-before-change): Check for inactive
	editable fields.

1997-11-13  SL Baur  <steve@altair.xemacs.org>

	* prim/about.el (about-xemacs): Update maintainers.

1997-11-12  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/cus-edit.el (custom-face-save): Save the face.

1997-11-13  Kyle Jones  <kyle_jones@wonderworks.com>

	* packages/font-lock.el (font-lock-fontify-keywords-region):
	  If not fontifying a MATCH-ANCHORED style keyword,
	  backtrack to just after the end of the keyword before
	  doing the next search.

1997-11-13  Olivier Galibert  <olivier.galibert@mines.u-nancy.fr>

	* language/vietnamese.el: Synched ccl with FSF 20.2.

	* language/cyrillic.el: Synched ccl with FSF 20.2.

	* language/chinese.el: Synched ccl with FSF 20.2.

	* mule/mule-ccl.el: Synched with FSF 20.2.

1997-11-12  SL Baur  <steve@altair.xemacs.org>

	* leim/quail.el (quail-translation-keymap): Guard against
	meta-prefix-char being -1 (documented as disabling it :-().
	(quail-simple-translation-keymap): Ditto.
	(quail-conversion-keymap): Ditto.

1997-11-11  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/cus-face.el (custom-face-attributes): Use
 	`set-face-stipple' instead of `set-face-background-pixmap'.

	* prim/faces.el (set-face-stipple): Search through
	x-bitmap-file-path.

1997-11-09  Hrvoje Niksic  <hniksic@srce.hr>

	* speedbar/speedbar.el (speedbar-needed-height): New function.
	(speedbar-frame-mode): Use it.

1997-11-07  Karl M. Hegbloom  <karlheg@inetarena.com>

	* speedbar/speedbar.el: Various docfixes.

1997-11-12  SL Baur  <steve@altair.xemacs.org>

	* pcl-cvs/pcl-cvs-xemacs.el: Fix emerge menu item.
	From Jens Krinke <krinke@ips.cs.tu-bs.de>

	* mule/mule-cmds.el (set-language-info): Don't add mule menu if
	menubars haven't been compiled in.

1997-11-10  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* custom/cus-edit.el (custom-file): Use `user-init-directory'
	instead of `emacs-user-extension-dir'.

1997-11-12  SL Baur  <steve@altair.xemacs.org>

	* modes/image-mode.el: Add command to enter xpm mode when viewing XPM
	image.
	From:  Jens Krinke <krinke@ips.cs.tu-bs.de>

1997-11-12  Greg Klanderman  <greg@alphatech.com>

	* packages/compile.el (compilation-build-compilation-error-regexp-alist): 
	Added documentation for this function.
	
	** (compilation-error-regexp-systems-list): Update documentation
 	to note that `compilation-build-compilation-error-regexp-alist'
 	must be called after changing the value.  Update customization to
 	add a set method which automatically calls
 	`compilation-build-compilation-error-regexp-alist' when the value
 	is set by custom.  Move declaration below declarations that it now
 	depends upon.

	** (compilation-mouse-motion-initiate-parsing): Default to nil.

1997-11-12  Hrvoje Niksic  <hniksic@srce.hr>

	* help.el (help-for-help): Use `make-help-screen'.
	* help-macro.el:  New file.

1997-11-10  SL Baur  <steve@altair.xemacs.org>

	* x-menubar.el (options-menu-saved-forms):
	`current-language-environment' is a variable now.

	* packages/add-log.el (TopLevel): Require 'fortran only if it is
	available.

	* modes/lazy-shot.el (lazy-shot-unstall): Add guard on removing
	the timer because the timer may not have been installed first.

1997-11-10  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/frame.el (default-deselect-frame-hook): Dehighlight the
	currently highlighted extent.

1997-11-09  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/help.el (describe-variable): Add proper spacing.

1997-11-10  SL Baur  <steve@altair.xemacs.org>

	* utils/browse-url.el (TopLevel): Guard against term not being in
	the load path.
	(browse-url-lynx-emacs): Attach guards against term not being in
	the load path.

1997-11-09  SL Baur  <steve@altair.xemacs.org>

	* packages/autoinsert.el: Fix bottom of lisp file template.

1997-11-09  Kyle Jones  <kyle_jones@wonderworks.com>

	* gui.el: For gui-button-face, set
	  foreground/background colors only on X devices.
	  Previously they were set for all devices.

1997-11-09  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/extents.el (extent-keymap): New function.

1997-11-09  Kyle Jones  <kyle_jones@wonderworks.com>

	* specifier.el: Define specifier tags for the
	  device types that do not have compiled in support.
	  This allows device type specific properties to be set
	  in specifiers even if the device type isn't supported
	  in the current binary.

1997-11-07  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el (widget-glyph-pointer-glyph): New variable.
	(widget-glyph-insert-glyph): Use it.

1997-11-09  SL Baur  <steve@altair.xemacs.org>

	* files.el (find-file-noselect): Guard against dired not being
	available.

1997-11-09  Kyle Jones  <kyle_jones@wonderworks.com>

	* gui.el: Set the reverse-p property on
	  gui-button-face so that it will likely look different
	  than the default face on ttys.

1997-11-09  SL Baur  <steve@altair.xemacs.org>

	* x-menubar.el (default-menubar): Strokes has been packaged.

1997-11-08  SL Baur  <steve@altair.xemacs.org>

	* prim/about.el (about-hackers): New entries.

	* utils/shadow.el (list-load-path-shadows): Supress message when
	no shadowings are found.

	* loadup.el: Modify algorithm for finding initial lisp directories 
	since the search now starts from lisp/ not lisp/prim/.
	* update-elc.el: Ditto.
	* make-docfile.el: Ditto.

1997-11-07  SL Baur  <steve@altair.xemacs.org>

	* prim/dumped-lisp.el: "lib-complete" is not dumped with InfoDock.
	* utils/finder.el (finder-known-keywords): New keyword -- `dumped'.

	* version.el:  Cleaned up Lisp comments.
	* paths.el: Ditto.
	* x-menubar.el: Ditto.
	* x-faces.el: Ditto.
	* x-iso8859-1.el: Ditto.
	* x-mouse.el: Ditto.
	* x-select.el: Ditto.
	* x-scrollbar.el: Ditto.
	* x-misc.el: Ditto.
	* x-init.el: Ditto.
	* x-toolbar.el: Ditto.

	* backquote.el: Moved to top-level.  Cleaned up Lisp comments.
	* packages.el: Ditto.
	* subr.el: Ditto.
	* replace.el: Ditto.
	* cl.el: Ditto.
	* cl-extra.el: Ditto.
	* cl-seq.el: Ditto.
	* widget.el: Ditto.
	* custom.el: Ditto.
	* cus-start.el: Ditto.
	* cmdloop.el: Ditto.
	* keymap.el: Ditto.
	* syntax.el: Ditto.
	* device.el: Ditto.
	* console.el: Ditto.
	* obsolete.el: Ditto.
	* specifier.el: Ditto.
	* faces.el: Ditto.
	* glyphs.el: Ditto.
	* objects.el: Ditto.
	* extents.el: Ditto.
	* events.el: Ditto.
	* text-props.el: Ditto.
	* process.el: Ditto.
	* frame.el: Ditto.
	* map-ynp.el: Ditto.
	* simple.el: Ditto.
	* keydefs.el: Ditto.
	* abbrev.el: Ditto.
	* derived.el: Ditto.
	* minibuf.el: Ditto.
	* list-mode.el: Ditto.
	* modeline.el: Ditto.
	* startup.el: Ditto.
	* misc.el: Ditto.
	* help-nomule.el: Ditto.
	* help.el: Ditto.
	* files-nomule.el: Ditto.
	* files.el: Ditto.
	* lib-complete.el: Ditto.
	* format.el: Ditto.
	* indent.el: Ditto.
	* isearch-mode.el: Ditto.
	* buffer.el: Ditto.
	* buff-menu.el: Ditto.
	* undo-stack.el: Ditto.
	* window.el: Ditto.
	* window-xemacs.el: Ditto.
	* lisp.el: Ditto.
	* page.el: Ditto.
	* register.el: Ditto.
	* iso8859-1.el: Ditto.
	* paragraphs.el: Ditto.
	* easymenu.el: Ditto.
	* lisp-mode.el: Ditto.
	* text-mode.el: Ditto.
	* fill.el: Ditto.
	* auto-save.el: Ditto.
	* float-sup.el: Ditto.
	* itimer.el: Ditto.
	* itimer-autosave.el: Ditto.
	* toolbar.el: Ditto.
	* scrollbar.el: Ditto.
	* menubar.el: Ditto.
	* dialog.el: Ditto.
	* gui.el: Ditto.
	* mode-motion.el: Ditto.
	* mouse.el: Ditto.
	* tty-init.el: Ditto.
	* auto-show.el: Ditto.

1997-11-07  Kyle Jones  <kyle_jones@wonderworks.com>

	* modes/abbrev.el (abbrev-prefix-mark): Instead of
	  inserting a dash to indicate the start of the abbrev,
	  add an extent with a begin-glyph that contains a dash.

Wed Nov 05 23:40:00 1997 Jonathan Harris <jhar@tardis.ed.ac.uk>

	* faces.el: init-other-random-faces
 	  Reinstated code that uses (mono x) as a specifer tag, but
	  conditioned it on (featurep 'x) because x is not a valid
	  specifier tag under native-win32.
	
	* Added file headers to:
	  w32-faces.el, w32-init.el

1997-11-06  Hrvoje Niksic  <hniksic@srce.hr>

	* facemenu.el (facemenu-insert-menu-entry): Check for
	menubar availability.

	* easymenu.el (easy-menu-change): Check for menubar
	availability.

	* wid-edit.el (widget-echo-help): Use `help-echo' as label
	for help-echo messages.

Sun Nov 01 12:00:00 1997 Jonathan Harris  <jhar@tardis.ed.ac.uk>

	* make-docfile.el: Fixed typo when dumped file does not exist.

	* device.el: make-w32-device added.

	* dumped-lisp: added w32-faces and w32-init to list.

	* faces.el:
	  - make-face-*: Added calls to appropriate w32 functions
	    conditioned on (featurep 'w32). Made existing X calls
	    conditioned on (featurep 'x).
	  - init-other-random-faces: Hacked out a piece of code which used
	    (mono x) as a specifier because it made w32 unhappy.

	* New files:
	  w32-faces.el, w32-init.el

1997-11-07  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/mouse.el (default-mouse-motion-handler): When over
 	modeline, correctly dehighlight the last extent.

1997-11-07  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/minibuf.el (mouse-read-file-name-1): Ditto.

	* packages/balloon-help.el (balloon-help-make-help-frame): Ditto.

	* games/life.el (life-setup): Check for scrollbars before using
 	them.

1997-11-07  Hrvoje Niksic  <hniksic@srce.hr>

	* hm--html-menus/hm--html-mode.el (hm--html-minor-mode): Ditto.

	* hm--html-menus/hm--html-menu.el ((adapt-xemacsp)): Ditto.

	* comint/gud.el (gdb-install-menubar): Ditto.

	* calendar/calendar.el (calendar-mode): Ditto.

	* auctex/bib-cite.el (bib-cite-initialize): Ditto.

	* utils/floating-toolbar.el (floating-toolbar): Ditto.

	* utils/edit-toolbar.el (edit-toolbar-mode): Ditto.

	* utils/browse-cltl2.el (cltl2-lisp-mode-install): Ditto.

	* modes/view-process-xemacs.el
 	(View-process-install-pulldown-menu): Ditto.

	* modes/verilog-mode.el (verilog-mode): Ditto.

	* modes/tcl.el (tcl-mode): Ditto.

	* modes/f90.el (f90-mode): Ditto.

	* packages/emerge.el (emerge-set-keys): Ditto.

	* packages/tar-mode.el (tar-mode): Check for menubars.

1997-11-07  Kyle Jones  <kyle_jones@wonderworks.com>

	* prim/modeline.el (mouse-drag-modeline): Don't
	  allow the window size to shrink to a size that is not a 
	  multiple of the height of the default face's font.

	* prim/modeline.el (mouse-drag-modeline): Don't
	  discard timeout events.

1997-11-07  SL Baur  <steve@altair.xemacs.org>

	* prim/simple.el (universal-argument-minus): Retain zmacs region.

1997-11-07  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/hyper-apropos.el (hyper-apropos-grok-functions): Ignore
	errors when fetching documentation.

	* prim/about.el (about-maintainer-glyph): Handle not having XPM or
	XBM gracefully.

	* custom/wid-edit.el (widget-glyph-find): Allow glyphs without
	window-system, when TAG is nil.

1997-11-05  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* mule/mule-cmds.el (set-default-coding-systems): Make
	add-hook to `comint-exec-hook' be an append, for when the user 
	changes language environment say.

1997-11-05  SL Baur  <steve@altair.xemacs.org>

	* prim/winnt.el: Use a cleaner method for getting Text/Binary file 
	type in the mode-line for MS Windows.

1997-11-06  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/mouse.el: Removed "junk me" functions.

	* prim/mouse.el (default-mouse-motion-handler): Make events over
	modeline invalidate `point'.

	* prim/mouse.el (mouse-line-length): Use point-at-eol and
 	point-at-bol.
	(default-mouse-track-normalize-point): Highlight the whole symbol
	only if the mouse is on a symbol-constituent.

	* custom/wid-edit.el (widget-specify-field): Make sure the extent
	is end-open.

	* prim/keymap.el (next-key-event): Use `next-command-event'.

1997-11-05  Hrvoje Niksic  <hniksic@srce.hr>

	* utils/easymenu.el (easy-menu-add): Check with `equal' whether
	the menu already belongs to all-popups.

1997-11-05  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* packages/font-lock.el (font-lock-thing-lock-cleanup):
	Provisionally add lazy-shot

	* modes/lazy-shot.el (lazy-shot-mode): Unstall lazy-shot only if
	needed.
	(lazy-shot-fontify-internal): Functionality put in seperate function.
	(lazy-shot-lock-extent): Use it.
	(lazy-shot-fontify-region): Dumb implementation added.
	(lazy-shot-unstall-after-fontify): Needed to disable lazy
	fontifying after fontify-buffer.
	(lazy-shot-unstall): Make sure buffer is left in a fontified state if
	needed. Take optional argument.
	

	* packages/ps-print.el (ps-print-ensure-fontified): Added
	temporary support for lazy-shot.

1997-11-05  Hrvoje Niksic  <hniksic@srce.hr>

	* utils/text-props.el (set-text-properties): Updated docstring.

1997-11-04  Didier Verna  <verna@inf.enst.fr>

	* mule/mule-cmds.el (set-default-coding-systems): 
	The coding-system argument to comint-exec-hook wasn't evaluated 
	before building the lambda expression.

1997-11-04  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* packages/time.el: Change all occurences of ballon to balloon.

1997-11-04  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* prim/help.el (function-at-point-function): Remove this variable.
	(function-at-point): Remove use of `function-at-point-function'.

	* packages/info.el (Info-elisp-ref): Change call to
	`find-function-function' to `function-at-point'.

1997-11-04  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* packages/info.el (Info-elisp-ref): Really change call to
	`find-function-function' to `function-at-point'.

1997-11-04  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/auto-save.el: Updated commentary; changed default
	autosave fallback to "~/.autosave".  Minor changes to compile
	without warnings.

1997-11-03  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/subr.el (function-interactive): New function.

1997-11-03  SL Baur  <steve@altair.xemacs.org>

	* prim/dumped-lisp.el: Dump auto-save with XEmacs.

	* prim/loadup.el: Make sure top level lisp directory gets a
	trailing slash when added to load-path.
	* prim/make-docfile.el:  Ditto.

1997-11-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* prim/simple.el (interprogram-cut-function,
	interprogram-paste-function): New variable (imported from Emacs
	20.2).
	(kill-new): Use `interprogram-cut-function' if it is not nil.
	(current-kill): Use `interprogram-paste-function' if it is not
	nil.

1997-11-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* locale/ja/locale-start.el (startup-splash-frame-body): Modify to
	be more natural Japanese.

	* x11/x-menubar.el: Delete "language environment" menu of
	"Options" menu.

1997-11-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* language/korean.el: Rename TUTORIAL.kr -> TUTORIAL.ko to fit
	with ISO 639 (two letter language code).

	* prim/dumped-lisp.el: Don't dump language/vietnamese.el because
	language/viet-util.el was removed temporary.

	* language/japanese.el: Rename TUTORIAL.jp -> TUTORIAL.ja to fit
	with ISO 639 (two letter language code).

1997-10-31  Pete Ware  <ware@cis.ohio-state.edu>

	* shell.el (shell-chdrive-regexp): New for DOS/NT
	(shell-mode): Added shell-font-lock-keywrods
	(shell-mode): Use $PWD for ksh
	(shell-directory-tracker): Use dirs and dirtrack-toggle.  This may 
		cause problems at is interferes with "dired"
	(shell-snarf-envar): NEW
	(shell-copy-environment-variable): NEW

1997-10-30  Pete Ware  <ware@cis.ohio-state.edu>

	* comint.el (comint-mode-map): Rearranged menus so they have a
		  meaningful name.

1997-10-30  Pete Ware  <ware@cis.ohio-state.edu>

	* comint.el (comint-find-source-file-hook):
	(comint-goto-source-line-hook):
	(comint-find-source-code):
	(comint-default-find-source-file):
	(comint-fixup-source-file-name):
	(comint-default-goto-source-line):  Removed.  compile.el does a
		better job of this stuff.

	* comint.el
	(comint-file-name-chars): Support for msdos/nt
	- Let easymenu deal with whether menubar is available.
	- Use ^d for delchar or maybe eof.
	- Use "dumb" as the terminal type if on a system using terminfo
	(comint-output-filter): Removed replacement of ^M -- use filter
	(comint-dynamic-complete-as-filename): Don't set
		file-name-handler-alist to nil.  This makes remote path
		completion work!

1997-11-02  SL Baur  <steve@altair.xemacs.org>

	* prim/advocacy.el (xemacs-praise-sound-file): Don't default to
	using a hardcoded directory.

	* eterm/term.el (term-is-xemacs): Match against XEmacs instead of
	Lucid.

	* eos/sun-eos-toolbar.el (eos::toolbar-icon-directory): Use
	`locate-data-directory' instead of data-directory.
	* eterm/term.el (term-exec-1): Ditto.
	* packages/time.el (display-time-icons-dir): Ditto.
	* prim/advocacy.el (praise-be-unto-xemacs): Ditto.
	* prim/sound.el (default-sound-directory): Ditto.
	* prim/toolbar.el (init-toolbar-location): Ditto.

1997-10-31  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el (widget-color-complete): Use
	`read-color-completion-table' directly.

	* prim/subr.el (rplaca): Warn against the return value.
	(replace-in-string): Use `wrong-type-argument'.  Use standard
 	error message.
	(functionp): Would bug out on certain types of objects; synch with
 	FSF.
	(with-output-to-string): Use new-style backquotes.
	(with-temp-buffer): Update docstring references.

	* prim/minibuf.el (reset-buffer): Use `with-current-buffer'.
	(read-color-completion-table): Ditto.
	(read-color-completion-table): Complete TTY colors on TTY devices.

	* custom/cus-start.el: Customize `scroll-conservatively'.
	Customize `help-char' correctly.

1997-11-02  SL Baur  <steve@altair.xemacs.org>

	* packages/desktop.el (toplevel): Don't require dired or reporter
	when byte compiling.

1997-11-02  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/keymap.el (synthesize-keysym): Collect a list of
	characters, instead of consing a string each time.
	(synthesize-keysym): Better error checking.

	* prim/keymap.el (synthesize-keysym): Don't bug out when reading a 
	non-character event.

1997-11-02  Tomasz Cholewo  <tjchol01@mecca.spd.louisville.edu>

	* prim/keymap.el (synthesize-keysym): New function bound to C-x @ k.

1997-11-02  Kyle Jones  <kyle_jones@wonderworks.com>

	* modes/sendmail.el: Don't (require 'vm-misc).  Change
	  mail-do-fcc-vm-internal to not compile the chunk of code
	  that uses VM internal macros.  This prevents the byte
	  compiler from compiling such references into function
	  calls that Fbyte_code will complain about later when it
	  discovers that the references are macros.

	* modes/sendmail.el: added defvars for
	  rmail-summary-buffer and rmail-total-messages to get
	  rid of compiler warnings.
1997-11-01  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/subr.el (lambda): Moved from `packages.el'.

	* prim/packages.el: Updated commentary.
	(packages-useful-lisp): Added `cl-macs'.

1997-10-27  Didier Verna  <verna@inf.enst.fr>

	* prim/help-nomule.el (help-with-tutorial): The 'didactic' blank
	lines message is now taken directly from each tutorial, and thus
 	can appear in different languages.

	* mule/mule-help.el (help-with-tutorial): idem

1997-10-26  Karl M. Hegbloom  <karlheg@inetarena.com>

	* utils/shadowfile.el (shadow-clusters): Customized.
	(shadow-read-files): replace obsolete `eval-current-buffer'
	(shadow-parse-fullpath): `efs-ftp-name' doesn't exist.  change to
	`efs-ftp-path'

1997-11-01  SL Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el:  Change Viper menu item to use
	`toggle-viper-mode'.
	Suggested by Michael Kifer <kifer@CS.SunySB.EDU>

	* mule/mule-init.el:  Remove `help-with-tutorial-for-mule'.
	Suggested by Didier Verna <verna@inf.enst.fr>

	* Disable Cyrillic CCL until CCL engine gets fixed.
	From: Martin Buchholz <mrb@Eng.Sun.COM>

1997-10-30  Colin Rafferty  <craffert@ml.com>

	* prim/startup.el (command-line-early): Made it recognize
	--vanilla and --no-packages, as is already done in emacs.c.

1997-10-30  Karl M. Hegbloom  <karlheg@inetarena.com>

	* modes/cperl-mode.el: Add Commentary and Code statements to
 	comment header for finder.

1997-10-30  SL Baur  <steve@altair.xemacs.org>

	* vm/vm-vars.el (vm-image-directory): Use locate-data-directory if 
	it exists.

	* language/european.el: Remove erroneous references to
	`Serbo-Croatian'.
	* language/cyril-util.el: Ditto.
	* leim/quail/cyrillic.el: Ditto.

	* comint.el:  reverse previous patch

1997-10-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule/mule-init.el (init-mule): Load locale-start even if lang is
	not exactly matched.

	* mule/mule-init.el (auto-language-alist): Modify for new language
	environment feature.
	(init-mule): Modify for new language environment feature.

1997-10-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* language/korean.el (setup-korean-environment): Modify for
	XEmacs.

	* language/greek.el: Modify setting about language environment.

	* language/european.el: Fix setting for Croatian language
	environment.

	* language/vietnamese.el: Fix setting about language environment.

	* language/viet-util.el (setup-vietnamese-environment): Modify for
	XEmacs.

	* language/cyril-util.el (setup-cyrillic-iso-environment): Modify
	for XEmacs.
	(setup-cyrillic-koi8-environment): Modify for XEmacs.
	(setup-cyrillic-alternativnyj-environment): Modify for XEmacs.

1997-10-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* language/hebrew.el (setup-hebrew-environment): Modify for
	XEmacs.

	* mule/mule-cmds.el (set-default-coding-systems): New function.
	(set-language-info): Fix about menu.
	(read-input-method-name, toggle-input-method): Sync with Emacs
	20.2.

	* language/cyril-util.el: Modify header.

	* language/cyril-util.el
	(setup-cyrillic-alternativnyj-environment): Modify for XEmacs.

	* language/cyril-util.el: New file; imported from Emacs 20.2.

	* language/japan-util.el (setup-japanese-environment): Use
	`set-default-coding-systems'.

	* language/european.el (setup-8-bit-environment): Modify for
	XEmacs.

	* language/english.el (setup-english-environment): Use
	`set-default-coding-systems'.

	* language/chinese.el: Modify for XEmacs.

	* language/china-util.el (setup-chinese-gb-environment,
	setup-chinese-big5-environment): Use `set-default-coding-systems'.

	* mule/mule-files.el (file-coding-system-alist): Fix typo.

1997-10-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* prim/dumped-lisp.el: Abolish Thai support temporary.

	* language/thai.el, language/thai-util.el: Delete Thai specific
	files because composite character features don't work in XEmacs.

	* language/japan-util.el: Modify header.

	* language/chinese.el: Abolish `Chinese-CNS' environment
	temporary.

	* language/china-util.el: Abolish `setup-chinese-cns-environment'
	temporary.

	* language/china-util.el (setup-chinese-big5-environment): Modify
	for XEmacs.

	* language/china-util.el (setup-chinese-gb-environment): Modify
	for XEmacs.

	* language/chinese.el: Delete set-coding-category-system for big5.

	* language/japan-util.el (setup-japanese-environment): Modify for
	XEmacs.

	* language/japanese.el: Delete set-coding-category-system for
	shift-jis.

	* language/english.el (setup-english-environment): Modify for
	XEmacs.

1997-10-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* language/auto-autoloads.el: New file.

	* mule/mule-files.el (file-coding-system-alist): Add setting for
	TUTORIAL.hr to iso-8859-2.

	* leim/quail/tibetan.el, leim/quail/ethiopic.el,
	leim/quail/japanese.el, leim/quail/lao.el, leim/quail/lrt.el,
	leim/quail/devanagari.el: Delete broken features temporary.

	* language/tibetan.el, language/indian.el, language/lao-util.el,
	language/lao.el, language/tibet-util.el, language/ethio-util.el,
	language/ethiopic.el, language/devanagari.el: Delete broken
	features temporary.

	* mule/mule-cmds.el (universal-coding-system-argument): New
	function; imported from Emacs 20.2.

1997-10-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* language/korean.el, language/thai.el, language/vietnamese.el,
	language/chinese.el, language/japanese.el, language/arabic.el,
	language/ethiopic.el: Abolish setting for old language
	environment.

	* language/hebrew.el: Modify for XEmacs.

	* Use language/hebrew.el instead of mule/hebrew-hooks.el; abolish
	mule/hebrew-hooks.el.

	* mule/mule-misc.el: Abolish old language environment features.

	* mule/mule-init.el: Delete old language environment specific
	features temporary.

	* prim/dumped-lisp.el: Use language/hebrew.el instead of
	hebrew-hooks.el.

	* mule/mule-cmds.el (describe-language-environment): Modify for
	XEmacs because `coding-system-mnemonic' returns string instead of
	character in XEmacs.

	* mule/mule-cmds.el: Sync with Emacs 20.2 about language
	environment.

	* mule/mule-cmds.el: Don't use `mule-prefix'.

1997-10-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* language/ethiopic.el (ccl-encode-ethio-font): Modify to sync
	with Emacs 20.2.

1997-10-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule-diag.el (list-coding-systems): Modify for XEmacs.

1997-10-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule/mule-files.el (find-coding-system-magic-cookie): Regard top
	line magic.
	(load): Use `find-file-coding-system-for-read-from-filename'.

	* language/arabic-util.el: Use iso-2022-7bit.

1997-10-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule-diag.el (describe-designation): Moved from mule-debug.el.
	(describe-coding-system): Use `describe-designation'.

	* mule-debug.el: Move function `describe-designation' to
	mule-diag.el; Abolish function `describe-coding-system' because of
	using it in mule-diag.el.

	* mule-coding.el (keyboard-coding-system): New inline function.
	(terminal-coding-system): New inline function.

	* mule-cmds.el: Bind `describe-coding-system' to C-h C instead of
	`describe-current-coding-system' to sync with Emacs 20.2.

	* mule-diag.el: Abolish `print-designation' because it does not
	work in XEmacs.

	(describe-coding-system): Modify for XEmacs.
	(print-coding-system-briefly): Modify for XEmacs.
	(describe-current-coding-system): Modify for XEmacs.

	* mule-coding.el: Abolish function `coding-system-charset'
	(defined as builtin function).

	* mule-diag.el: New file; imported from Emacs 20.2.

	* mule-misc.el (set-buffer-process-coding-system): New function;
	imported from mule.el of Emacs 20.2.

	* mule-cmds.el: Bind `set-buffer-process-coding-system' to C-x C-m
	p and abolish C-x C-m P.

	* mule-files.el (load): Use `binary' instead of `no-conversion'.

1997-10-28  Kyle Jones  <kyle_jones@wonderworks.com>

	* modes/enriched.el (enriched-face-ans): Use
	  color-name instead of color-instance-name.
	  color-instance-name will not handle the specifiers that 
	  are passed as arguments.

1997-10-28  Tomasz Cholewo  <tjchol01@mecca.spd.louisville.edu>

	* prim/find-func.el (find-function-noselect): Fix nil argument
 	handling and add support for dumped macros.

1997-10-28  SL Baur  <steve@altair.xemacs.org>

	* pcl-cvs/pcl-cvs-xemacs.el: Add `cvs-mode-update-no-prompt' to menu.
	From Stig Bjorlykke <stigb@tihlde.hist.no>

1997-10-28  Didier Verna  <verna@inf.enst.fr>

	* packages/man.el (manual-entry): corrected the `when'
	form to include 'section' in the buffer name.

1997-10-28  SL Baur  <steve@altair.xemacs.org>

	* prim/packages (packages-find-pacakges): Fix test on 
	inhibit-package-init

1997-10-27  Tomasz Cholewo  <tjchol01@mecca.spd.louisville.edu>

	* prim/keymap.el (event-apply-modifier): Fix the return type and
	scan the function-key-map.
	(next-key-event): New function.
	(key-sequence-list-description): Ditto.

1997-10-27  SL Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el: Turn off `popup-menubar-menu' keybinding.

	* prim/dumped-lisp.el (preloaded-file-list): Dump canna-leim and
	egg-leim with XEmacs.

	* mule/canna-leim.el: Clean up file for dumping with XEmacs.
	* egg/egg-leim.el: Ditto.

1997-10-27  Stephen J. Turnbull <turnbull@sk.tsukuba.ac.jp>

	* mule/canna-leim.el: Register Canna with LEIM when loaded

	* mule/canna.el (canna): Bind `canna-toggle-japanese-mode' to
	"\C-o" only if LEIM is not present

	* egg/egg-leim.el: Registers EGG/Wnn with LEIM when loaded

	* egg/egg.el: Bind `toggle-egg-mode' to "\C-\" only if LEIM is
	not present when loaded 

1997-10-27  SL Baur  <steve@altair.xemacs.org>

	* prim/about.el: Update entries

1997-10-26  SL Baur  <steve@altair.xemacs.org>

	* prim/startup.el (startup-message-timeout): Startup message
	timeout is too short.

	* mule/canna.el (canna): Move canna-toggle-japanese-mode
	keybinding to C-\.

	* emulators/edt-mapper.el (edt-lucid-emacs19-p): Test for XEmacs
	instead of Lucid in `emacs-version'.

1997-10-25  SL Baur  <steve@altair.xemacs.org>

	* mule/mule-cmds.el: describe-language-support,
	describe-language-support-internal removed.

Fri Aug  8 12:58:00 1997  David Byers  <davby@sen2.ida.liu.se>

	* fill.el (fill-region-as-paragraph): When justifying, check for
 	end-of-buffer at the end of whitespace point is sitting in, and
 	delete the trailing whitespace if we are on the last line.

1997-10-24  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/about.el (about-finish-buffer): Kill the buffer, when
	button documents so.

1997-10-24  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* pcl-cvs.el (cvs-parse-stderr): Ignore ssh-askpass message.

1997-10-20  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/packages.el (locate-library): Make NOSUFFIX not affect
 	compression.

1997-10-24  SL Baur  <steve@altair.xemacs.org>

	* modes/c-comment.el:  Create c-comment-edit-map.
	(c-comment-edit): Fix docstring, use new keymap.
	Suggested by Chris Felaco <felaco@iatcmail.ed.ray.com>

	* prim/help-nomule.el (tutorial-supported-languages): Add
	Norwegian.

	* prim/simple.el (assoc-ignore-case): Synch with Emacs 20.1.

	* mule/mule-cmds.el (set-language-info): Forgot to set any data
	values in language-alist.
	(read-multilingual-string): Fix call to `read-string'.

1997-10-22  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/backup-dir.el (bkup-backup-directory-info): customized,
 	with :require so it loads automagicly if you've set it.  Docstring
 	updated to reflect that, and reformatted for easier reading.

	* packages/jka-compr.el (jka-compr-compression-info-list):
 	Docstring clarification: what does the append flag do?

	* prim/minibuf.el (minibuffer-electric-slash): leave efs prefix
 	and ~\(blah\)? when / is pressed.

1997-10-24  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* efs/dired.el (dired-create-files): Get mark-char thing working
	again: replace `integerp' by `characterp'.
	(dired-add-entry): Ditto.
	(dired-add-entry-do-indentation): Ditto.

1997-10-24  Hrvoje Niksic  <hniksic@srce.hr>

	* x11/x-faces.el (*try-oblique-before-italic-fonts*): Customized.

1997-10-23  SL Baur  <steve@altair.xemacs.org>

	* prim/startup.el (command-line-do-help): Add Documentation for
	-vanilla and -no-packages.
	(command-line-early): Implement them.

	* prim/packages.el (inhibit-package-init): New variable.
	(packages-find-packages): Use it.


	* packages/jka-compr.el (jka-compr-compression-info-list):
	Add bzip2 extensions.
	From Tomasz Cholewo <tjchol01@mecca.spd.louisville.edu>

1997-10-22  Karl M. Hegbloom  <karlheg@inetarena.com>

	* comint/comint.el (comint-scroll-show-maximum-output): fixups to
 	docstring, and to :type to allow numbers.
	(comint-postoutput-scroll-to-bottom): Added window arg to
 	`recenter' call to fix the horrid flash and global recentering,
 	and uncommented the code allowing numeric values for
 	`comint-scroll-show-maximum-output'.

1997-10-23  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/info.el (Info-mode): Don't initialize faces.

	* packages/info.el: Use `defface' to initialize faces.

1997-10-23  Karl M. Hegbloom  <karlheg@inetarena.com>

	* modes/cperl-mode.el (cperl-here-face): fix the horrible invisible
 	green default face.

1997-10-23  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el (widget-choose): Acknowledge aborted choice
	with a `Canceled' message, even if C-g wasn't pressed explicitly.

1997-10-23  Per Abrahamsen  <abraham@dina.kvl.dk>

	* custom/cus-edit.el (hook): Use `widget-group-match' instead of
	`widget-editable-list-match'. 

1997-10-23  SL Baur  <steve@altair.xemacs.org>

	* modes/c-comment.el (c-comment-edit): Fixed autoload cookie.
	Reformatted Lisp comments.

1997-10-22  SL Baur  <steve@altair.xemacs.org>

	* psgml/psgml-charent.el (sgml-display-char-list-filename): Use
	locate-data-directory instead of data-directory.
	* psgml.el (sgml-data-directory): Ditto.

1997-10-20  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* extents.c: Renamed shot property to initial-redisplay-function
	(extent_fragment_update): Changed the bookkeeping whether an event 
	has been spawned. The initial-redisplay-function property is no
	longer set to nil.

1997-10-21  SL Baur  <steve@altair.xemacs.org>

	* custom/cus-dep.el (Custom-make-dependencies): Ditch the time
	stamp.

1997-10-22  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* comint/gdb.el (gdb-with-core): Fixed autoload cookie.

1997-10-22  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/startup.el (command-line-1): Run term-setup-hook regardless 
	of `input-pending-p'.

	* custom/cus-edit.el (custom-split-regexp-maybe): Use `split-string'.

	* custom/cus-start.el (custom-start-quote): Synch with
 	`custom-quote'.

	* prim/subr.el (functionp): Synched docstring with Emacs 20.2.

	* custom/cus-edit.el (custom-quote): Use `keywordp'; use
	`car-safe'; don't conditionalize on having `characterp'.

1997-10-21  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el (radio-button): Use "radio0" as inactive
 	glyph.
	(widget-visibility-value-create): Use new semantics of
	`widget-glyph-insert'.

	* custom/cus-edit.el (custom-buffer-create-internal): Setup
	tag-down-glyphs with list.
	(custom-group-value-create): Ditto.

	* custom/wid-edit.el (widget-glyph-click): Check whether the
	extent was detached/killed.
	(widget-push-button-value-create): Removed crufty XPM contrast
	hack.
	(widget-default-create): Make the markers point nowhere after
	using them.
	(widget-default-create): Use `point-min-marker'/`point-max-marker'.
	(widget-glyph-find): Disallow list.
	(widget-glyph-insert): Allow IMAGE to be a list.

1997-10-20  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/featurep.el (featurep): Handle `not' correctly.

1997-10-21  SL Baur  <steve@altair.xemacs.org>

	* prim/about.el (about-maintainer-glyph): Pictures have been moved 
	to photos subdirectory.

1997-10-21  Hrvoje Niksic  <hniksic@srce.hr>

	* x11/x-menubar.el (options-menu-saved-forms): Check whether
	`pending-delete' is bound before accessing it.

1997-10-21  SL Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el (default-menubar): Conditionalize games menu.

1997-10-21  Colin Rafferty  <craffert@ml.com>

	* x11/x-menubar.el (default-menubar): Made it use lazy-shot
	instead of lazy-lock in "Syntax Highlighting->Lazy".  
	(options-menu-saved-forms): Made it save lazy-shot instead of
	lazy-lock in the options.

1997-10-21  SL Baur  <steve@altair.xemacs.org>

	* mule/mule-help.el (help-with-tutorial): New file.

	* prim/dumped-lisp.el (preloaded-file-list): New entries for
	help-nomule and mule-help.

	* prim/help.el: Remove `help-with-tutorial'.

	* prim/help-nomule.el: New file.

1997-10-19  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/subr.el: Moved int-char and char-int definitions from
	obsolete.el.

1997-10-18  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el (widget-push-button-value-create): Require
 	`xpm-button'.
	(widget-push-button-value-create): Use :tag-down-glyph and
 	:tag-inactive-glyph.
	(widget-default-create): Use :tag-inactive-glyph.
	(widget-button-click): Correctly merge faces.

	* custom/cus-edit.el (custom-variable-action): Don't redraw
	magic.

	* custom/wid-edit.el (widget-glyph-insert): Return glyph.
	(widget-default-create): Insert :button-prefix and :button-suffix
	only if a glyph is not used.
	(widget-glyph-click): Respect :mouse-down-action.
	(widget-specify-insert): Document for edebug.
	(widget-default-create): Use markers to keep track of stuff.

	* custom/cus-edit.el (custom-group-value-create): Ditto.

	* custom/wid-edit.el (widget-default-create): Use :tag-down-glyph.

	* custom/cus-edit.el (custom-group-value-create): Use image.

	* prim/glyphs.el (init-glyphs): Minor fixups.

1997-10-17  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el (widget-field-value-get): Use `cond'.
	(default): Use :button-keymap.
	(widget-specify-button): Ditto.
	(widget-glyph-insert-glyph): Ditto.
	(widget-activation-glyph-mapper): Renamed from
 	`widget-activation-glyphs-mapper'.

	* custom/cus-edit.el (Custom-mode-menu): Go to `Easy
	Customization' node.
	(boolean): Don't use nested backquotes.

	* custom/wid-edit.el (widget-field-action): Check whether the new
 	value is valid before using it.

1997-10-16  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el (character): Use [\0-\377] instead of . in
 	:valid-regexp.
	(widget-color-notify): Use `valid-color-name-p'.
	(widget-activation-widget-mapper): New function.
	(widget-specify-inactive): Use it.
	(widget-specify-active): Ditto.
	(widget-setup): Ditto.
	(radio-button): Added :inactive-glyph spec.
	(widget-toggle-value-create): Use it.
	(widget-color-sample-face-get): Check for color before setting it.
	(widget-color-sample-face-get): Store the face object, not its
 	name.

1997-10-18  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* help.el (function-at-point): Use `function-at-point-function'.
	(function-at-point-function): New variable, formerly
	`find-function-function'. 
	(describe-function): Use `function-at-point'.
	(where-is): Ditto.

	* find-func.el (find-function-read-function): Use
	`function-at-point'. 

	* packages/info.el (Info-elisp-ref): Use `function-at-point'.

	* packages/hyper-apropos.el (hyper-apropos-read-function-symbol):
	Use `function-at-point'.

	* packages/etags.el (emacs-lisp-default-tag): Use
	`function-at-point'.

	* prim/obsolete.el (function-called-at-point): Make it
	  obsolete.

1997-10-09  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* prim/files.el (switch-to-buffer-other-frame): Remove call to
	`select-frame'.

1997-10-17  SL Baur  <steve@altair.xemacs.org>

	* prim/packages.el (packages-find-packages-1): New argument:
	`user-package' non-nil when searching user packages.
	- Load any autoloads found in user packages.
	
1997-10-17  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/info.el (Info-insert-dir): Also kill the localdir temp
 	buffers.

1997-10-17  SL Baur  <steve@altair.xemacs.org>

	* utils/facemenu.el: autoload the `facemenu-keymap' properly.

	* mule/mule-cmds.el (read-language-name): Fix typo.
	From Didier Verna <verna@inf.enst.fr>

1997-10-15  Adrian Aichner  <aichner@ecf.teradyne.com>

	* utils/build-report.el: Leaving point at begin of composed mail now.
	Using mime-edit-content-beginning to determine file-begin of
	Installation file.
	Introduced the according alias for SEMI/TM compatibility.

	* utils/build-report.el:
	Corrected backward search for begin of last configuration in
	Installation file.

	* utils/build-report.el:
	Incorporated `xemacs-build-report-installation-insert-all' feature
	suggested by Didier Verna.
	Composing mail parts (with-temp-buffer ...) to simplify implementing
	future features.
	Eliminated use of mail-mode -specific function `mail-text'.

1997-10-14  Adrian Aichner  <aichner@ecf.teradyne.com>

	* utils/build-report.el:
	Incorporated fix for SEMI/TM compatibility suggested by Jens-Ulrik
	Holger Petersen <petersen@kurims.kyoto-u.ac.jp>.  If SEMI symbols are
	not fboundp, alias them to corresponding TM symbols.

1997-10-13  Adrian Aichner  <aichner@ecf.teradyne.com>

	* utils/build-report.el:
	Changed to (mime-edit-insert-tag "text" "plain" ...) from
	"application" "octet-stream" due to complaint from
	Kazuyoshi Furutaka in
	Message-Id: <19971013102132V.furutaka@Flux.tokai.jaeri.go.jp>

1997-10-13  Hrvoje Niksic  <hniksic@srce.hr>

	* utils/facemenu.el: Autoload `facemenu-keymap' function definition.
	(facemenu-color-defined-p): Nuked.
	(facemenu-find-face): Ditto.
	(facemenu-region-active-p): Ditto.
	(facemenu-sized-face): Declare `prefix'.
	(facemenu-read-color): Aliased to `read-color'.
	(facemenu-face-attributes): Use `mapvector'.

	* utils/facemenu.el: Customized and synched with FSF 20.2.

1997-10-17  Hrvoje Niksic  <hniksic@srce.hr>

	* cl/cl-macs.el (extent-properties): Remove old setf method.

1997-10-16  Karl M. Hegbloom  <karlheg@inetarena.com>

	* prim/files.el (revert-without-query): changed from boolean to
 	list of regexp as documented in NEWS and its docstring.

1997-10-16  SL Baur  <steve@altair.xemacs.org>

	* utils/floating-toolbar.el: (TopLevel): Don't unconditionally
	require the feature `toolbar' it causes breakage only at
	bytecompile time.  Don't do any initialization if toolbar support
	is not available.
	(floating-toolbar): Whine if no run-time toolbar support is
	available.

        * custom/wid-edit.el (widget-change-glyphs-mapper): cosmetic changes.
        From Hrvoje Niksic <hniksic@srce.hr>

	* prim/glyphs.el (init-glyphs): Use different logo for beta XEmacsen.
	From Didier Verna <verna@inf.enst.fr>

1997-10-15  Hrvoje Niksic  <hniksic@srce.hr>

	* cl/cl-macs.el (extent-property): Updated SETF methods for `get'
	and `extent-property'.

	* custom/wid-edit.el (widget-field-value-create): Revert to using
 	two markers.
	(widget-setup): Ditto.
	(widget-color-sample-face-get): Get only a unique face per widget.
	(widget-color-notify): Change the color of the face instead of
	creating a new one.

	* packages/add-log.el (add-change-log-entry): Push window
 	configuration.
	(change-log-exit): New function.
	(change-log-cancel): Ditto.
	(change-log-mode-map): Bind them.

	* custom/wid-edit.el (widget-specify-inactive): Make glyphs look
 	inactive.
	(widget-change-glyphs-mapper): New function.
	(widget-glyph-click): Disallow operations on inactive glyphs.

1997-10-14  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el: (widget-glyph-insert-glyph): Use
 	`widget-mouse-help' if necessary.
	(widget-documentation-string-value-create): Don't coerce help-echo 
	WIDGET to widget.
	(widget-button-keymap): New keymap.
	(widget-specify-button): Use it.
	(widget-glyph-insert-glyph): Ditto.
	(widget-glyph-click): Dispatch events during the loop.
	(widget-glyph-click): Use `unwind-protect' to ensure that the
	glyph stays in up position.
	(widget-keymap): Don't bind buttons and RET.
	(widget-button-keymap): Bind mouse buttons and RET.
	(widget-field-activate): Use `widget-field-find'.

	* custom/wid-edit.el (widget-button-click): Visually "release" the
 	button *before* doing the buttonup action.
	(widget-button-click): Reworked.
	(widget-echo-help): Accept extent.

	* custom/cus-edit.el (custom-face-value-create): Use `make-face'.

	* custom/wid-edit.el (widget-restore-tabable): New function.
	(widget-deactivate-widget-extent): New function.
	(widget-reactivate-widget-extent): New function.
	(widget-specify-inactive): Use `widget-deactivate-widget-extent'.
	(widget-setup): Ditto.
	(widget-specify-active): Use `widget-reactivate-widget-extent'.
	(widget-move): Don't stop within inactive range.

1997-10-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* language/japan-util.el: Copied from Emacs 20.2.

	* mule/mule-cmds.el (char-code-property-table): New variable.
	(get-char-code-property): New function.
	(put-char-code-property): New function.

1997-10-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* language/vietnamese.el: Use language/viet-util.el instead of
	mule/mule-vietnamese.el; abolish mule/mule-vietnamese.el.

1997-10-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule/mule-coding.el: Rename `automatic-conversion' ->
	`undecided' to sync with Emacs 20.2; define coding-system
	`automatic-conversion' as an alias for `undecided'.

	mule/mule-files.el (buffer-file-coding-system-for-read,
	convert-mbox-coding-system, insert-file-contents),
	language/japanese.el, language/chinese.el, language/korean.el:
	Rename `automatic-conversion' -> `undecided' to sync with Emacs
	20.2.

1997-10-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* language/viet-chars.el: New file; moved from
	mule/vietnamese-hooks-1.el.

	* language/vietnamese.el: Merge mule/vietnamese-hooks-2.el;
	abolish mule/vietnamese-hooks-2.el.

	* prim/dumped-lisp.el: Use language/viet-chars and
	language/vietnamese instead of mule/vietnamese-hooks-{1|2}.

1997-10-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule/mule-misc.el (split-char): New function.

1997-10-14  SL Baur  <steve@altair.xemacs.org>

	* default.el: New file.
	* site-start.el: New file.  XEmacs starts faster if dummy versions 
	of these files are found early in the `load-path'.
	Suggested by Kyle Jones <kyle_jones@wonderworks.com>

1997-10-14  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el (widget-field-find): Use `map-extents'.
	(widget-transpose-chars): Check for empty fields, and point at
	beginning of field.
	(widget-documentation-string-value-create): `insert-char' handles
	0 gracefully, so no need to protect.
	(widget-specify-inactive): Detach the button extents.
	(widget-specify-active): Reattach the button extents.
	(widget-make-field-untabable): New function.
	(widget-specify-inactive): Make the fields non-tabable; use
	`widget-make-field-untabable'.
	(widget-type): Revert to defsubst.

1997-10-13  Adrian Aichner  <aichner@ecf.teradyne.com>

	* utils/xemacs-build-report.el:
	Switched from (mail ...) to (compose-mail ...) upon suggestion by
	Hrvoje Niksic.
	Extended xemacs-build-report-keep-regexp.
	Changed xemacs-build-report-make-output-file value to beta.err
	Shortend and bracketed xemacs-build-report-subject.
	Improved (I hope) tm-edit to SEMI aliasing logic.

1997-10-09  Adrian Aichner  <aichner@ecf.teradyne.com>

	* utils/xemacs-build-report.el:
	Restored RCS keywords and updated comment for `xemacs-build-report-version'.

	* utils/xemacs-build-report.el:
	Separated the Spaghetti code into separate functions to do the following:
	xemacs-build-report-insert-header
	xemacs-build-report-insert-make-output
	xemacs-build-report-insert-installation-file

1997-10-13  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/cus-load.el: Disable gc while loading `custom-load'
 	files.
	(custom-put): Added docstring; ignore PROPERTY.

	* custom/wid-edit.el (widget-previous-button-or-field): If the
 	point is within a button or field, return the beginning position
 	of the field.

	* prim/frame.el (frame-list): Use `nconc' instead of `append'.
	(set-frame-configuration): Use `mapc'.
	(delete-other-frames): Ditto.

	* prim/faces.el: Use the CL macro at top-level.

	* prim/faces.el (face-spec-set-match-display): Use `case'.
	(set-face-stipple): Use backquotes.

	* custom/wid-edit.el (widget-glyph-find): Use `laxputf'.
	(widget-push-button-value-create): Ditto.

	* custom/cus-face.el (custom-face-attributes): Support
	inverse-video for TTY-s.

	* prim/cmdloop.el (keyboard-escape-quit): Abort recursive edit, as 
	documented.

1997-10-12  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/simple.el (zmacs-deactivate-region): Use `mapc' instead of
 	`mapcar'.
	(zmacs-make-extent-for-region): Ditto.

	* custom/cus-dep.el: Updated comments.

	* custom/cus-edit.el (custom-variable-prompt): Prompt with
	`variable'.

1997-10-12  Karl Hegbloom  <karlheg@inetarena.com>

	* custom/cus-edit.el (custom-guess-name-alist): Allow `-hooks'
	instead of `hook'.

1997-10-12  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/profile.el (profile-results): Use %-*s format.
	(profile-align): Nuked.

	* packages/gnuserv.el (gnuserv-frame-plist): New variable.
	(gnuserv-special-frame-function): Use it.
	(gnuserv-edit-files): Ditto.

1997-10-12  SL Baur  <steve@altair.xemacs.org>

	* prim/package-admin.el (package-admin-add-binary-package):
	Correctly deal with package-paths with a single directory.

1997-10-11  SL Baur  <steve@altair.xemacs.org>

	* prim/startup.el (set-default-load-path): Look for `packages'
	directory too.
	(set-default-load-path): Initialize Info-default-directory-list
	from the environment variable INFOPATH.
	(set-default-load-path): Initialize Info-default-diretory-list
	from the configure variable `infopath'.

1997-10-10  Karl M. Hegbloom  <karlheg@inetarena.com>

	* prim/startup.el: (set-default-load-path): loop over the `Info-
	default-directory-list' and collect those that are `file-
	directory-p'.

	* '': various doc string corrections.

	* '': changed `auto-saves-file-prefix' to "~/.xemacs/saves-"

	* '' Added toplevel block (when (fboundp 'load-gc) ...to init the
 	Info-def..list from the environment variable INFOPATH at dump time.
	
	* prim/packages.el (packages-find-packages-1): append the list of
 	packages info directories to `Info-default-directory-list' rather
 	than prepending them.  Don't add them if they're already in the
 	list.

	* packages/info.el (Info-directory-list): various fixes to the
 	directory list handling.
	* (Info-localdir-heading-regexp) added.
	
	* '' removed the unrequired defcustom of `Info-default-directory-
 	list'

1997-10-11  SL Baur  <steve@altair.xemacs.org>

	* prim/about.el: New faces, new entries.

	* prim/profile.el (profile-results): Rename.
	(pretty-print-profiling-info): Ditto.
	From Kyle Jones <kyle_jones@wonderworks.com>

1997-10-10  Per Abrahamsen  <abraham@dina.kvl.dk>

	* custom/wid-edit.el (variable-link): New widget.
	(widget-variable-link-action): New function.
	(function-link): New widget.
	(widget-function-link-action): New function.

1997-10-10  Karl M. Hegbloom  <karlheg@inetarena.com>

	* prim/modeline.el (modeline-minor-mode-menu): menus are toggles
	not strings now.

1997-10-10  SL Baur  <steve@altair.xemacs.org>

	* psgml/psgml-html.el (html-quote-region): Grow bounds when performing
	substitutions.
	From Adrian Aichner <aichner@ecf.teradyne.com>

1997-10-10  SL Baur  <steve@altair.xemacs.org>

	* utils/highlight-headers.el (highlight-headers-citation-header-regexp):
	Correct doc string.
	From Kazuyoshi Furutaka <furutaka@Flux.tokai.jaeri.go.jp>

1997-10-10  Martin Buchholz  <mrb@eng.sun.com>

	* packages/bookmark.el:
	* packages/iswitchb.el:
	* utils/speedbar.el:
	* utils/xemacs-build-report.el: 
	  - change Xemacs --> XEmacs

1997-10-09  Colin Rafferty  <craffert@ml.com>

	* modes/lazy-shot.el (lazy-shot-shot-function): Undid a breakage.

1997-10-09  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* prim/help.el (function-called-at-point): Added docstring.
	(function-at-point): Ditto.
	(describe-function-arglist): Commented out -- seems unused.
	(find-function): ALL find-function stuff moved to "find-func.el"

	* prim/find-func.el: new file created from functions previously in 
	"help.el".

1997-10-09  SL Baur  <steve@altair.xemacs.org>

	* pcl-cvs/pcl-cvs.el (cvs-changelog-ours-p): Grok new ChangeLog
	format.

	* prim/startup.el (user-init-directory): New name for
	`emacs-user-extension-dir'.
	(load-user-init-file): Use it.

Mon Oct  6 19:12:51 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/Release 5.19

Mon Oct  6 19:09:17 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-engine.el (c-guess-basic-syntax):
	CASE 5F: extern-lang-close relpos should be
	element 0 of inclass-p, not element 1.

	* cc-mode/cc-cmds.el (c-progress-init, c-progress-fini):
	Be silent if c-progress-interval
	is nil.

	* cc-mode/cc-vars.el (c-progress-interval): Document new semantics

Fri Oct  3 23:10:04 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-engine.el (c-beginning-of-statement-1):
	Watch out for keywords which have a
	preceding underscore.

Fri Sep 26 23:30:58 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-menus.el: Patches to Imenu support given by 
	"Masatake (jet) YAMATO" <masata-y@is.aist-nara.ac.jp>.
	(Jan Dubois) jan.dubois@ibm.net

	* cc-mode/cc-cmds.el (c-comment-line-break-function):
	Fix for when comment starts at
	comment-column and there is non-whitespace preceding this on the
	current line.

	* cc-mode/cc-mode.el (c-submit-bug-report): Remove
	c-recognize-knr-p.  Add c-comment-continuation-stars.

Mon Sep 22 15:47:02 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-styles.el (c-initialize-builtin-style):
	Only use copy-tree if it is
	funcall-able.  This is the right patch, and was given by Erik Naggum
	<erik@naggum.no>

1997-10-08  SL Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el (file-menu-filter): Reverse sense of bounds
	test.
	From: Didier Verna <verna@inf.enst.fr>

	* prim/format.el (format-annotate-function): Reverse sync to Emacs 
	19.

1997-10-08  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/profile.el (profile-align): New function.

	* prim/help.el (describe-function): Use `buffer-string' with a
	BUFFER argument, instead of `save-excursion'+`buffer-string'.
	(describe-variable): Ditto.
	(describe-variable): Use `when'.

	* modes/lisp-mode.el: Indent `display-message' and
	`display-warning' better.

	* prim/help.el: Customized find-function stuff.
	(help-with-tutorial): Use point-at-{bol,eol}.
	(with-displaying-help-buffer): Use `with-current-buffer'.

	* prim/keymap.el (event-apply-modifier): Use `vconcat'.
	(define-prefix-command): Use the NAME argument to
	`make-sparse-keymap'.
	(suppress-keymap): Use `incf'.

	* prim/help.el (key-or-menu-binding): Document it.

	* prim/keymap.el (insert-key-binding): Use `key-or-menu-binding'
	from help.el.

	* prim/help.el (built-in-variable-doc): Use `case'.
	(describe-function-1): Assign to `file-name' instead of `home'.

	* prim/profile.el (profiling-results): Handle strings correctly.

	* prim/profile.el (profile): Expand FORMS only once.

1997-10-08  Colin Rafferty  <craffert@ml.com>

	* prim/lisp-file-db.el (lookup-lisp-file-db): Made it stop on
	failure.

1997-10-08  SL Baur  <steve@altair.xemacs.org>

	* prim/lisp-file-db.el: New file.
	From Raymond Toy <toy@rtp.ericsson.se>

1997-10-08  Colin Rafferty  <craffert@ml.com>

	* modes/lazy-shot.el: Customified.  Made it handle long lines
	better.

1997-10-08  SL Baur  <steve@altair.xemacs.org>

	* prim/startup.el (load-user-init-file): Remove reference to
	.xemacs as a file.

1997-10-07  SL Baur  <steve@altair.xemacs.org>

	* utils/thing.el (thing-filename): Deal with point at end of
	buffer.

1997-10-07  Karl M. Hegbloom  <karlheg@inetarena.com>

	* psgml/psgml.el (sgml-mode-map): modify defin-key statements to
 	use the new and improved key designator syntax. Rebound
 	'sgml-split-element to a similar key as the global 'split-line
 	binding.

1997-10-07  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* utils/thing.el (thing-symbol): Return nil if `end' is nil.

1997-10-07  Karl M. Hegbloom  <karlheg@inetarena.com>

	* modes/cperl-mode.el: Fixed the help toggle menuitem, and added
 	an autoload cookie.
	* modes/perl-mode.el: ditch the autoload in favor of cperl-mode.

1997-10-07  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* packages/etags.el (add-to-tag-completion-table): Better support
 	for Scheme code.  Parse scheme definitions and identifiers
 	with colons correctly.

1997-10-07  SL Baur  <steve@altair.xemacs.org>

	* mule/mule-cmds.el (read-input-method-name): Use a default if
	available.
	From Didier Verna <verna@inf.enst.fr>

	* prim/about.el (about-url-alist): Update jwz's home page.

1997-10-07  Hrvoje Niksic  <hniksic@srce.hr>

	* x11/x-menubar.el (default-menubar): Handle pending-delete
 	correctly.

1997-10-06  SL Baur  <steve@altair.xemacs.org>

	* utils/font.el: Don't need devices.el on XEmacs.

1997-10-05  SL Baur  <steve@altair.xemacs.org>

	* utils/mail-utils.el (rmail-dont-reply-to-names): Snarf from
	rmail.el.

1997-10-04  SL Baur  <steve@altair.xemacs.org>

	* efs/dired.el (dired-mail-reader): Default to VM instead of old,
	broken rmail.

1997-09-29  Karl M. Hegbloom  <karlheg@inetarena.com>

	* prim/files.el (auto-mode-alist): make `.cl' a lisp-mode
 	extension for Franz Allegro CL.

1997-10-05  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/simple.el: Minor docstring and comment changes.  Customized 
	some more.

1997-10-04  Hrvoje Niksic  <hniksic@srce.hr>

	* utils/xemacs-build-report.el (xemacs-build-report): Placed to
	maintenance group.
	(xemacs-create-build-report): Added an autoload cookie.

	* prim/profile.el (profiling-results): Renamed from
 	`pretty-print-profiling-info'.

1997-10-03  Karl M. Hegbloom  <Karl M. Hegbloom <karlheg@inetarena.com>>

	* custom/cus-edit.el (custom-save-all): Bind `auto-mode-alist' to
 	nil around the init file handling to prevent unnecessary automagic
 	processing.

1997-10-03  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/faces.el (face-spec-set): Invoke `init-face-from-resources'.

	* custom/cus-face.el (custom-set-faces): Revert to using
 	`make-empty-face'.
	(custom-declare-face): Ditto.

1997-10-04  SL Baur  <steve@altair.xemacs.org>

	* prim/modeline.el (modeline-modified-map): Call wrapper function
	over `vc-toggle-read-only'.
	(modeline-toggle-read-only): New function.

	* prim/files.el (basic-save-buffer): Put guard on call to
	`vc-after-save' since someone may wish not to install the vc
	package.

	* prim/fill.el (sentence-end-double-space): Fix docstring.

	* cl/cl-seq.el (remq): Reformat and add doc-string.
	Suggested by: Karl M. Hegbloom <karlheg@inetarena.com>
	
1997-10-03  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/func-menu.el: change the countups from message's to
 	display-message 'progress's so they don't dump in the lossage
 	buffer.

1997-10-03  Karl M. Hegbloom  <karlheg@inetarena.com>

	* psgml/psgml.el (sgml-mode-map): Bind (meta backspace) to
 	'backward-kill-word so it works as expected. "\e\C-h" will still
 	do 'sgml-mark-current-element.

1997-08-13  Yves BLUSSEAU  <hk444@cleveland.freenet.edu>

	* efs/efs.el (efs-set-file-modes): Fix a bug that cause an error
	when using the efs-set-file-modes function on a remote station with
	a FTP daemon that don't support the QUOTE function.

1997-10-02  Colin Rafferty  <craffert@ml.com>

	* prim/frame.el (default-drag-and-drop-functions): Fixed a typo
		  that was calling `data' rather than looking at it.

1997-10-04  SL Baur  <steve@altair.xemacs.org>

	* cl/cl-seq.el (remove): Add docstring.
	Suggested by Karl M Hegbloom <karlheg@inetarena.com>

1997-10-02  Colin Rafferty  <craffert@ml.com>

	* prim/simple.el (set-fill-column): Used format to create the
		  string for `display-message'.

1997-10-03  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/cus-face.el (custom-set-faces): Make the face, if
	necessary.

1997-10-02  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/cus-face.el (custom-declare-face): Use `make-face'
 	instead of `make-empty-face'.
	(custom-declare-face): Don't invoke init-face-from-resources
 	explicitly.

	* prim/profile.el (pretty-print-profiling-info): When interactive, 
	use a separate buffer instead of current-buffer.
	(pretty-print-profiling-info): Prettified output.

1997-10-01  SL Baur  <steve@altair.xemacs.org>

	* custom/cus-dep.el (cus-face): Remove unneeded dependency on
	cus-edit.

1997-09-30  SL Baur  <steve@altair.xemacs.org>

	* utils/finder.el (finder-known-keywords): Fix typo.

1997-09-30  SL Baur  <steve@altair.xemacs.org>

	* prim/dumped-lisp.el (preloaded-file-list): Load
	cl/auto-autoloads early.

1997-10-01  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/cus-edit.el (custom-save-delete): Bind `find-file-hooks'
	to nil.

	* custom/wid-edit.el (widget-next-button-or-field): Use the
 	`start-open' flag to `map-extents'.
	(widget-previous-button-or-field): Ditto.

	* custom/cus-edit.el (custom-face-value-create): Use
 	`face-custom-attributes'.

	* packages/font-lock.el: Defcustomed some variables.

1997-09-30  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/cus-face.el: Big changes.  Most of the functionality
	moved to faces.el.  Internal functions renamed not to start with
	`custom-'.

	* custom/cus-face.el (face-spec-set): Use `reset-face'.

	* prim/faces.el (reset-face): Accept LOCALE, TAG-SET and EXACT-P.

	* custom/cus-face.el (face-spec-set): Use `remove-specifier'.
	(get-frame-background-mode): Cache background modes of frames.

	* prim/minibuf.el (input-error): Add a `display-error' property.

	* custom/cus-face.el (initialize-face-resources): Check for
 	`make-face-x-resource-internal' before using it.
	(custom-get-frame-properties): Use `set-frame-property'.

1997-09-29  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el (widget-specify-button): Set the `tabable'
	property.
	(widget-specify-field): Ditto.
	(widget-next-button-or-field): Use it.
	(widget-previous-button-or-field): Ditto.

1997-09-29  Martin Buchholz  <mrb@eng.sun.com>

	* sunpro/sunpro-init.el:  Fix initialization failure if
	compile/debug toolbar buttons are LAST on the toolbar.

1997-09-29  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* prim/help.el (find-function-noselect): Now finds libraries
	explicitly loaded from outside `load-path' as it should.

1997-09-29  SL Baur  <steve@altair.xemacs.org>

	* prim/help.el(describe-function-1): Fix for compiled macros.
	From Hrvoje Niksic <hniksic@srce.hr>

Mon Sep 29 01:30:45 1997  Kyle Jones  <kyle_jones@wonderworks.com>

	* prim/startup.el: Added defvars for lock-directory
	  and superlock-file to quiet the byte-compiler.

	  (normal-top-level): Removed call to init-glyphs; it now
	  runs at dump time from lisp/prim/glyphs.el.

	  (splash-frame-present): Call splash-hack-version-string
	  once after all the strings have been inserted, instead
	  of once per string insertion.

	* prim/glyphs.el (init-glyphs): Replaced references
	  to data-directory with "../etc/" which is the data
	  directory at dump time.  This is likely a lose for
	  those who CANNOT_DUMP.  I don't know what the right
	  answer is in that case.

	  Run init-glyphs at dump time.

	* prim/faces.el (init-other-random-faces): Don't set
	  colors for the text cursor if we're initializating a
	  tty device, since it does nothing on a tty.

	  Removed modeline-buffer-id, modeline-mousable and
	  modeline-mousable-minor-mode-code face initialization; this
	  code is now run at dump time in lisp/prim/modeline.el.

	* prim/faces.el: Set reverse-p property on tty devices
	  for the primary-selection face.  Set underline-p property
	  on tty devices for the secondary-selection face.  Both of
	  these actions are to prevent init-other-random-faces from
	  considering these faces the same as the default face on
	  ttys and applying useless color specs to them.

	* prim/modeline.el: Initialize modeline-buffer-id,
	  modeline-mousable and modeline-mousable-minor-mode
	  faces in this file at dump time.

	  Added (defvar place) to quiet the byte-compiler.

Mon Sep 29 02:11:35 1997  Kyle Jones  <kyle_jones@wonderworks.com>

	* packages/vc-hooks.el: Move menu installation off
	  before-init-hook and do it at dump time.

	* ediff/ediff-hook.el: Move menu installation off
	  before-init-hook and do it at dump time.

1997-09-29  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* prim/help.el (describe-function-1): If the function is not yet
	loaded, print the autoload file-name.  If function is loaded,
	print the library name in `load-history' or from
	`compiled-function-annotation'.

1997-09-28  Karl M. Hegbloom  <karlheg@inetarena.com>

	* prim/help.el (find-function-noselect): remove reference to
 	`path' from the (let* ((path find... since &optional path is no
 	longer an argument to this function.  Cures "Signaling:
 	(void-variable path)" error when using {M-x find-function}.

1997-09-27  Karl M. Hegbloom  <karlheg@inetarena.com>

	* utils/regexp-opt.el: Add support for the shy grouping "\\(?:"
 		  that came along with the new regexp syntax.

1997-09-29  Hrvoje Niksic  <hniksic@srce.hr>

	* x11/x-toolbar.el: Minor fixes.

1997-09-28  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el (color): Buttonify the tag.
	(widget-color-action): Use `read-color' unconditionally.

	* utils/edmacro.el: Use append/vconcat instead of mapcar/mapvector
 	with `identity'.
	(format-kbd-macro): Use `indirect-function' instead of
 	`symbol-function'.
	(read-kbd-macro): Fix docstring.
	(edmacro-finish-edit): Use `match-string'.
	(edmacro-parse-keys): Ditto.
	(edmacro-parse-word): Use `dotimes' instead of `loop'.
	(edmacro-format-keys): Ditto.

	* custom/cus-face.el (custom-face-attributes): Use
	`set-face-background-pixmap', instead of `set-face-stipple'.

	* custom/cus-edit.el (custom-group-menu-create): Check whether
	`custom-menu-create' returned a list.

1997-09-28  SL Baur  <steve@altair.xemacs.org>

	* utils/finder.el (finder-known-keywords): Ignore mule entry when
	built without Mule.

1997-09-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* quail.el (quail-execute-non-quail-command): `keylist' is not
	list of characters.
	(quail-update-translation): Don't use `quail-delete-region'
	because overlay emulation of XEmacs can not regard 0 length
	overlay.
	(quail-show-kbd-layout): Must convert character(code) to event.

1997-09-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* quail.el: sync with Emacs 20.2.

1997-09-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule-init.el (init-mule): Load leim-list.el (to sync with Emacs
	20.2).

	* mule-cmds.el: Change key binding for `select-input-method' to
	sync with Emacs 20.2.

	(get-language-info, set-language-info, set-language-info-alist,
	read-language-name): Modify to sync with Emacs 20.2.

	(leim-list-file-name): New constant (imported from Emacs 20.2).
	(leim-list-header, leim-list-entry-regexp,
	update-leim-list-functions): New variable (imported from Emacs
	20.2).
	(update-leim-list-file): New function (imported from Emacs 20.2).

	(current-input-method, current-input-method-title): Modify
	DOC-string to sync with Emacs 20.2.
 	(default-input-method): Use `defcustom' (to sync with Emacs 20.2).
	(input-method-history): New variable (imported from Emacs 20.2).

	(inactivate-current-input-method-function): Modify DOC-string to
	sync with Emacs 20.2.

	(input-method-alist): New variable (imported from Emacs 20.2).
	(register-input-method, read-input-method-name,
	activate-input-method, inactivate-input-method): New function
	(imported from Emacs 20.2).
	(select-input-method, toggle-input-method, describe-input-method,
	describe-current-input-method, read-multilingual-string): Modify
	to sync with Emacs 20.2.
	(input-method-verbose-flag): New variable; abolish
	`input-method-tersely-flag'; to sync with Emacs 20.2.
	(input-method-highlight-flag): New variable (imported from Emacs
	20.2).

	(input-method-activate-hook, input-method-inactivate-hook): Modify
	DOC-string to sync with Emacs 20.2.
	(input-method-exit-on-invalid-key): New variable (imported from
	Emacs 20.2).

	* mule-coding.el (check-coding-system): New alias.
	(modify-coding-system-alist): New function (imported from Emacs
	20.2).

	Rename coding-system `iso-2022-7' -> `iso-2022-7bit' to sync with
	Emacs 20.2; define alias `iso-2022-7' for compatibility.

	* mule-process.el (network-coding-system-alist): New variable.
	(open-network-stream): Refer it.

1997-09-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* viet-util.el: New file; Imported from Emacs 20.2.

	* tibet-util.el: New file; Imported from Emacs 20.2.

	* hebrew.el, lao.el, lao-util.el, vietnamese.el, tibetan.el:
	Imported from Emacs 20.2.

	* greek.el, european.el, ethiopic.el, english.el, cyrillic.el,
	chinese.el, korean.el, japanese.el, thai.el, misc-lang.el: Modify
	to sync with Emacs 20.2.

1997-09-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule-process.el (start-process): Refer
	`process-coding-system-alist'.

	* mule-process.el (call-process-region): Refer
	`process-coding-system-alist'.

	* mule-process.el (process-coding-system-alist): New variable.
	(call-process): Refer it.

	* mule-init.el: Rename `pathname-coding-system' to
	`file-name-coding-system' to sync with Emacs 20.2.

	* mule-coding.el: Rename `pathname-coding-system' to
	`file-name-coding-system' to sync with Emacs 20.2; define
	`pathname-coding-system' as an obsolete variable.

1997-09-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule/mule-files.el: Implement `file-coding-system-alist' of
	Emacs 20.0.97 to sync; abolish variable
	`buffer-file-coding-system-alist'.

	(find-file-coding-system-for-read-from-filename): Renamed from
	`find-buffer-file-coding-system-from-filename'; modify for new
	`file-coding-system-alist'.

	(find-file-coding-system-for-write-from-filename): New function.

	(insert-file-contents): Modify for new `file-coding-system-alist'.

	(write-region): Use
	`find-file-coding-system-for-write-from-filename'.

1997-09-27  SL Baur  <steve@altair.xemacs.org>

	* prim/obsolete.el (define-widget-keywords): Make it obsolete.

	* custom/widget.el (define-widget-keywords): Restore superfluous
	function `define-widget-keywords'.

	* modes/sh-script.el (sh-script): Restore correct feature.

1997-09-27  Tomasz Cholewo  <tjchol01@mecca.spd.louisville.edu>

	* prim/isearch-mode.el (isearch-help-or-delete-char): New function.

1997-09-27  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/cus-dep.el (Custom-make-dependencies): Minor fixes.

1997-09-27  SL Baur  <steve@altair.xemacs.org>

	* packages/completion.el: Remove keybinding of M-return for
	hyperbole.
	(completion-kill-region): The version of this function in InfoDock
	4.0pre was very broken for XEmacs due to active region handling
	and because it didn't set the `this-command' variable properly
	when doing a kill.
	From:  Bob Weiner <weiner@altrasoft.com>

1997-09-26  SL Baur  <steve@altair.xemacs.org>

	* utils/autoload.el: Removed code dealing with customization.
	(update-file-autoloads): Fix typo in DOC string, remove custom code.
	(update-autoloads-from-directory): Remove custom code.
	(batch-update-autoloads): Fix DOC string, remove custom code.
	(batch-update-directory): Fix DOC string, remove custom code.

1997-09-26  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* prim/help.el (describe-function-at-point): new function.
	(describe-variable-at-point): ditto.
	(help-next-symbol): ditto.
	(help-prev-symbol): ditto.
	(describe-function): Mention `find-function-function' in
 	docstring.  Use `function-history' in completing-read.
	(describe-function-1): Only print one filename, even if we know
 	two!  Use `variable-history' in completing-read.
	(where-is): Mention `find-function-function' in docstring.
	(find-function-function): improve docstring.
	(find-function-noselect): Remove optional arg.  Search also for
	cl's defun*.  Return a pair instead of a list.
	(find-function-read-function): use `function-history'.
	(find-function-do-it): new function.
	(find-function): Remove optional arg.  Use `find-function-do-it'.
	(find-function-other-window): ditto.
	(find-function-other-frame): ditto.
	(find-function-at-point): new function.

1997-09-26  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/cus-edit.el: Issue a message about loading customization
	dependencies.

	* custom/wid-edit.el (widget-map-buttons): Fixed typo.

1997-09-25  SL Baur  <steve@altair.xemacs.org>

	* prim/files.el (after-find-file): Revert synch to Emacs 20 and
	restore old directory creation behavior.

1997-09-25  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el (widget-button-or-field-extent): New
 	function.
	(widget-next-button-or-field): Use it.
	(widget-previous-button-or-field): Ditto.
	(widget-move): Don't signal an error when there is only one widget
 	in the buffer.
	(widget-push-button-value-create): Cache glyphs themselves,
 	instead of instantiators.
	(widget-documentation-string-value-create): Better help echo
	(widget-mouse-help): Use `functionp'.
	(widget-echo-help): Ditto.

1997-09-25  SL Baur  <steve@altair.xemacs.org>

	* prim/glyphs.el (init-glyphs): Fix jpeg signature.

1997-09-24  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* modes/lazy-shot.el (lazy-shot-shot-function): make the message
	be displayed as progress.

1997-09-25  Hrvoje Niksic  <hniksic@srce.hr>

	* comint/telnet.el: Minor custom changes.

	* custom/wid-edit.el (widget-field-action): Edit the value in the
 	minibuffer.

	* custom/cus-edit.el (custom-group-value-create): Renamed `Go to
	Group' tag to `Open'.

	* custom/wid-edit.el (widget-shadow-subrs): New variable.
	(widget-url-link-help-echo): New function.
	(url-link): Use it.
	(widget-emacs-library-link-help-echo): New function.
	(emacs-library-link): Use it.

1997-09-24  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el (widget-glyph-insert-glyph): Encode the
	widget information to extent, not to the glyph.
	(widget-glyph-click): Extract the widget from the extent, not the
	glyph.
	(widget-glyph-find): Set up a glyph cache.

	* prim/about.el: Use :button-prefix and :button-suffix instead of
	the variables.

	* custom/wid-edit.el (widget-field-keymap): Bind Sh-TAB to
 	`widget-backward'.
	(widget-specify-field): Use extents, not overlays.
	(widget-specify-button): Ditto.
	(widget-specify-sample): Ditto.
	(widget-specify-inactive): Ditto.
	(widget-button-click): Ditto.
	(widget-field-value-create): Ditto.
	(widget-field-value-delete): Ditto.
	(widget-color-notify): Ditto.
	(widget-setup): Ditto.
	(widget-map-buttons): Use `map-extents'.
	(widget-keymap): Made `global-map' its parent.
	(widget-next-button-or-field): New function.
	(widget-previous-button-or-field): Ditto.
	(widget-move): Use them.

	* custom/custom.el (custom-group-hash-table): Use
	`make-hashtable', with initial size 300.
	(custom-add-to-group): Update hash-table unconditionally.

1997-09-24  SL Baur  <steve@altair.xemacs.org>

	* prim/packages.el (packages-useful-lisp): Arrange to bytecompile
	shadow.elc early.

1997-09-22  Karl M. Hegbloom  <karlheg@inetarena.com>

	* x11/x-toolbar.el (Info-frame-plist): Added.
	(toolbar-info) Use new plist variable to make-frame.

1997-09-24  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el (widget-button1-click): Would bug out on
	events with no bindings.

	* custom/cus-edit.el (custom-group-value-create): Update members
 	after loading the widget.
	(custom-group-link-help-echo): New function.
	(custom-group-link): Use it.

	* prim/cus-load.el (custom-put): Update
 	`custom-parent-hash-table'.

	* custom/cus-edit.el (custom-add-parent-links): Use
	`custom-group-hash-table' to map the groups.

	* custom/custom.el (custom-parent-hash-table): New variable.
	(custom-add-to-group): Use it.

	* prim/cus-load.el: Don't issue message for every loaded file.

	* custom/cus-edit.el (custom-group-prompt): New function.
	(customize): Use it.
	(customize-other-window): Ditto.

	* custom/wid-edit.el (widget-field-keymap): Bind TAB to
 	`widget-forward'.

1997-09-23  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/cus-edit.el: Use `display-message' to indicate progress
	messages.
	(customize-set-variable): Use the third argument to `get'.
	(customize-save-variable): Ditto.
	(custom-variable-value-create): Ditto.
	(custom-variable-state-set): Ditto.
	(custom-variable-set): Ditto.
	(custom-variable-save): Ditto.
	(custom-variable-reset-saved): Ditto.
	(custom-variable-reset-standard): Ditto.

	* custom/cus-edit.el: Removed C-coded routines.

	* custom/cus-edit.el (custom-buffer-create-internal): Print a
	limited number of messages.
	(custom-group-value-create): Ditto.

	* custom/wid-edit.el (widget-editable-list-value-get): Revert to
 	`append'.

1997-09-22  Colin Rafferty  <craffert@ml.com>

	* modes/lazy-shot.el (lazy-shot-shot-function): Made it do its
		  work in the correct buffer.  Also, changed obsolete
		  function call to non-obsolete version.

1997-09-22  Colin Rafferty  <craffert@ml.com>

	* utils/shadow.el (find-emacs-lisp-shadows): Removed extra slash
		  between directory and filename.

1997-09-23  SL Baur  <steve@altair.xemacs.org>

	* ilisp/Makefile (SHELL): Remove dependency on /bin/csh.

1997-09-23  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/wid-edit.el (widget-move): Use `incf'.
	(widget-after-change): Ditto.
	(widget-field-value-get): Ditto.
	(widget-info-link-help-echo): New function.
	(info-link): Use it.

	* custom/cus-edit.el (custom-last): Removed.
	(custom-buffer-create-internal): Use `incf'.
	(custom-group-value-create): Ditto.

	* packages/auto-save.el: Minor custom fixes.

	* prim/cus-dep.el (Custom-make-dependencies): Generate correct
	output wrt `custom-put'.

	* custom/wid-edit.el (widget-tabable-at): Use `widget-at'.

	* custom/cus-edit.el (custom-group-value-create): Use
	`custom-group-visibility' instead of `group-visibility'.

	* prim/help.el (help-map): Bound `C-h C' to `customize'.

	* custom/wid-edit.el (widget-princ-to-string): Don't use `let'.
	(widget-clear-undo): Removed current-buffer argument.
	(widget-choose): Use minibuffer when there are more than 10 items.

1997-09-22  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/cus-edit.el (custom-button-face): Made it bold.
	(custom-group-value-create): Change outlook of buffer.
	(custom-buffer-create-internal): Ditto.
	(custom-menu-nesting): Removed -- was unused by XEmacs.
	(custom-menu-create): Don't use `custom-menu-nesting'.
	(custom-group-menu-create): Define unconditionally.
	(customize-menu-create): Ditto.
	(custom-unlispify-menu-entry): Use `with-current-buffer'.

	* custom/wid-edit.el (widget-checklist-match-inline): Revert to
 	`append'.
	(widget-checklist-value-get): Ditto.
	(widget-editable-list-match-inline): Ditto.
	(widget-group-match-inline): Ditto.
	(widget-glyph-find): Removed compatibility checks; use
 	`locate-data-directory'.
	(widget-glyph-find): Use backquotes.
	(widget-push-button-value-create): Ditto.
	(widget-choice-mouse-down-action): Don't use `window-system'.
	(widget-transpose-chars): New function.
	(widget-text-keymap): Use it.
	(widget-princ-to-string): Use `with-current-buffer'.
	(widget-map-buttons): Ditto.
	(widget-push-button-gui): Set to value of `widget-glyph-enable' by 
	default.
	(widget-push-button-value-create): Call `widget-specify-button'.

	* utils/mail-extr.el: Customized.

1997-09-21  SL Baur  <steve@altair.xemacs.org>

	* packages/man.el: Reverse manual prefix patch.

1997-09-21  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/man.el: Got rid of the `stars', and hard coded a prefix
 		  of "Man: " for manual-entry buffers.

1997-09-21  Hrvoje Niksic  <hniksic@srce.hr>

	* custom/cus-face.el (frame-background-mode): Renamed from
	`custom-background-mode'.
	(frame-background-mode): Rewritten.

	* x11/x-menubar.el: Customized.

	* custom/cus-face.el (face-spec-set-match-display): Use `warn' for 
	warnings.

	* x11/x-font-menu.el: Customized.

	* modes/reftex.el: Add prefixes to customization groups.

	* custom/cus-edit.el (customize): Accept GROUP.
	(customize-group): Defalias to `customize'.
	(customize-other-window): New function.
	(customize-group-other-window): Alias to `customize-other-window'.

	* custom/wid-edit.el (widget-choose): Now works with
 	`widget-menu-minibuffer-flag' set to nil.
	(widget-menu-minibuffer-flag): Default to nil.
	(widget-specify-insert): Use new blackquote syntax.
	(widget-checklist-value-get): Ditto.
	(widget-map-buttons): Ditto.
	(widget-checklist-match-inline): Ditto.
	(widget-editable-list-match-inline): Ditto.
	(widget-group-match-inline): Ditto.
	(widget-checklist-match-inline): Use `nconc'.
	(widget-keymap): Bind `M-tab' to `widget-backward'.

	* prim/help.el (find-function-noselect): `locate-library' is
 	compression-aware; don't duplicate the work.

	* prim/packages.el (packages-hardcoded-lisp): Remove "cl-defs".

	* custom/wid-edit.el: Use `remove-if'.
	(widget-glyph-directory): Use `locate-data-directory'.

	* custom/cus-edit.el (custom-unlispify-remove-prefixes): Default
	to t.

	* custom/wid-edit.el: Removed *lots* of compatibility stuff.

	* custom/wid-edit.el: (widget-editable-list-value-get): Apply
 	`nconc' instead of `append'.

	* custom/wid-edit.el: Ditto.

	* custom/cus-edit.el: Ditto.

	* custom/custom.el: Use `mapc' instead of `mapcar', where
 	appropriate.

	* custom/wid-edit.el: Ditto.

	* custom/cus-edit.el: Ditto.

	* custom/custom.el: Ditto.

	* custom/widget.el: Don't define widget keywords.

1997-09-21  Joel Peterson  <tarzan@aosi.com>

	* prim/menubar.el: use normalize-menu-item-name instead of downcase
	to compare menu item names.

1997-09-20  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/etags.el: Lots of changes.

1997-09-20  SL Baur  <steve@altair.xemacs.org>

	* prim/faces.el (Top Level): Back out use of the loop macro.  It now
	isn't defined until loaddefs gets loaded.

1997-09-20  Tomasz Cholewo  <tjchol01@mecca.spd.louisville.edu>

	* prim/help.el (help-for-help): Make menu items style more uniform.

1997-09-20  Hrvoje Niksic  <hniksic@srce.hr>

	* modes/sendmail.el: Don't define keys to mail etc.

	* prim/keydefs.el: Add bindings to `compose-mail'.

	* prim/simple.el: Synch mail stuff with Emacs 20.

	* utils/reporter.el: Removed mail-user-agent stuff.

	* x11/x-menubar.el (default-menubar): Use new semantics for
 	`gnuserv-frame'.

	* prim/obsolete.el (string-to-sequence): Wouldn't work with TYPE
 	`vector'.

1997-09-19  Hrvoje Niksic  <hniksic@srce.hr>

	* cl/cl.el: Don't load cl-defs.

	* cl/cl-macs.el: Added autoload cookies.

1997-09-19  SL Baur  <steve@altair.xemacs.org>

	* packages/man.el (Manual-buffers-have-prefix): New function.
	(manual-entry): Use it.
	From Remek Trzaska <remek@postoffice.npac.syr.edu>

1997-09-18  Colin Rafferty  <craffert@ml.com>

	* prim/novice.el (disable-command): Made it modify `custom-file'
		  instead of `user-init-file'.

		  Stop multiple disable/enable-command calls from adding
			  extra newlines.

1997-09-19  Tomasz Cholewo  <tjchol01@mecca.spd.louisville.edu>

	* prim/make-docfile.el: Use null, not not.

1997-09-18  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* prim/isearch-mode.el (isearch-message): Display-message as
	progress (this way isearch message won't appear in the message 
	log).

1997-09-18  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* packages/info.el (Info-elisp-ref): Use `find-function-function'.

1997-09-18  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* packages/lazy-lock.el (lazy-lock-pre-idle-fontify-windows):
	Don't do lazy-lock'ing if we're in the minibuffer.

1997-09-17  SL Baur  <steve@altair.xemacs.org>

	* oobr/Makefile (autoloads): Fix target.

	* hyperbole/Makefile (autoloads): Fix target.

	* utils/autoload.el (batch-update-autoloads): Obey
	`autoload-package-name' setting.

	* efs/Makefile: Correct autoloads target.

	* prim/packages.el (locate-library): Simplify regexp for
	compression suffixes.
	Suggested by: Hrvoje Niksic <hniksic@srce.hr>
	
1997-09-17  Karl M. Hegbloom  <karlheg@inetarena.com>

	* ilisp/ilisp-out.el (ilisp-scroll-output): bind `scroll-in-place'
 		  to nil around the call to #'scroll-up so that {C-c v}
 		  will properly scroll the *output* buffer.

1997-09-17  Karl M. Hegbloom  <karlheg@inetarena.com>

	* ilisp/ilisp-out.el (ilisp-needed-window-height): make window one
 		  line bigger

1997-09-15  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/info.el (Info-mouse-track-double-click-hook): follow
 	the top menu item when double click in bottom 1/4 and middle 1/3

1997-09-16  SL Baur  <steve@altair.xemacs.org>

	* prim/about.el (about-hackers): Add new entry.

Tue Sep 16 19:23:24 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/Release 5.18

Tue Sep 16 23:17:15 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-menus.el (cc-imenu-c-prototype-macro-regexp): New
	variable.

	(cc-imenu-c++-generic-expression): Patches to better match C++ code.
	Given by jan.dubois@ibm.net (Jan Dubois)

	* cc-mode/cc-menus.el (cc-imenu-java-generic-expression):
	Removed test for declaration
	statements.  Patch given by Ake Stenhoff <etxaksf@aom.ericsson.se>, as
	forwarded to me by RMS.

	* cc-mode/cc-menus.el:
	Imenu support for Objective-C given by Masatake (jet) YAMATO.

	* cc-mode/cc-mode.el (objc-mode): Bind imenu-create-index-function to
	cc-imenu-objc-function to enable Imenu support for Objective-C.
	Contributed by Masatake (jet) YAMATO.

Mon Sep 15 23:21:51 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-styles.el (c-initialize-builtin-style):
	Use existing copy-tree if it's defined.

	copy-sequence doesn't work; the
	c-offsets-alist must be copied recursively.  Use copy-tree solution
	given by Simon Marshall.

Fri Sep  5 04:47:03 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-cmds.el (c-beginning-of-statement):
	Fixes in sentence movement to properly
	handle M-e moving forward into a comment when looking at preceding
	whitespace, and M-a moving backward into comment when looking at
	following whitespace.

	Uncommented the looking-at call in the
	sentence-flag clause so that moving by forward-sentence when looking
	at the beginning of a comment works again.  A previous log message in
	cc-mode.el indicates this was commented out "because
	c-beginning-of-statement-1 should do the right thing", but clearly it
	doesn't.

	I don't know if this breaks something else, because I can't figure out
	why it was commented out in the first place.
	
	* cc-mode/cc-langs.el:
	Define `/' in c-mode-base-map since all modes now support
	c-electric-slash.

	Define C-c C-e in mode-specific maps instead of c-mode-base-map since
	c-expand-macro is meaningless in Java and IDL.

	* cc-mode/cc-engine.el (c-end-of-statement-1):
	Wrap backward-up-list in a c-safe call so no
	error results when buffer contains only a comment and point is at
	eob.

1997-09-15  SL Baur  <steve@altair.xemacs.org>

	* utils/autoload.el (customized-symbols): Use a hash table.

	* prim/cus-load.el (custom-put): Restore.
	Adapted from code by Hrvoje Niksic  <hniksic@srce.hr>

	* x11/x-toolbar.el (initial-toolbar-spec): Remove news and mail
	icons from default toolbar.

1997-09-14  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/packages.el (locate-data-directory): Return nil when
	directory not found.
	(locate-library): Reimplemented using `locate-file'.

1997-09-14  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/cus-dep.el: Provide `cus-dep'.

	* packages/time.el (display-time-insinuate): New function; don't
	insinuate upon loading.
	(display-time): Use it.

	* prim/loadup.el: Use it.

	* prim/dumped-lisp.el (dumped-lisp-packages): Renamed to
 	`preloaded-file-list'.

	* prim/cus-load.el: Updated the comment.

	* prim/cus-dep.el (custom-make-dependencies): Unjunkify.

	* modes/lisp-mode.el: Declare indentation of `with-temp-buffer'.

	* prim/cus-dep.el (custom-make-dependencies): Allow optional
	parameter; don't kill Emacs.

	* modes/cl-indent.el: Minor customize changes.

	* modes/asm-mode.el: Minor customize changes.

	* modes/arc-mode.el: Customized.

	* modes/ada-stmt.el: New file.

	* modes/ada-mode.el: Synched with FSF (customized, etc.)

1997-09-13  SL Baur  <steve@altair.xemacs.org>

	* prim/files.el (switch-to-buffer-other-frame): Undo previous
	change when focus-follows-mouse policy is in effect.

1997-09-14  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/recent-files.el: Minor customize changes.

	* packages/man.el: Minor customize changes.
	(Manual-use-rosetta-man): Moved the extensive info from docstring.

	* packages/makeinfo.el: Minor customize changes.

	* packages/info.el: Minor customize changes.

	* packages/gopher.el: Minor customize changes.

	* packages/func-menu.el: Minor customize changes.

	* packages/etags.el (tags-delete): Use builtin `delete'.
	(tags-remove-duplicates): Don't recurse.
	Fixup customizations.

	* packages/emerge.el: Use `with-current-buffer' instead of
 	`emerge-eval-in-buffer'; reindent.

	* packages/compile.el: Minor customize changes.

	* packages/bookmark.el: Customized.

	* packages/avoid.el (mouse-avoidance-mode): Customized properly.

	* packages/autoinsert.el: Customized.

	* modes/xrdb-mode.el: Minor customize changes.

	* modes/vrml-mode.el: Minor customize changes.

	* modes/vhdl-mode.el: Customized.
	(vhdl-emacs-features): Recognize XEmacs 20 correctly.

	* modes/vhdl-mode.el: Require elp when compiling.

	* modes/texinfo.el: Minor customize changes.

	* modes/tcl.el: Minot customize changes.

	* modes/strokes.el: Small fixes.
	(strokes-mode): Don't signal error without window system; issue a
 	warning.
	(strokes-insinuate): New function.  Don't defadvice upon loading.
	(strokes-mode): Use it.
	(strokes-char-face): Use `defface'.

	* modes/simula.el: Customized.

	* modes/scribe.el: Customized.
	(scribe-envelop-word): Don't bind `noparens' (unused).

	* modes/rsz-minibuf.el: Remove old lemacs support,
	e.g. screen-vs-frame, etc.
	(resize-minibuffer-min): Removed.

	* modes/rsz-minibuf.el: Fix customizations.

	* prim/subr.el: Moved string-to-foo functions to obsolete.el.

	* prim/obsolete.el: Comments.

1997-09-13  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/filladapt.el: Added `:require' to filladapt-mode
 	customization.

	* modes/whitespace-mode.el: Customize better.

	* modes/hideshow.el: Customize.

	* packages/icomplete.el: Don't turn on by default; customize
 	correctly.

	* utils/uniquify.el: Don't invade Emacs by default.
	(uniquify-buffer-name-style): Default to nil.

	* utils/uniquify.el: Removed support for Emacs 18.

	* packages/pending-del.el: Customize `pending-delete-mode'.

	* modes/sh-script.el: Renamed `sh-script' customization group to `sh'.

	* packages/balloon-help.el: Customize `balloon-help-mode'.

	* packages/paren.el: Don't invade Emacs by default.
	Finished customizing.

1997-09-13  SL Baur  <steve@altair.xemacs.org>

	* x11/x-toolbar.el (toolbar-paste-function): Remove reference to
	x-yank-primary-selection.
	Suggested by: Hrvoje Niksic <hniksic@srce.hr>

	* prim/about.el (about-xemacs): Update release date with worst
	case.
	(about-maintainer-info): Sync entry with 19.16.

1997-09-11  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* packages/vc.el (vc-default-init-version): Make the default value 
	be `nil'.  Improve the docstring.

1997-09-12  SL Baur  <steve@altair.xemacs.org>

	* prim/make-docfile.el: Spawn make-docfile to csh on next-mach as
	well as BSD.

1997-09-13  Hrvoje Niksic  <hniksic@srce.hr>

	* mule/mule-util.el: Clean of Emacs-ported things.

1997-09-12  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/etags.el (tags-file-pattern): Allow `,' in file names.

	* prim/startup.el (initial-scratch-message): Converted to defcustom.

1997-09-11  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/tar-mode.el: Customize; use cl.el instead of
	home-brewed extensions.

1997-09-10  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/subr.el (mapc-internal): Define for backward compatibility.

	* cl/cl-extra.el: Don't define `mapc'.

1997-09-07  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/startup.el (initial-scratch-message): Cosmetic change.

Fri Sep  5 00:50:41 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/Release 5.17

Fri Sep  5 04:47:03 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-cmds.el (c-beginning-of-statement):
	Fixes in sentence movement to properly
	handle M-e moving forward into a comment when looking at preceding
	whitespace, and M-a moving backward into comment when looking at
	following whitespace.

	* cc-mode/cc-langs.el:
	Define `/' in c-mode-base-map since all modes now support
	c-electric-slash.

	Define C-c C-e in mode-specific maps instead of c-mode-base-map since
	c-expand-macro is meaningless in Java and IDL.

	* cc-mode/cc-engine.el (c-end-of-statement-1):
	Wrap backward-up-list in a c-safe call so no error results when
	buffer contains only a comment and point is at eob.

	* cc-mode/cc-cmds.el (c-beginning-of-statement):
	Uncommented the looking-at call in the
	sentence-flag clause so that moving by forward-sentence when looking
	at the beginning of a comment works again.  A previous log message in
	cc-mode.el indicates this was commented out "because
	c-beginning-of-statement-1 should do the right thing", but clearly it
	doesn't.

	I don't know if this breaks something else, because I can't figure out
	why it was commented out in the first place.

Tue Aug 26 22:31:55 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-styles.el (c-style-alist): "python" style,
	knr-argdecl-intro == +

Mon Aug 25 17:25:12 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-engine.el (c-inside-bracelist-p):
	Add a test to the enum list test so that the
	following code won't erroneously recognize as inside a brace list:

	static PyObject **
	unpack_sequence(v, argcnt, why)
	     PyObject **v;
	     int argcnt;
	     enum *why_code;
	{
		int i;

	Otherwise, the `enum' in the K&R decl trips this code up.

	* cc-mode/cc-styles.el (c-style-alist): "python" style,
	fill-column = 78

Fri Aug 22 20:25:57 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-cmds.el (c-comment-line-break-function):
	Don't break line in the middle of a string.

Mon Aug 18 17:37:24 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-styles.el (c-style-alist):
	"python" style change: arglist-intro <= +
	"python" style change: inextern-lang <= 0

Fri Aug 15 18:39:10 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-styles.el (c-style-alist):
	"python" style requires c-comment-continuation-stars
	to be "".

1997-09-09  SL Baur  <steve@altair.xemacs.org>

	* utils/autoload.el: One too many -autoload suffixes.

1997-09-07  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/startup.el (initial-scratch-message): Cosmetic grammar
	fixup in startup *scratch* message.

1997-09-09  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* packages/vc.el (vc-register): make the second option arg COMMENT 
	do something

	* packages/vc.el (vc-register): Make the default initial
	version be `vc-default-init-version', a new variable
	defaulting to "0.1".

1997-09-08  SL Baur  <steve@altair.xemacs.org>

	* prim/packages.el (packages-find-packages): Reverse package path.
	From Colin Rafferty <craffert@ml.com>

1997-09-07  Hrvoje Niksic  <hniksic@srce.hr>

	* utils/edmacro.el (edmacro-parse-word): Accept ^foo (would signal 
	error).
	(edmacro-format-1): Add SPC after ^.

1997-09-03  SL Baur  <steve@altair.xemacs.org>

	* prim/make-docfile.el (Top Level): Ensure `load-path' always has
	directory names ending in '/'.

	* prim/packages.el (list-autoloads-path): Assume `load-path'
	always has directories ending with trailing `/'s.

	* version.el (emacs-version): Preserve previous matching info.
	From Didier Verna <verna@inf.enst.fr>

Wed Sep  3 13:53:10 1997  SL Baur  <steve@altair.xemacs.org>

	* prim/loadup.el:  *Never* add directories to the load-path
	without trailing slashes.

1997-09-03  SL Baur  <steve@altair.xemacs.org>

	* prim/packages.el (packages-find-packages): New argument:
	`suppress-user' to allow suppression of searching package
	hierarchies beginning with "~".
	(Top Level): Suppress searching user directories at dump time.

1997-08-30  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/info.el (Info-mouse-track-double-click-hook): Added,
 	and placed an `add-hook' into (Info-mode)

1997-08-29  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* packages/hyper-apropos.el (hyper-apropos-help-map): add
	keybinding to `hyper-apropos-find-function'.
	(hyper-apropos-map): removed unnecessary double binding to
	`hyper-apropos-set-variable'.
	(hyper-apropos-find-function): new function.
	(hyper-apropos-popup-menu): if in the help mode, look for symbol
	at top of the buffer if necessary.  Added menu entry for
	`hyper-apropos-find-function'.

1997-08-29  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* prim/files.el (switch-to-buffer-other-frame): make it select-frame

1997-09-01  SL Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el (default-menubar): Put tetris in the game menu, 
	and move it and the mine game to the top of the menu.

1997-08-29  SL Baur  <steve@altair.xemacs.org>

	* packages/lpr.el: Clone message-flatten-list.

1997-08-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* apel/emu-x20.el (mime-charset-coding-system-alist):
	iso-2022-jp-2 is defined as coding-system.

	* mule/mule-coding.el: Rename `iso-2022-ss2-{7|8}' ->
	`iso-2022-{7|8}bit-ss2' to sync with Emacs 20.0.96.

	(iso-2022-jp-2): New coding system.

1997-08-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* prim/about.el (about-maintainer-glyph): Fix problem with
	jka-compr.el.

1997-08-25  SL Baur  <steve@altair.xemacs.org>

	* prim/help.el (find-function): ff-read-function was renamed.
	(find-function-other-window): Ditto.
	(find-function-other-frame): Ditto.

1997-08-21  SL Baur  <steve@altair.xemacs.org>

	* prim/packages.el (packages-find-packages-1): Append trailing
	slash to directories added to the load-path.

1997-08-17  SL Baur  <steve@altair.xemacs.org>

	* utils/autoload.el (fixup-autoload-buffer): Replace lost guard
	statement.

	* prim/make-docfile.el: Remove BOGUS redefinition of
	find-file-hooks.
	* prim/update-elc.el: Ditto.

	* prim/packages.el (locate-library): Put guard on usage of
	`find-file-hooks' (it doesn't exist when temacs is being run).

Fri Aug 15 17:26:05 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/Release 5.16

Fri Aug 15 18:39:10 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-styles.el (c-style-alist):
	"python" style requires c-comment-continuation-stars
	to be "".

	* cc-mode/cc-engine.el (c-end-of-statement-1):
	Eliminate false hits on important characters
	inside literals (strings, comments).

Tue Aug 12 21:47:18 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-cmds.el (c-comment-line-break-function):
	In this function, and the defadvice,
	call indent-new-comment-line if not in a comment.

	* cc-mode/cc-vars.el (c-buffer-is-cc-mode): Definition moved to
	cc-mode.el

	* cc-mode/cc-mode.el (c-buffer-is-cc-mode):
	Definition moved here from cc-vars.el.  Also,
	put permanent-local property on variable so it's value won't get
	killed by kill-all-local-variables.  This makes it easier for non-CC
	Mode derived modes to be initialized correctly.

	* cc-mode/cc-cmds.el (c-electric-brace):
	In preserve-p test, don't test char-before when at
	bobp.  Open brace at bobp is illegal in most modes, but not awk-mode,
	which depends on CC Mode.

Mon Aug 11 15:37:04 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-mode.el (c++-mode, java-mode, objc-mode, idl-mode):
	Remove obsolete variable c-double-slash-is-comments-p.

	* cc-mode/cc-langs.el (c-double-slash-is-comments-p): Remove
	obsolete variable.

	* cc-mode/cc-cmds.el (c-fill-paragraph):
	Remove conditional on obsolete variable
	c-double-slash-is-comments-p.

	* cc-mode/cc-styles.el (c-style-alist):
	Conform comment settings to RMS's preferences.

Thu Aug  7 19:21:32 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-styles.el (c-set-offset): Added autoload cookie.

1997-08-15  SL Baur  <steve@altair.xemacs.org>

	* cl/cl-macs.el (cl-make-type-test): De-ebolify type test for
	'character.

1997-08-12  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/man.el (Manual-mouseify-xrefs): Skip the top line of
 	manual entries so to not get the all-caps pseudo xrefs in the
 	heading in our list of manuals.
	(Manual-buffers-have-stars): new customize option.
	(manual-entry): Fix to utilize the new variable, and to not put
 	stars around manual names put in the minibuffer history.

1997-08-12  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/info.el (Info-directory-list): reverse the
 	`Info-default-directory-list' when using it to initialize the
 	`Info-directory-list'.
	(Info-insert-dir): make it so the insertion of a locadir file at a
 	"^[ \t]*Local.*\n[ \t]*[-=]+" line works correctly.

Mon Aug 11 17:35:35 1997  SL Baur  <steve@altair.xemacs.org>

	* prim/loaddefs.el (((dir load-path))): Ignore all errors.

	* utils/autoload.el (fixup-autoload-buffer): Wrapping autoloads
	files with a guard produces invalid bytecode.

	* prim/make-docfile.el (package-path): Look in the package path
	for autoloads files.

	* prim/packages.el (packages-find-packages-1): Don't append
	trailing "/" when adding a top-level Lisp directory.
	(list-autoloads-path): New function.  Use existing precomputed
	load-path instead of doing the old broken computation.

1997-08-11  SL Baur  <steve@altair.xemacs.org>

	* prim/startup.el (command-line-1): Allow setting of
	`initial-scratch-message' to nil to turn it off.
	Suggested by Gary D. Foster <Gary.Foster@Corp.Sun.COM>

1997-08-09  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/info.el: (info::toolbar) swap next and prev buttons to
 	match the order of the node headings in info files.

1997-08-09  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/info.el: (Info-fontify-node) will now split top line
 	that spans 3 lines.  (Info-extract-pointer) adjust to match.

1997-08-08  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/info.el: (Info-extract-pointer) make it move forward
 	one more line so when the top line has been split, the toolbar
 	arrows, u, and p will find the link they need.

Thu Aug  7 18:13:12 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/Release 5.15

Thu Aug  7 19:21:32 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-styles.el (c-set-offset): Added autoload cookie.

	* cc-mode/cc-langs.el (c++-mode-syntax-table, java-mode-syntax-table,
	objc-mode-syntax-table, idl-mode-syntax-table):	Added autoload
	cookies. c-mode-syntax-table already has one.

Wed Aug  6 21:50:08 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-mode.el (c-initialize-cc-mode):
	Check all cc-mode-19 interface requirements.

Tue Aug  5 21:56:02 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-align.el (c-lineup-java-throws):
	Change the `when' clause to an `if-progn' :-(

	* cc-mode/cc-langs.el (c-common-init):
	Make comment-line-break-function buffer local iff it's boundp.

	* cc-mode/cc-cmds.el:
	defadvice for indent-new-comment-line keys off of c-buffer-is-cc-mode
	instead of an explicit major-mode list.  this means non-CC Mode
	derived modes will work properly

	* cc-mode/cc-mode.el (c-initialize-cc-mode): Set
	c-buffer-is-cc-mode to t.

	* cc-mode/cc-vars.el (c-buffer-is-cc-mode): New variable

	* cc-mode/cc-mode.el (c-initialize-cc-mode):
	Give in to the pressure.  require 'cc-mode-19
	if functionp is not bound.  Too many novice errors without this.

	* cc-mode/cc-cmds.el:
	Added advice for indent-new-comment-line so older Emacsen work if they
	don't have the variable comment-line-break-function.

Mon Aug  4 14:55:40 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-langs.el (c-mode-base-map, c++-mode-map):
	Move `/' as an electric character
	from c++-mode-map to c-mode-base-map for all languages.

	* cc-mode/cc-cmds.el (c-electric-slash):
	Make this work as the final slash in a */ block
	oriented comment closing token.

	* cc-mode/cc-vars.el (c-comment-continuation-stars):
	Can take a nil value.  Also, the default value is "* ".

	* cc-mode/cc-cmds.el (c-comment-line-break-function): nil value for
	c-comment-continuation-stars means use old semantics

Fri Aug  1 22:44:49 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-cmds.el (c-comment-line-break-function):
	Added optional soft argument

	* cc-mode/cc-langs.el (c-common-init): Set comment-multi-line and
	comment-line-break-function here for all modes.

	* cc-mode/cc-mode.el (c-mode, c++-mode, objc-mode, java-mode,
	idl-mode):
	Don't set comment-multi-line here.

	* cc-mode/cc-vars.el (c-comment-continuation-stars): New variable

	* cc-mode/cc-cmds.el (c-comment-line-break-function): New function
	for proposed mode-specific comment-line-break-function variable.

	* cc-mode/cc-mode.el (c-mode): comment-multi-line => nil

	* cc-mode/cc-langs.el (c-C-comment-start-regexp): Obsolete.

	(c-comment-start-regexp): Initialize from c-C++-comment-start-regexp.

	(c-populate-syntax-table, c-setup-dual-comments): Merge both functions
	into c-populate-syntax-table.  With the new 9X draft C standard, both
	line and block oriented comments are supported in all modes, so always
	set up the syntax tables to support both comment styles.

	(c-mode-syntax-table, c++-mode-syntax-table, java-mode-syntax-table,
	objc-mode-syntax-table, idl-mode-syntax-table): Use the new syntax
	table initialization idioms.

	(c-enable-//-in-c-mode): Obsolete.

	* cc-mode/cc-mode.el (c-mode):
	c-comment-start-regexp uses c-C++-comment-start-regexp to
	support line oriented comments.

Wed Jul 30 00:01:45 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-engine.el (c-guess-basic-syntax):
	CASE 5D.4: template argument continuation
	lines are now analyzed as template-args-cont.

	* cc-mode/cc-styles.el (c-offsets-alist):
	Added template-args-cont syntactic symbol

Sat Jul 26 16:03:33 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-styles.el (c-styles-alist):
	In "java" style, set c-hanging-comment-starter-p to
	nil to preserve Javadoc starter lines.

1997-08-08  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* prim/obsolete.el (define-obsolete-variable-alias): If the
	obsolete variable was setq'ed before the code was loaded we want
	that value.

1997-08-06  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/man.el: Several modifications

		* (manual-entry) buffers are named without *'s, when
 		`buffers-menu-submenus-for-groups-p' is t, so they show up
 		in a subsection of the Buffer's menu now, rather than
 		lumped under *Misc*.

		* (Manual-mode) added a local `kill-buffer-hook' to remove
 		a killed manual from the `Manual-page-history'

		* (Manual-last-page) begun rewrite of manuvering and
 		viewing mode code

		* (Manual-mouseify-xrefs) hyphenated xrefs are highlighted
 		now, and properly handled when the second line is
 		indented.  They end up on the menus too.

		* (Manual-popup-menu) made the far button popup menus look
 		better by removing the prefix string and adding a title.

1997-08-06  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/info.el: (Info-highlight-region) Fixed it to not
 	highlight the indention spaces in xrefs split across lines with
 	indention on the second line.

1997-08-06  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/info.el: Numerous modifications, including:

		* support for "dir" merging 'ala Emacs-19.34, with
 		fallback to cheap localdir files in the secondary info
 		directories.
 	
		* changed default `Info-annotations-path' from
 		~/.infonotes to ~/.xemacs/info.notes
	
		* added `Info-additional-directory-list'
	
		* changed a call to w3-fetch to browse-url
 	
		* added new variables and functions from GNU Emacs 19.34:
 		`Info-dir-contents', `Info-dir-contents-directory',
 		`Info-dir-file-attributes', and the function
 		`Info-insert-dir'
 	
		* rewrote `Info-suffixed-file' to a cond block rather than
 		nested if's for aesthetic reasons.
 	
		* made the top line get split if it's longer than 79
 		characters and tweaked fontification to handle that.
 	
		* changed the look of the pop-up mouse menus by utilizing
 		the "--:etchedThing" dividers.
	
		* several docstring reformats and typo fixes, a few
 		comments deleted.

	* info/dir: deleted the Locals: line.  I think it's obsolete since
 	the "dir" merge can put things from like-named nodes in separated
 	"dir" files all under one menu, which is more versatile than just
 	a "Locals:" section.  If you still want a "Locals:" section, make
 	yourself a node for it.

1997-08-07  SL Baur  <steve@altair.xemacs.org>

	* egg/egg.el (hiragana-region): Ebola cleanup.
	(katakana-region): Ditto.

1997-08-02  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>
	* prim/files.el (save-buffers-kill-emacs):
	If there are active processes, then list them before querying if
	it is ok to exit emacs.

1997-08-01  Karl M. Hegbloom  <karlheg@inetarena.com>

        * efs/dired.el (dired-get-filename) Move the skipping of the
        ending carriage return on NT to inside the setq so `and' won't
        fail on Unix.

1997-07-30  SL Baur  <steve@altair.xemacs.org>

	* prim/startup.el (find-emacs-root-internal-1): Remove diagnostic.

	* prim/packages.el (packages-find-packages): Remove diagnostic.

1997-07-27  SL Baur  <steve@altair.xemacs.org>

	* utils/config.el (config-value-hash-table): Only store the first
	occurrence of a symbol.

	* modes/make-mode.el: Remove imenu stuffs.

Sat Jul 26 12:24:20 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/  Release 5.14

Sat Jul 26 16:03:33 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-styles.el (c-styles-alist):
	In "java" style, set c-hanging-comment-starter-p to
	nil to preserve Javadoc starter lines.

Fri Jul 25 22:17:07 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-engine.el (c-beginning-of-statement-1):
	When checking for bare semi, don't match
	on a semi following a close brace, otherwise the following legal code
	fails:

	void foo()
	{
	    static struct Pattern nums
	        = {1, 2, 3};

	    int j = 2;
	}

	This might break some bare semi idioms but those are probably more
	rare than static initializers.

	* cc-mode/cc-vars.el (idl-mode-hook): New variable.

	* cc-mode/cc-mode.el (idl-mode): Support for CORBA's IDL language.

	* cc-mode/idl-font-lock.el: Unsupported font-lock definitions for IDL.
	This should be merged in with font-lock.el

	* cc-mode/cc-mode.el (c-initialize-cc-mode):
	move the calling of c-make-styles-buffer-local
	into c-initialize-builtin-style.

	* cc-mode/cc-styles.el (c-set-style-2):
	Fixed broken implementation of inherited styles.

	* cc-mode/cc-mode.el (c-initialize-cc-mode):
	Run the c-initialization-hook, but only once
	per Emacs session.

	* cc-mode/cc-vars.el (c-initialization-hook): New variable.

	* cc-mode/cc-engine.el (c-guess-basic-syntax):
	CASE 5I: When adding 'inclass syntax, use the
	relpos pointing to the class opening brace, unless that hangs on the
	right side, in which case, use the start of the class/struct keyword.

Thu Jul 17 03:36:22 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-langs.el (c-symbol-key):
	first character must be a letter or underscore

1997-07-25  SL Baur  <steve@altair.xemacs.org>

	* packages/vc.el (vc-version-diff): Autoload for the menu.
	Suggested by Karl M. Hegbloom <karlheg+xemacs@inetarena.com>

1997-07-24  SL Baur  <steve@altair.xemacs.org>

	* prim/make-docfile.el (docfile-out-of-date): Workaround for NEWOS 
	process exit handling bug.
	Suggested by Katsumi Yamaoka <yamaoka@ga.sony.co.jp>

1997-07-23  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/info.el: (Info-fontify-node) Allow colons in menu
 	names.  There must be whitespace following the menu ending colon.

1997-07-23  SL Baur  <steve@altair.xemacs.org>

	* prim/faces.el (invert-face): Make interactive.
	Suggested by David Bakhash <cadet@sst.ll.mit.edu>

1997-07-21  Karl M. Hegbloom  <karlheg@inetarena.com>

	* modes/view-process-system-specific.el added
	`View-process-field-name-descriptions-linux', transcribed from
	man 7 ps_fields.  Linux signals fixed to match <asm/signal.h>.

1997-07-22  SL Baur  <steve@altair.xemacs.org>

	* x11/x-toolbar.el (toolbar-paste-function): Add default as
 	option.

	* prim/minibuf.el (force-dialog-box-use): Fix typo.
	From Pekka Marjola <pema@iki.fi>

1997-07-21  SL Baur  <steve@altair.xemacs.org>

	* prim/packages.el (locate-data-directory): New function to search 
	for directories in the data-directory-list.

1997-07-21  Karl M. Hegbloom  <karlheg@inetarena.com>

	* prim/minibuf.el: New customize variable:
 	`minibuffer-history-uniquify'
	(read-from-minibuffer) Only remove histval from list if
	minibuffer-history-uniquify is t.

	* custom/custom.el: Fix typo in (defgroup) docstring.

1997-07-21  SL Baur  <steve@altair.xemacs.org>

	* prim/startup.el (set-default-load-path): Initialize package
	paths as final step if everything else went O.K.

	* prim/help.el: Removed locate-library (moved to packages.el).

	* prim/subr.el: Removed lamda macro (moved to packages.el).

	* prim/packages.el (package-find-packages): New function.  Search
	package hierarchies for interesting directories.
	(package-find-packages-1): Helper function for the above.  Do the
	searching in exactly 1 directory.

	* packages/vc.el: Add ClearCase maintainer.

1997-07-21  Karl M. Hegbloom  <karlheg@inetarena.com>

	* modes/whitespace-mode.el (toplevel) Install toolbar button using
	`toolbar-add-item' rather than redefining the whole default
	toolbar.  If the button is already there, does nothing, so a
	custom toolbar containing a whitespace button can made with
	`edit-toolbar' once it's been installed the first time.

1997-07-20  SL Baur  <steve@altair.xemacs.org>

	* utils/speedbar.el:
	(speedbar-frame-mode): Autoload.
	(speedbar-get-focus): Autoload.
	(speedbar): Autoload (correctly).

	(speedbar-frame-width): Test liveness of frame 
	too.
	(speedbar-frame-mode): Avoid some Emacs 20 code.
	From Markus Linnala <maage@cs.tut.fi>

	* prim/startup.el (find-emacs-root-internal): Search
	prefix-directory directly for XEmacs installed stuffs.

	* utils/smtpmail.el (smtpmail-send-it): Autoload.

	* prim/startup.el (command-line): Put advisory text in *scratch*
	at startup.

	* packages/info.el (Info-exit): Guard against deletion of only
	frame.
	From David Bakhash <cadet@MIT.EDU>

1997-07-19  SL Baur  <steve@altair.xemacs.org>

	* utils/elp.el: Spelling correction.
	From karlheg+xemacs@inetarena.com (Karl M. Hegbloom)

1997-07-19  Steven L Baur  <steve@altair.xemacs.org>

	* prim/about.el: Sundry changes.

1997-07-18  Steven L Baur  <steve@altair.xemacs.org>

	* packages/crypt.el (crypt-inhibit-formats): New variable.
	(crypt-encoded-p): Use it.
	Based on a patch by Tkil <tkil@scrye.com>

	* utils/ring.el (ring-p): Make compatible, not obsolete.

1997-07-16  Steven L Baur  <steve@altair.xemacs.org>

	* utils/crontab.el (crontab-get): Check for `no crontab for' as an 
	error return.
	Suggested by Jeff Miller <jmiller@smart.net>

	* modes/arc-mode.el: Clean up comment.

	* packages/tar-mode.el: Clean up comments.

Wed Jul 16 23:56:58 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/:  Release 5.13.

Thu Jul 17 03:36:22 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-langs.el (c-symbol-key):
	first character must be a letter or underscore

Mon Jul 14 23:43:33 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-langs.el (c-make-inherited-keymap): Change to a defun

	* cc-mode/cc-langs.el:
	Added (require 'cc-defs) to pick up the definition of c-emacs-features.

	* cc-mode/README: Simplified instructions

	* cc-mode/cc-make.el: New file to aid in byte-compiling in older
	Emacsen.

Sun Jul 13 21:24:37 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-cmds.el: cc-defs is required to pick up the
	c-add-syntax macro

	* cc-mode/cc-langs.el (c-mode-menu):
	Added uncomment region and slight rearrangement of
	items

	* cc-mode/cc-cmds.el (c-electric-backspace):
	Must get 'supercede property values to work
	with delsel and pending-del.

Thu Jul 10 20:46:09 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-engine.el (c-maybe-labelp):
	defvar this to shut up the byte compiler

Wed Jul  9 22:08:58 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-styles.el (c-initialize-builtin-style):
	use copy-sequence instead of copy-tree
	so the cl module isn't necessary.

	* cc-mode/cc-cmds.el (c-electric-brace):
	fix ebola eradication consequence in the
	preserve-p test.

1997-07-15  Steven L Baur  <steve@altair.xemacs.org>

	* prim/about.el (xemacs-hackers): Add info about IENAGA Kazuyuki.
	(about-url-alist): Ditto.
	(about-maintainer-info): Ditto.

	* prim/modeline.el (add-minor-mode): Update docstring.

1997-07-15  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/pending-del.el (pending-delete-mode): Use the option
	symbol as argument to add-minor-mode, not its value.

1997-07-14  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/pending-del.el (pending-delete-modeline-string): New
 	option.

1997-07-14  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files.el (auto-mode-alist): Readd objective c mode.
	From Barry A. Warsaw <bwarsaw@CNRI.Reston.Va.US>

	* prim/make-docfile.el: Print more informative message when
	attempting to create docfile and all dumped .elcs do not exist.

1997-07-13  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files.el (save-some-buffers): Guard call to
	`delete-other-windows'.

1997-07-13  Karl M. Hegbloom  <karlheg@inetarena.com>

	* prim/minibuf.el: (read-from-minibuffer) Corrected indentation,
 	History lists don't contain dups anymore, newest is put on top and
 	removed from the cdr.

1997-07-13  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/man.el: (manual-entry) Added `Manual-page-
 	minibuffer-history', and added it to the read-string statement.
  	Added #\: to `fmh' so that manuals named like MIME::Parser(3) are
 	found at point.
	(Manual-mouseify-xrefs) Fixed it so now it will mousify the manual
 	entry on the first line of an apropos listing.

1997-07-10  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/info.el: Added `Info-minibuffer-history', and made it
 	the minibuffer history variable in the `completing-read' calls.

	* utils/savehist.el: Added `Info-minibuffer-history' to default
 	value of `savehist-history-variables'.

1997-07-13  Steven L Baur  <steve@altair.xemacs.org>

	* modes/lisp-mode.el: Restore verbosity as an option.
	From Hrvoje Niksic <hniksic@srce.hr>

1997-07-11  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/cmdloop.el (execute-extended-command): Use
 	`sorted-key-descriptions'.

	* prim/help.el (sorted-key-descriptions): New function.
	(where-is): Use it.
	(where-is): Use `read-command'.

	* prim/macros.el (kbd-macro-query): Use `read-char-exclusive'
	instead of `read-char'.

	* prim/cmdloop.el (read-char): Correctly inhibit quit.

	* prim/files.el: Use `files' group.

	* prim/disp-table.el (describe-display-table): Made it work; don't 
	use `describe-vector'.

	* prim/gui.el: Customized.

	* utils/edmacro.el (insert-kbd-macro): Move to macros.el.

	* prim/macros.el: Synch with FSF 19.34.

	* prim/featurep.el: Comment addition.

	* prim/cus-start.el: Add variables from replace.el.

	* prim/replace.el (case-replace): Use `defvar', not `defconst'.

	* utils/crontab.el: Customized.

	* utils/highlight-headers.el: Define -faces as a separate group;
	customize the variables.

	* utils/uniquify.el: Hide from the Customize tree; the package
	changes state of XEmacs on load.

	* packages/igrep.el: Don't insinuate XEmacs when loading.
	(igrep-insinuate): New function.

	* packages/blink-cursor.el (blink-cursor-callback): Don't blink on 
	TTY-s.

	* prim/console.el (resume-pid-console): Use `eql'.

	* prim/profile.el (profile): Restore old profiling state, instead
	of blindly turning off profiling.

	* packages/add-log.el (add-log-c-like-modes): Add java-mode.

	* packages/add-log.el: Require fortran when compiling.

	* prim/device.el (device-list): Use `nconc' instead of `append'.

1997-07-13  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files.el (save-some-buffers): Only delete other windows the
	first time through.
	Based on code from Hrvoje Niksic <hniksic@srce.hr>

1997-07-12  Steven L Baur  <steve@altair.xemacs.org>

	* prim/modeline.el (mouse-drag-modeline): Don't queue dummy eval
	events.
	From Kyle Jones <kyle_jones@wonderworks.com>

1997-07-10  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/gnuserv.el (gnuserv-edit-files): Operate on this
	buffer's menubar.

1997-07-11  Steven L Baur  <steve@altair.xemacs.org>

	* packages/gnuserv.el: Add done button.
	From Hrvoje Niksic <hniksic@srce.hr>

1997-07-10  Steven L Baur  <steve@altair.xemacs.org>

	* utils/edit-toolbar.el: (edit-toolbar-file-name): Use
	`emacs-user-extension-dir'.
	(edit-toolbar-add-initialization): Ditto.
	(edit-toolbar-prompt-for-initialization): Ditto.

	* utils/edit-toolbar.el: New file.
	From Peter Pezaris <pez@dwwc.com>

	* utils/toolbar-utils.el: New file.
	From Jeff Miller <jmiller@smart.net>

1997-07-10  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/add-log.el (change-log-font-lock-keywords): Don't
	fontify closing paren.

	* packages/pending-del.el: Some renamings, synch with Emacs 19.34.

1997-07-10  Steven L Baur  <steve@altair.xemacs.org>

	* packages/hyper-apropos.el (hyper-apropos-get-doc): Don't
	autoload, there is very little point.

	* prim/obsolete.el (frame-first-window): Make compatible, not
	obsolete.

1997-07-10  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/pending-del.el (pending-delete-pre-hook): Don't quote
 	lambda.
	(pending-delete-pre-hook): Use `error-message-string'.
	(pending-delete): Treat as minor mode; define the standard turn-on 
	and turn-off functions.
	(delete-active-region): Simplified.

	* packages/pending-del.el: Don't turn on by default.

1997-07-09  Steven L Baur  <steve@altair.xemacs.org>

	* packages/pending-del.el: Correct typo in Hrvoje's upgrade.

	* mel/mel-u.el (uuencode-external-decode-region): Force
	buffer-read-only nil because it gets changed magically to t during 
	the call to `insert-file-contents'.

	* tm/tm-image.el (mime-preview/filter-for-image): Comment out test 
	for invalid glyph.  It appears to be non-functional.

	* modes/lisp-mode.el (lisp-interaction-mode-popup-menu-1): Add
	entry for debug on signal.

	* packages/supercite.el (sc-attribs-%@-addresses): + is valid in
	an Email address.
	(sc-attribs-<>-addresses): Ditto.
	(sc-get-address): Ditto.

	* cc-mode/cc-cmds.el (c-electric-brace): Fix Ebola infection.

	* prim/dumped-lisp.el (dumped-lisp-packages): Tweak dump order
	so "startup" is loaded before the autoloads.

	* custom/cus-edit.el (custom-file): Use same logic as startup.el

j1997-07-08  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/simple.el (log-message-ignore-regexps): Reduced
	significantly.

Tue Jul  8 23:47:47 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/Release 5.12

Mon Jul  7 23:47:02 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-styles.el, cc-mode/cc-mode.el, cc-mode/cc-menus.el,
	cc-mode/cc-langs.el, cc-mode/cc-engine.el, cc-mode/cc-compat.el,
	cc-mode/cc-cmds.el, cc-mode/cc-align.el:
	Reorganization to support byte-recompile-directory.

	* cc-mode/Release: Don't put release number in tar file

Thu Jul  3 22:54:03 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-langs.el (c-mode-base-map):
	Proper binding of c-electric-backspace and
	c-electric-delete, based on the policy of the various maintainers.
	Thank goodness for delete-key-deletes-forward!

	* cc-mode/cc-vars.el (c-tab-always-indent, c-hanging-braces-alist):
	Minor changes to the cutomize format.

	* cc-mode/cc-mode-19.el: Initial revision

	* cc-mode/cc-menus.el, cc-mode/cc-engine.el, cc-mode/cc-compat.el,
	cc-mode/cc-cmds.el, cc-mode/cc-align.el:
	Major Ebola eradication.

Wed Jul  2 21:33:04 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-engine.el (c-crosses-statement-barrier-p,
	c-guess-basic-syntax): Ebola eradication.

	* cc-mode/cc-cmds.el (c-indent-region):
	Call c-echo-parsing-error to echo last parsing
	error that may have occurred.

	* cc-mode/cc-engine.el (c-echo-parsing-error): New function.

	* cc-mode/cc-engine.el (c-parsing-error): new variable

	(c-parse-state): When an unbalanced close brace is discovered, don't
	raise an error (prevents insertion of character).  Insert the
	character, display a warning message, and set c-parsing-error so
	syntax echoing will be disabled.

	(c-show-syntactic-information, c-indent-line): Suppress syntax echoing
	if c-parsing-error is non-nil.

	* cc-styles.el: Added require of cl to pick up definition of copy-tree.

Mon Jun 30 21:41:00 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-langs.el, cc-mode/cc-mode.el (c-mode-map,
	c++-mode-map, objc-mode-map, java-mode-map):
	Moved
	defvars from cc-langs.el to cc-mode.el for use in c-mode, c++-mode,
	objc-mode, and java-mode docstrings.  Actual population of these mode
	maps remains in cc-langs.el.

	* cc-mode/cc-mode.el:
	Require cc-langs at top level, so as to get the definitions for
	c-mode-map, et al. that are used in the *-mode docstrings.

Fri Jun 27 17:33:32 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-langs.el (c-mode-syntax-table):
	Added autoload cookie for gdb-mode.

Thu Jun 26 21:12:56 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-engine.el (c-guess-basic-syntax):
	CASE 5H: Whack one ebola infection (e.g. using
	memq with the results of following-char in XEmacs 20).

	* cc-mode/cc-styles.el:
	Added two require's that make autoload call of (c-set-style) work.

Sun Jun 22 16:40:30 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-cmds.el (c-electric-delete):
	Don't call c-electric-backspace interactively.

Fri Jun 20 20:40:33 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode/cc-mode.el (c-mode, c++-mode, objc-mode, java-mode):
	Make sure to call
	c-update-modeline after the hooks are run, so that the modeline
	accurately reflects auto-newline and delete-key minor modes if the
	hooks set c-hungry-delete-key or c-auto-newline directly.

	* cc-align.el (c-lineup-java-throws): Fixed some regressions.
1997-07-08  Steven L Baur  <steve@altair.xemacs.org>

	* packages/func-menu.el: Don't enable Makefile mode function menu
	by default.
	From Martin Buchholz <mrb@Eng.Sun.COM>

	* x11/x-menubar.el (file-menu-filter): Delete Frame should be
	active when multiple frames span multiple devices.
	From Aki Vehtari <Aki.Vehtari@hut.fi>

1997-07-08  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/gnuserv.el: Remove RCS ID keywords.

	* utils/savehist.el: Cosmetic changes.  Hopefully, not
	user-visible.

	* prim/debug.el (debug-convert-byte-code): Use compiled-function
	accessor functions.

1997-07-08  Steven L Baur  <steve@altair.xemacs.org>

	* modes/hideif.el (hide-ifdef-mode): Include modemap in call to
	`add-minor-mode'.

1997-07-08  Tomasz Cholewo  <tjchol01@mecca.spd.louisville.edu>

	* packages/add-log.el: Require add-log for accessing
	add-log-mailing-address and add-log-full-name variables.

1997-07-08  Steven L Baur  <steve@altair.xemacs.org>

	* bytecomp/disass.el (disassemble-1): Use functional interface
	instead of indexing into vector.
	From Hrvoje Niksic <hniksic@srce.hr>

	* prim/startup.el (emacs-user-extension-dir): New variable.
	(load-user-init-file): Use it.  .xemacs and .xemacs-custom are
	moved into `emacs-user-extension-dir' and renamed to init.el and
	options.el respectively.

	* prim/packages.el (packages-hardcoded-lisp): Remove "startup"
	since it is mentioned in dumped-lisp.el.

	* cl/cl-macs.el (keymap-name): New defsetf.
	(keymap-prompt): Ditto.
	(keymap-default-binding): Ditto.
	From Hrvoje Niksic <hniksic@srce.hr>

1997-07-07  Karl M. Hegbloom  <karlheg@inetarena.com>

	* packages/dabbrev.el: replace `buffer-substring' with
	`buffer-substring-no-properties' so that unwanted text
	properties (like read-only) are stripped from inserted
	dabbrev expansions.

1997-07-08  Steven L Baur  <steve@altair.xemacs.org>

	* comint/comint.el (comint-replace-by-expanded-history): Change
	buggy history test regexp.
	From Simon Marshall  <simon@spiff.gnu.ai.mit.edu> (Emacs/Mule zeta)

1997-07-07  Steven L Baur  <steve@altair.xemacs.org>

	* oobr/br-clos-ft.el (clos-scan-routine-arglist): Don't reference
	bytecode object as vector.

	* hypberbole/hact.el (action:commandp): Don't reference bytecode
	objects as vectors.
	(action:params): Ditto.
	
	* hyperbole/hypb.el (hypb:function-copy): Don't reference byte
	code objects as vectors.
	(hypb:function-symbol-replace): Document as broken.  The
	substition cannot be done without some thinking I'm not in the
	mood for.

	* efs/efs-ovwrt.el (efs-overwrite-fn): Attempt to correctly deal
	with the interactive spec.

	* packages/apropos.el (apropos-safe-documentation): Use
	`compiled-function-doc-string' instead of referencing a bytecode
	object as an array.

	* prim/subr.el (buffer-substring-no-properties): Undo previous
	change removing extents.  set-text-properties works now.
	From Hrvoje Niksic <hniksic@srce.hr>

	* packages/hyper-apropos.el (hyper-apropos-get-doc): Get the
	argument list through a function instead of indexing into
	bytecode.

	* utils/easymenu.el (easy-menu-add): Oops, wrong sense in
	comparison.

	* comint/gdb.el (gdb-mode-syntax-table): New variable.  Initialize 
	with the logic currently in CC Mode 5.11.
	(gdb-mode): Use it.

	* modes/hideif.el (hide-ifdef-mode-submap): Correctly specify the
	current local map.

1997-07-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* language/english.el: Add quail-british for British.

	* language/european.el: Register input-method for various non
	quail-latin-1 methods.

1997-07-06  Steven L Baur  <steve@altair.xemacs.org>

	* prim/cmdloop.el (errors-deactivate-region): Default to no error
	behavior for beta testing.

	* prim/dumped-lisp.el (dumped-lisp-packages): Reenable dumping
	winnt.elc with MS Windows NT version of XEmacs.

1997-07-05  Steven L Baur  <steve@altair.xemacs.org>

	* comint/shell.el ((not shell-mode-map)): M-RET conflicts with
	Hyperbole binding.

	* comint/comint.el (comint-mode): Use easymenu for making menus.
	(comint-popup-menu): Use mode-popup menu instead of private menu.

	* efs/dired.el (toplevel): Do not string test version against
	"Lucid".

	* prim/obsolete.el (add-menu): Don't make obsolete.

	* utils/easymenu.el (easy-menu-remove): Do something neater when
	only one buffer menu is in effect.
	(easy-menu-add): Ditto.

	* prim/dumped-lisp.el (dumped-lisp-packages): easymenu will be
	dumped with XEmacs.

	* utils/easymenu.el (easy-menu-define): Don't autoload.

	* modes/lisp-mode.el (toplevel): Rename menu descriptors.
	(emacs-lisp-mode): Use easy-menu-define/easy-menu-add to add menus.
	(lisp-interaction-mode): Ditto.

1997-07-04  Steven L Baur  <steve@altair.xemacs.org>

	* prim/cmdloop.el (errors-deactivate-region): Default to existing
	behavior.

	* leim/quail.el (quail-mode): Correct addition of quail minor mode 
	info to minor-mode-map-alist.
	(top-level):  Ditto.

1997-06-30  Hrvoje Niksic  <hniksic@srce.hr>

	* modes/abbrev.el (define-mode-abbrev): Call `define-abbrev' with
	correct arguments.

1997-07-04  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/minibuf.el (read-from-minibuffer): Initialize
	`current-minibuffer-contents', `current-minibuffer-point', and
	`initial-minibuffer-history-position'.
	(next-history-element): Use them.
	(previous-matching-history-element): Ditto.

1997-07-04  Steven L Baur  <steve@altair.xemacs.org>

	* prim/cus-load.el (custom-put): New alias for overloadable
	function.

1997-07-03  Steven L Baur  <steve@altair.xemacs.org>

	* utils/autoload.el (batch-update-directory): Fix typo.
	(update-autoloads-from-directory): Avoid scanning custom-load.el
	and auto-autoload.el files.
	(batch-update-autoloads): Remove duplicate status message.
	(autoload-snarf-defcustom): Keep track of what symbols we have
	attached property lists to.

	* ilisp/Makefile (autoloads): Add autoloads dependencies.

	* hyperbole/Makefile: Add autoloads dependencies.

	* utils/autoload.el (batch-update-autoloads): Load custom-load
	prior to updating autoloads.

	* cc-mode/Makefile (autoloads): New targets to automatically
	rebuild autoloads and custom-loads.

1997-07-02  Steven L Baur  <steve@altair.xemacs.org>

	* auctex/Makefile (autoloads): New targets to automatically
	rebuild autoloads and custom-loads.

	* utils/autoload.el (batch-update-autoloads): Add new parameter,
	update DOC string.

	* comint/gdb.el (gdb-mode): Semantics of c-mode-syntax-table have
	changed.

1997-07-01  Steven L Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el: bookmark submenu beautification -- This will
	make it look better (and will prevent some consing, but that's
	being anal).
	From Hrvoje Niksic <hniksic@srce.hr>
	
	* prim/simple.el (delete-key-deletes-forward): Mark docstring as
	an user option.
	From Gary D. Foster <Gary.Foster@Corp.Sun.COM>

	* mel/mel-q.el (q-encoding-encode-string): Fix Ebola-ified
 	comparison.

	* efs/efs-ovwrt.el (efs-overwrite-fn): efs is manufacturing its
	own byte code.  Whee.
	* utils/advice.el (ad-interactive-form): Don't treat bytecode as a 
	vector if it can be avoided.
	From Kyle Jones <kyle_jones@wonderworks.com>
	
1997-06-30  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files.el (auto-mode-alist): Don't set image-mode by default
	on xpms.

Sun Jun 29 20:57:15 1997  Kyle Jones  <kyle_jones@wonderworks.com>

	* prim/simple.el: bind inhibit-read-only to t before 
	  trying to erase or otherwise modify the echo area buffer.

1997-07-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* modes/image-mode.el: Add `image-maybe-restore' to
	`change-major-mode-hook'.

	* modes/image-mode.el (image-maybe-restore): New function.

1997-06-29  Hrvoje Niksic  <hniksic@srce.hr>

	* modes/abbrev.el (define-mode-abbrev): Would ignore EXPANSION.

1997-06-28  Hrvoje Niksic  <hniksic@srce.hr>

	* modes/abbrev.el (define-abbrev): If NAME contains a non-word
 	character, intern a ` ' symbol in the obarray.

1997-06-29  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files.el (auto-mode-alist): Set image-mode for various
	image file names (JPEG, GIF, PNG, and xpm).

Sun Jun 29 03:02:10 1997  Kyle Jones  <kyle_jones@wonderworks.com>

	* src/undo.c (record_extent):
	  If the extent's object is a string, just return.  We
	  can't record undo information for strings, and it is
	  very bad to reference through a string pointer as if it 
	  were a buffer pointer.

1997-06-28  Steven L Baur  <steve@altair.xemacs.org>

	* utils/delbs.el: Removed as obsolete.
	Suggested by Gary D. Foster <Gary.Foster@Corp.Sun.COM>

	* packages/hyper-apropos.el (hyper-apropos-documentation): Remove
	obsolete alias.
	(hyper-apropos-hyperlink): Ditto.
	(hyper-apropos-major-heading): Ditto.
	(hyper-apropos-section-heading): Ditto.
	(hyper-apropos-heading): Ditto.
	(hyper-apropos-warning): Ditto.
	From Hrvoje Niksic <hniksic@srce.hr>

	* prim/simple.el (show-message-log): Restore an oldie-but
	prematurely-retired-goodie.

	* x11/x-menubar.el (default-menubar): Restore Show Message Log
	command in Edit menu.

	* mule/mule-util.el: Change defsubst to defun for
	string-to-sequence, string-to-list, string-to-vector,
	nested-alist-p to shut up build time diagnostics.

	* prim/loadup.el (Top level): Added instrumentation to diagnose
	where the 0 property list is getting added at dump.  Naturally, I
	cannot reproduce the problem now.

	* modes/abbrev.el (define-abbrev): Trap nil tables (which might
	cause bogus plists to get put into obarray).
	Fix docstring.

1997-06-27  Hrvoje Niksic  <hniksic@srce.hr>

	* modes/auto-show.el:  Customized.

1997-06-27  Steven L Baur  <steve@altair.xemacs.org>

	* prim/make-docfile.el: [oops] Check auto-autoloads.elc for
	out-of-dated-ness too.

	* utils/autoload.el (batch-update-directory): Kill command line
	args when done.
	(autoload-save-customization): Print a warning message with the
	offending symbol when we run across the elusive malformed property 
	list ((0 0)).

1997-06-26  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/profile.el (profile-key-sequence): New function.
	(pretty-print-profiling-info): Allow interactive calls.

	* prim/overlay.el: Make more FSF compatible.
	
1997-06-27  Steven L Baur  <steve@altair.xemacs.org>

	* prim/loaddefs.el (debug-ignored-errors): Fix regexps.
	From Hrvoje Niksic <hniksic@srce.hr>

	* hyperbole/wrolo-menu.el (TopLevel): Fix tests so that W3's
	id-menubar simulation doesn't bollux up feature tests.

	* prim/about.el (about-xemacs): Adjust planned release date.

1997-06-26  Steven L Baur  <steve@altair.xemacs.org>

	* prim/cus-load.el: Use correct load name.
	- Silence the load messages.

	* mule/mule-util.el (string-to-sequence): Spelling correction.

	* prim/make-docfile.el: Don't overwrite DOC file when it is
	up-to-date.

1997-06-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* language/chinese.el: Add chinese-isoir165 (CCITT Extended GB).

	* language/chinese.el: Modify charset DOC-strings for CNS 11643 to
	be more detailed.

	* language/arabic.el: (require 'language/arabic-util) instead
	of (require 'arabic) for Arabic environment.

	* language/arabic-util.el: Provide `language/arabic-util' instead
	of `arabic'.

	* language/arabic.el: Rename `arabic-0', `arabic-1' and `arabic-2'
	to `arabic-digit', `arabic-1-column' and `arabic-2-column' to sync
	with Emacs/mule-19.34.94-zeta.

	* tl/char-table.el (char-position-to-string): Use `defsubst'.
	(char-table-1): New implementation.

	Use BOX DRAWINGS characters of JIS X0208.

1997-06-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* apel/richtext.el: Add autoload comments for `richtext-encode'
	and `richtext-decode'.

	* prim/format.el (format-alist): Add `text/richtext'.

	* modes/image-mode.el (image-decode): Display description for some
	commands when XEmacs cannot decodes current buffer as inline
	image.

	* tl/chartblxmas.el: New file.

	* tl/char-table.el (view-charset): Use `view-buffer'.

	* x11/x-menubar.el (default-menubar): Add "Show character table"
	for MULE menu.

	* apel/emu.el: Check richtext.el is bundled.

	* tl/char-table.el: Use `charset-doc-string' directly.

	* tl/char-table.el (view-charset): New command.

	* tl/char-table.el: `show-char-table' -> `insert-charset-table'.

	* tl/char-table.el: `show-96x96-table' ->
	`insert-96x96-charset-table'.

	* tl/char-table.el: `show-94x94-table' ->
	`insert-94x94-charset-table'.

	* tl/char-table.el: `show-96-table' -> `insert-96-charset-table'.

	* tl/char-table.el: `show-94-table' -> `insert-94-charset-table'.

	* tl/char-table.el: Use `insert'.

	* packages/hexl.el (hexl-mode-exit): Run `hexl-mode-exit-hook'.

	* x11/x-menubar.el (default-menubar): Fix "Describe language
	support" and "Set language environment" of mule menu.

	* apel/file-detect.el: Add autoload comments for function
	`add-path', `add-latest-path', `get-latest-path',
	`file-installed-p', `exec-installed-p', `module-installed-p' and
	variable `exec-suffix-list'.

	* prim/format.el (format-alist): Add image/jpeg, image/gif,
	image/png and image/x-xpm.

	* modes/image-mode.el: New file.

1997-06-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* tm/tm-ew-e.el (tm-eword::encode-string-1): avoid infinite loop
	caused by long non-encoded-word element. (cf. [tm-en:1356])

	(mime/field-encoding-method-alist): Add "Message-ID" as ignored.

1997-06-25  Steven L Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el(default-menubar): Comment out changes to the
	Mule menu because they bombed after recompilation.

	* packages/hyper-apropos.el
	(hyper-apropos-toggle-programming-flag): Use `with-current-buffer' 
	instead of `eval-in-buffer'.

	* term/sun-mouse.el: Remove bogus redefinition of
	`eval-in-buffer'.
	(sun-mouse-handler): Use with-current-buffer instead of
	`eval-in-buffer'.

	* prim/make-docfile.el: Use princ not print.
	Suggested by Hrvoje Niksic.

	* packages/info.el (Info-select-node): Desensitive case search for 
	Note:.
	(Info-next-reference): Ditto.
	* prim/simple.el (kill-region): Adjust endpoints of extent to
	test and deal with case of the end being less than the beginning.
	* prim/cmdloop.el (teach-extended-commands-timeout): Bump value to 4.
	From Hrvoje Niksic <hniksic@srce.hr>

	* prim/subr.el (eval-in-buffer): Make obsolete.
	Suggested by Hrvoje Niksic.

	* packages/hyper-apropos.el (hyper-apropos-faces): Change group to 
	'faces.
	Suggested by Per Abrahamsen.

1997-06-23  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/cmdloop.el (execute-extended-command): Print message after
	the command finishes, and restore old echo-area contents.

	- Get keybinding before command is executed.
	Suggested by Kyle Jones and Steve Baur.
	
1997-06-24  Steven L Baur  <steve@altair.xemacs.org>

	* packages/gnuserv.el: Make old symbols Obsolete.
	From Hrvoje Niksic  <hniksic@srce.hr>

	* prim/cmdloop.el (keyboard-quit): Don't kill zmacs-region in
	minibuffer.
	* prim/minibuf.el (minibuffer-keyboard-quit): Ditto.
	From Hrvoje Niksic  <hniksic@srce.hr>
	
	* prim/help.el (help-mode-quit): Bury buffer when quitting.
	From Hrvoje Niksic  <hniksic@srce.hr>

1997-06-24  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/cmdloop.el: Customize `teach-extended-commands-p' and
 	`teach-extended-commands-timeout'.

1997-06-23  Steven L Baur  <steve@altair.xemacs.org>

	* version.el (emacs-version): Synch with InfoDock 4.0.
	(emacs-version): Ditto.

Mon Jun 23 12:33:52 1997  Per Abrahamsen  <abraham@dina.kvl.dk>

	* about.el (about-show-linked-info): Use empty strings for
	`widget-link-prefix' and `widget-link-suffix'.

1997-06-22  Gary D. Foster  <Gary.Foster@corp.Sun.COM>

	* x11/x-menubar.el: Added `bookmark-menu-filter', changed
	  bookmark submenu from a popup to a cascading submenu.
	* packages/bookmark.el: Added an autoload cookie for
	  `bookmark-all-names' (by Steve Baur)

1997-06-23  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/info.el (Info-next-reference): Fix up for M-TAB to work 
	correctly.

	* utils/live-icon.el (live-icon-one-frame): Don't set glyphs to
	balloon-help frames.

	* packages/balloon-help.el (balloon-help-make-help-frame): Set the
	`balloon-help' property to the newly created frame.

	* prim/profile.el (profile): New macro.

	* prim/files.el (auto-mode-alist): Add winmgr-mode.

	* modes/winmgr-mode.el: Customize.

1997-06-23  Steven L Baur  <steve@altair.xemacs.org>

	* utils/autoload.el (generate-file-autoloads-1): Remove warning
	about 900 character lines.

	* x11/x-toolbar.el (toolbar-mail-commands-alist): Correction for
	calling Netscape mail.
	From Hrvoje Niksic <hniksic@srce.hr>

1997-06-22  Steven L Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el (default-menubar): Make `Jump to bookmark' menu 
	dynamic.
	From Gary D. Foster <Gary.Foster@Corp.Sun.COM>

	* prim/dumped-lisp.el (dumped-lisp-packages): Sparcworks dumps
	comint and ring.

1997-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* language/arabic.el: moved from mule/arabic-hooks.el.

	* mh-e/mh-e.el (mh-get-new-mail): Decode output as
	`mh-folder-coding-system'.

1997-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* language/ethio-util.el: imported from Emacs/mule-19.34.94-zeta.

	* language/arabic-util.el: moved from mule/arabic.el; repair
	Arabic characters.

1997-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* x11/x-menubar.el: Fix "Describe language support" and "Set
	language environment" of Mule menu.

	* language/visual-mode.el: moved from mule/.

	* language/ethiopic.el: Modify for XEmacs.

	* language/cyrillic.el: Modify DOC-string of koi8-r; Fixed problem
	of setting for `language-info-alist' about koi8-r.

	* mule/auto-autoloads.el: Enable auto-autoloads.el for mule/.

	* mule/mule-util.el: New file (imported from
	Emacs/mule-19.34.94-zeta).

	* mule/mule-misc.el: Function `truncate-string-to-width' was moved
	to mule-util.el.

	* prim/dumped-lisp.el, mule/mule-load.el: mule/arabic-hooks.el was
	moved to language/arabic.el; mule/arabic.el was moved to
	language/arabic-util.el; Use language/ethiopic.el instead of
	mule/ethiopic-hooks.el; Use language/ethio-util.el instead of
	mule/ethiopic.el.

	* mule/mule-coding.el (coding-system-docstring): New alias (to
	emulate Emacs/mule-19.34.94-zeta function).

	* mule/mule-cmds.el: modified to sync with
	Emacs/mule-19.34.94-zeta (mule-prefix was changed to "C-x C-m")

	(set-language-info): Add to "Describe Language Support" and "Set
	Language Environment" menu.

	* mule/mule-charset.el: Function `compose-region' and
	`decompose-region' were moved to mule-util.el.

	* leim/quail.el: modify to sync with latest quail.el of Emacs/mule
	in ETL.

	(quail-toggle-mode-temporarily): check `quail-conv-overlay'.

	(quail-map-p): Use `characterp' instead of `integerp'.

1997-06-21  Steven L Baur  <steve@altair.xemacs.org>

	* prim/tabify.el (untabify): Return nil.
	From contributor name lost.

	* prim/packages.el (packages-hardcoded-lisp): startup.elc needs to 
	be scanned for docstrings.

1997-06-21  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/bookmark.el (bookmark-menu-popup-paned-menu): Change
	title to name.
	* prim/overlay.el (overlay-put): Support `local-map'.
	(overlay-get): Support `category'.

1997-06-21  Steven L Baur  <steve@altair.xemacs.org>

	* prim/startup.el (load-user-init-file): Load custom-file if it
	has not changed from the default.

1997-06-21  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/overlay.el (make-overlay): Avoid temporary variable.
	(move-overlay): Ditto.
	(overlays-in): Use `mapcar-extents'.
	(next-overlay-change): Avoid consing; use `map-extents'.
	(previous-overlay-change): Ditto.
	(overlay-lists): Ditto.
	(overlay-lists): Call `overlay-recenter' with correct value.

1997-06-20  Steven L Baur  <steve@altair.xemacs.org>

	* utils/autoload.el (fixup-autoload-buffer): New function.  Insert 
	guards so a (load "auto-autoloads") works the same as require.
	(batch-update-directory): Use it.

	* prim/update-elc.el: Allow for specification of packages that
	must not be bytecompiled.  Better error diagnostics if a package
	is not found.

	* prim/window.el, prim/window-xemacs.el, prim/simple.el:
	* prim/lisp.el, prim/frame.el:
	Customizations/synch to Emacs 20.1.
	* packages/hyper-apropos.el: Massive update.
	From Hrvoje Niksic <hniksic@srce.hr>

	* tm/tm-vm.el (vm-menu-mail-menu): Fix typo.

	* packages/font-lock.el (lisp-font-lock-keywords-2): Add some new
	functions.
	From Karl M. Hegbloom <karlheg@inetarena.com>

	* prim/files.el (save-some-buffers-query-display-buffer): New
	user variable.
	(save-some-buffers): Use it.
	From David Bakhash <cadet@MIT.EDU>
	- Customization patches from Hrvoje Niksic.

	* prim/simple.el (kill-region): Undo sorting region limits patch.

1997-06-20  Mike Scheidler  <c23mts@eng.delcoelect.com>

	* prim/tabify.el: Fixed 'untabify' to return 'nil value.

1997-06-18  Steven L Baur  <steve@altair.xemacs.org>

	* efs/dired-xemacs.el (dired-do-interactive-chmod): Advance point
	after not failure.
	From <rritchie@britannia-life.co.uk>

	* utils/edmacro.el (edmacro-parse-word): make (kbd "M-123"), (kbd
	"M--256") and such behave as documented.
	From Hrvoje Niksic <hniksic@srce.hr>

	* prim/cus-start.el: Various additions to built-in variable list.
	From Hrvoje Niksic <hniksic@srce.hr>

	* prim/subr.el: Remove mapvector.
	(with-output-to-string): Use with-current-buffer.
	(with-string-as-buffer-contents): Ditto.
	From Hrvoje Niksic <hniksic@srce.hr>

	* modes/arc-mode.el (archive-quit): New function.
	From Karl M. Hegbloom <karlheg@inetarena.com>
	(archive-mode-map): Bind it to `q'.

	* utils/autoload.el (cusload-file-name): Default to custom-load.el 
	for each individual file.

	* prim/minibuf.el (minibuffer-max-depth-exceeded): Use
	`custom-file' as a location for saving enable multiple minibuffers 
	option.

	* packages/man.el (manual-entry): Don't leave empty buffer if
	error occurs.
	From Glynn Clements <glynn@sensei.co.uk>

	* modes/arc-mode.el (archive-arc-summarize): De-ebolify.
	(archive-lzh-summarize): Ditto.
	(archive-zip-summarize): Ditto.
	(archive-zip-chmod-entry): Ditto.

1997-06-17  Steven L Baur  <steve@altair.xemacs.org>

	* prim/update-elc.el: Total rework for dynamic dumped .elc finding.

1997-06-18  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/loaddefs.el (debug-ignored-errors): Initialize it.

1997-06-17  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files.el (auto-mode-alist): Add /app-defaults/ as candidate 
	for xrdb-mode.
	Suggested by Karl Hegbloom, Regexp by David Moore.

	* version.el: Remove variables emacs-version, emacs-major-version, 
	and emacs-minor-version.

	* tooltalk/tooltalk-load.el: Comment as obsolete and move contents 
	to dumped-lisp.el.

	* prim/make-docfile.el: New file.

1997-06-16  Steven L Baur  <steve@altair.xemacs.org>

	* prim/startup.el (load-user-init-file): Look for ~[user]/.xemacs
	before loading .emacs.

	* modes/xrdb-mode.el (xrdb-mode): Autoload.

	* prim/files.el (auto-mode-alist): Add defaults for xrdb-mode.

	* leim/quail.el (quail-toggle-mode-temporarily): Guard against
	possibility of quail-conv-overlay not being an overlay.

1997-06-15  Steven L Baur  <steve@altair.xemacs.org>

	* prim/loadup.el: Remove most but not all of the hardcoded dumped
	lisp file names.

	* prim/dumped-lisp.el: New file.

	* prim/update-elc.el (toplevel): Rework using a better function to 
	determine autoload file locations.

	* prim/packages.el: New file.

	* prim/update-elc.el: Determine location and count of
 	auto-autoloads files at run-time.

	* prim/loaddefs.el (((dir load-path))): Generalize load of
	auto-autoloads.

	* utils/autoload.el (autoload-file-name): New variable.
	(autoload-target-directory): New variable.
	(generated-autoload-file): Use them.
	(cusload-file-name): New variable.
	(generated-custom-file): Use it.
	(batch-update-directory): New function.

1997-06-14  Steven L Baur  <steve@altair.xemacs.org>

	* mule/canna.el: Guard call to function dynamic-link, which
	doesn't exist in XEmacs/Mule.

	* bytecomp/bytecomp.el (byte-compile-file): Suppress unavoidable
	Ebola notices.

1997-06-13  Steven L Baur  <steve@altair.xemacs.org>

	* bytecomp/bytecomp.el (batch-byte-compile): Suppress unavoidable
	Ebola notices.
	(batch-byte-recompile-directory): Ditto.

	* utils/lib-complete.el (read-library): Look for .el.gz if not
	using Mule.
	(get-library-path): Ditto.
	Suggested by Jonathan Doughty <jwd@mitre.org>

	* packages/add-log.el: Restore backwards compatible date behavior
	as an option.
	Eliminate XEmacs specific autoloads.
	From Hrvoje Niksic <hniksic@srce.hr>
	
	* efs/dired.el (dired-save-excursion): Ebola cleanup.

	* packages/hyper-apropos.el: Massive cleanup, Customize.
	From Hrvoje Niksic <hniksic@srce.hr> 

Fri Jun 13 13:20:39 1997  Kyle Jones  <kyle_jones@wonderworks.com>

	* prim/syntax.el (symbol-near-point):
	  Check for bobp and avoid (char-syntax (char-before)) if 
	  there.

1997-06-13  Steven L Baur  <steve@altair.xemacs.org>

	* prim/rect.el (operate-on-rectangle): Correct boundary error.
	From Bob Weiner <weiner@altrasoft.com>

1997-06-12  Steven L Baur  <steve@altair.xemacs.org>

	* packages/ispell.el (ispell-command-loop): De-Ebolify.

	* x11/x-iso8859-1.el: Added Grave keysym.
	From Heiko Muenkel <muenkel@tnt.uni-hannover.de>

	* modes/make-mode.el (makefile-browse): Shouldn't be interactive.
	From Hrvoje Niksic <hniksic@srce.hr>

	* prim/files.el (interpreter-mode-alist): ksh-mode is obsoleted by 
	sh-script.
	From Hrvoje Niksic <hniksic@srce.hr>

1997-06-11  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/subr.el (with-current-buffer): New macro.
	(with-temp-file): Ditto.

	* bytecomp/byte-optimize.el (byte-optimize-form-code-walker): Test 
	for `save-current-buffer'.

	* bytecomp/bytecomp.el: Recognize `save-current-buffer'.

	* edebug/edebug.el: Register with-current-buffer and others.

	* modes/lisp-mode.el: Added specs for save-current-buffer,
 	with-output-to-string, with-current-buffer, with-temp-file and
 	with-output-to-temp-buffer.

1997-06-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* gnus/smiley.el (smiley-deformed-regexp-alist): Modify regexp for
	horizontal smiley faces.
	(smiley-nosey-regexp-alist): Add horizontal smiley faces.

1997-06-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* leim/quail.el (quail-get-translation): Don't use
	`string-to-vector' for XEmacs.

1997-06-11  Steven L Baur  <steve@altair.xemacs.org>

	* prim/help.el (function-called-at-point): Use char-(after|before)
	instead of (following|preceding)-char.
	(variable-at-point): Ditto.

	* prim/simple.el (delete-indentation): Use char-(after|before)
	instead of (following|preceding)-char.
	(just-one-space): Ditto.
	(backward-delete-char-untabify): Ditto.
	(do-auto-fill): Ditto.

	* prim/paragraphs.el (end-of-paragraph-text): Use char-before
	instead of preceding-char.

	* prim/misc.el (copy-from-above-command): Use char-(after|before)
	instead of (following|preceding)-char.

	* prim/obsolete.el (preceding-char): Correct a typo.

	* prim/minibuf.el (minibuffer-electric-slash): Use char-(after|before)
	instead of (following|preceding)-char.
	(minibuffer-electric-tilde): Ditto.

	* prim/lisp.el (insert-parentheses): Use char-(after|before)
	instead of (following|preceding)-char.

	* prim/indent.el (tab-to-tab-stop): Use char-(after|before)
	instead of (following|preceding)-char.
	(move-to-tab-stop): Ditto.

	* prim/fill.el (fill-end-of-sentence-p): Use
	char-after/char-before instead of following-char/preceding-char.
	(canonically-space-region): Ditto.
	(fill-region-as-paragraph): Ditto.
	(fill-region): Change (= char char) to (eq char char).

	* prim/debug.el (debugger-frame-number): Use char-after not
	following-char.
	(debugger-frame): Ditto.
	(debugger-frame-clear): Ditto.

	* prim/case-table.el (invert-case): Use char-after not
	following-char.
	Clean up comments.

	* prim/syntax.el (symbol-near-point): Use char-before not
	preceding-char.

	* prim/window.el (window-list): Update DOCstring.
	From Noah Friedman <friedman@splode.com>

	* utils/uniquify.el (toplevel): Make version test match XEmacs v20.

	* tm/tm-ew-e.el: Clean up Ebola infection.

	* x11/x-compose.el: Various corrections
	From Heiko Muenkel <muenkel@tnt.uni-hannover.de>

1997-06-10  Gary D. Foster  <Gary.Foster@corp.sun.com>
	
	* modes/view-less.el: Changed \177 bindings to 'delete
	* modes/help.el: Changed \177 bindings to 'delete

1997-06-10  Gary D. Foster  <Gary.Foster@corp.sun.com>

	* prim/keydefs.el: Changed all 'delete key bindings to point to
	  the `backward-or-forward-foo' functions.
	* prim/simple.el:
	- Renamed `delete-erases-forward' to `delete-key-deletes-forward'.
	- Removed `backspace-or-delete-hook'
	- Renamed `backspace-or-delete' to `backward-or-forward-delete-char'
	- Added functions: `backward-or-forward-kill-word'
	 `backward-or-forward-kill-sentence'
	 `backward-or-forward-kill-sexp'
	- Removed the zmacs hacks from all the `b-or-f-foo' functions and
	  began playing nicely with pending-del.
	* modes/cc-mode.el:
	* modes/cperl-mode.el: Fixed references to delete functions
	  to use the new names.
	
1997-06-11  Karl M Hegbloom  <karlheg@inetarena.com>

	* ilisp/ilisp-def.el (toplevel):  Changed `ilisp-prefix' from
	"C-z" to "C-c" because of conflict with global key binding for
	`iconify-frame'.

1997-06-11  Steven L Baur  <steve@altair.xemacs.org>

	* prim/window.el (window-list): New function.
	Suggested by Noah Friedman <friedman@splode.com>
	Modified by Hrvoje Niksic <hniksic@srce.hr>

	* utils/mail-extr.el (mail-extract-address-components): Replace
	preceding-char with char-before.

	* utils/passwd.el (read-passwd-map): Clean up Ebola BS.

1997-06-10  Steven L Baur  <steve@altair.xemacs.org>

	* packages/supercite.el (sc-attribs-extract-namestring): Clean up
	Ebola -- replace literal 32 with `?\ '.

	* utils/mail-extr.el (mail-extr-voodoo): Clean up Ebola -- replace
	`following-char' with `char-after'.

1997-06-10  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/subr.el (split-string): Make PATTERN optional.

1997-06-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule/language/misc-lang.el, mule/mule-load.el,
	mule/ipa-hooks.el: Use lisp/mule/language/misc-lang.el instead of
	lisp/mule/ipa-hooks.el; mule/ipa-hooks.el was deleted.

1997-06-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule/language/thai-util.el, mule/thai.el: Use
	lisp/mule/language/thai-util.el instead of lisp/mule/thai.el;
	lisp/mule/thai.el was deleted.

	* custom/wid-edit.el: Add widget `coding-system' for mule.

	* mule/thai-hooks.el, mule/mule-load.el: Use
	lisp/mule/language/thai.el instead of lisp/mule/thai-hooks.el;
	lisp/mule/thai-hooks.el was deleted.

	* mule/language/thai.el: modified for XEmacs.

1997-06-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule/language/misc-lang.el, mule/language/thai-util.el,
	mule/language/thai.el, mule/language/tibetan.el,
	mule/language/vietnamese.el, mule/language/japan-util.el,
	mule/language/japanese.el, mule/language/korean.el,
	mule/language/lao-util.el, mule/language/lao.el,
	mule/language/english.el, mule/language/ethiopic.el,
	mule/language/european.el, mule/language/greek.el,
	mule/language/hebrew.el, mule/language/indian.el,
	mule/language/chinese.el, mule/language/cyrillic.el,
	mule/language/devanagari.el, mule/language/china-util.el: imported
	from Emacs/mule-19.34.94-zeta.

	* mule/mule-load.el, mule/chinese-hooks.el, mule/chinese.el,
	mule/cyrillic-hooks.el, mule/european-hooks.el,
	mule/greek-hooks.el, mule/japanese-hooks.el, mule/korean-hooks.el:
	chinese-hooks.el, chinese.el, cyrillic-hooks.el,
	european-hooks.el, greek-hooks.el, japanese-hooks.el and
	korean-hooks.el were deleted.

1997-06-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* apel/emu-x20.el (mime-charset-coding-system-alist): iso-8859-1,
	hz-gb-2312, cn-gb-2312, gb2312, cn-big5 and koi8-r were defined as
	coding-system.

1997-06-09  Steven L Baur  <steve@altair.xemacs.org>

	* prim/keydefs.el, modes/cc-mode.el, modes/cperl-mode.el,
	vm/vm-vars.el:
	Change usage of \177 to use keysym 'delete.
	From  Gary D. Foster <Gary.Foster@Corp.Sun.COM>

	* packages/etags.el (tags-loop-scan): Don't pass a straight string 
	to error as a format string.
	Reported by Miles Duke <mduke@erdas.com>

	* its/its-kata.el ((require 'egg)): Needed for bytecompilation.

	* its/its-hira.el ((require 'egg)): Needed for bytecompilation.

	* bytecomp/bytecomp.el (byte-compile-two-args-19->20): Correct an
	ebolifaction.
	From Kyle Jones <kyle_jones@wonderworks.com>

1997-06-08  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files.el (auto-mode-alist): Restore  bash regexps.
	From "Barry A. Warsaw" <bwarsaw@CNRI.Reston.VA.US>

1997-06-05  Steven L Baur  <steve@altair.xemacs.org>

	* packages/jka-compr.el (jka-compr-write-region): Use 'binary
	coding-system for compression.
	Suggested by Katsumi Yamaoka <yamaoka@ga.sony.co.jp>

1997-06-04  Gary D. Foster  <Gary.Foster@corp.sun.com>

	* modes/cc-mode.el: Modified `c-electric-delete' to honor the 
	  desired delete direction in both normal and "hungry" modes.
	* modes/cperl-mode.el: Modified `cperl-electric-backspace' to 
	  honor the desired delete direction.

1997-06-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* x11/x-menubar.el (default-menubar): Add menu for Mule.

	* mule/mule-cmds.el: Menu for XEmacs were moved to
 	x11/x-menubar.el.

1997-06-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* leim/quail.el: to avoid compiling warnings about overlay.el.

1997-05-16  Gary D. Foster  <Gary.Foster@corp.sun.com>

	* prim/simple.el: Created `backspace-or-delete' function and
	  `backspace-or-delete-hook'
	* prim/keydefs.el: Changed \177 bindings to point to new
	  delete function.
	* modes/*.el: Removed conflicting \177 bindings.
	* modes/cc-mode.el: Modified `c-electric-delete' to use new
	  delete bindings.
	* modes/cperl-mode.el: Modified `cperl-electric-backspace' to 
	  use new delete bindings.
	
1997-06-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* leim/quail.el: to sync with quail.el of Emacs-19.34.94-epsilon.

	* leim/quail/ziranma.el, leim/quail/tonepy.el, leim/quail/py.el,
 	leim/quail/qj.el, leim/quail/sw.el, leim/quail/ccdospy.el,
 	leim/quail/punct.el, leim/quail/4corner.el,
 	leim/quail/symbol-ksc.el, leim/quail/ethiopic.el,
 	leim/quail/hanja.el, leim/quail/quick-cns.el,
 	leim/quail/tsangchi-cns.el, leim/quail/lrt.el,
 	leim/quail/tsangchi-b5.el, leim/quail/devanagari.el,
 	leim/quail/japanese.el, leim/quail/quick-b5.el,
 	leim/quail/punct-b5.el, leim/quail/qj-b5.el, leim/quail/py-b5.el,
 	leim/quail/ctlau.el, leim/quail/ctlaub.el, leim/quail/ecdict.el,
 	leim/quail/array30.el, leim/quail/hangul3.el,
 	leim/quail/hanja-jis.el, leim/quail/cyrillic.el,
 	leim/quail/etzy.el, leim/quail/greek.el, leim/quail/ipa.el,
 	leim/quail/lao.el, leim/quail/zozy.el, leim/quail/viqr.el,
 	leim/quail/latin.el, leim/quail/thai.el, leim/quail/hangul.el:
 	quail of LEIM for Emacs-19.34.94-epsilon.

1997-06-04  Steven L Baur  <steve@altair.xemacs.org>

	* prim/about.el: Installed new version 2.1.
	From Hrvoje Niksic <hniksic@srce.hr>
	
	* prim/profile.el (pretty-print-profiling-info): Autoload don't
	dump.
	Clean up comments.

	* prim/update-elc.el: Comment cleanup.

	* modes/cperl-mode.el (cperl-mode-map): Restore previous
	definition.
	(cperl-electric-backspace): Use backspace-or-delete if it exists.

	* bytecomp/bytecomp-runtime.el (eval-when-feature): New macro.
	From Roland McGrath <roland@frob.com>

	* prim/glyphs.el (init-glyphs): Add xbm instantiator for 'x
	consoles.
	Suggested by Hrvoje Niksic <hniksic@srce.hr>.

	* utils/passwd.el: Eliminate obsolete Lucid emacs usage.

	* utils/timezone.el (timezone-make-date-arpa-standard): Correct
	docstring.
	(timezone-make-date-sortable): Ditto.

	* utils/passwd.el (passwd-invert-frame-when-keyboard-grabbed):
	Change default for InfoDock.

	* utils/highlight-headers.el
	(highlight-headers-follow-url-function): Correct docstring.

	* utils/finder.el (finder-known-keywords): Cleanup keyword
	documentation.

	* prim/startup.el (command-line-do-help): Use emacs-name function
	for printing the editor name.

	* prim/simple.el: Disable for InfoDock.
	(display-warning): Disable for InfoDock.
	(emacs-name): New function.

	* prim/toolbar.el (press-toolbar-button): Allow mouse presses on
	blank portions of the toolbar to do something.
	(release-and-activate-toolbar-button): Handle arbitrary functions
	as toolbar callbacks.
	From weiner@altrasoft.com

	* prim/mouse.el (default-mouse-track-cleanup-extent): Correct test 
	on dead-func extent.

	* prim/help.el (view-emacs-news): outl-mouse turned off in
	InfoDock.

	* packages/tar-mode.el (tar-mode-map): InfoDock doesn't like the
	mouse bindings.

	* packages/makesum.el (make-command-summary): Output correct
	program name.
	(double-column): Remove unused variable.

	* packages/hyper-apropos.el (hypropos-popup-menu): Synch with
	infodock.  Initialize command-p to either t or nil.

	* eterm/term.el (make-term): Fix docstring.

	* comint/shell.el: Correct comment.

	* comint/comint.el (comint-mode-map): Infodock doesn't like the
	button3 assignment.

1997-06-03  Steven L Baur  <steve@altair.xemacs.org>

	* modes/lisp-mode.el (eval-interactive): Treat defcustom like
	defvar (turn into an effective defconst).

	* cl/cl-macs.el (widget-get): Add defsetf method.
	(widget-value): Add defsetf method.
	From Hrvoje Niksic <hniksic@srce.hr>

1997-06-02  Steven L Baur  <steve@altair.xemacs.org>

	* prim/obsolete.el (insert-and-inherit): Make 'compatible not
	'obsolete.
	Suggested by Hrvoje Niksic <hniksic@srce.hr>
	(insert-before-markers-and-inherit): Ditto.

1997-06-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule/korean.el was abolished because it seems not to be used.

	* mule/japanese.el was abolished because it seems not to be used.

1997-06-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* tm/gnus-mime-old.el was abolished because XEmacs 20.3 has Gnus
 	5.4.

	* tm/tm-edit.el: updated to 7.108.

	* tm/tm-view.el: updated to 7.83.

	* leim/quail.el: modified for XEmacs.

	* mule/mule-load.el, lisp/mule/mule-process.el: delete
	mule-process.el because it is not used.

	* mule/european.el was abolished because it seems not to be used.

	* mule/mule-load.el: must load mule-cmds before setting for
 	language-environment.

	* mule/mule-cmds.el, lisp/mule/european-hooks.el: Modified
	for LEIM.

	* mule/mule-cmds.el: Uncomment key definition for
 	`toggle-input-method'.

	* mule/mule-init.el: Comment out about `mule-keymap' (moved to
 	mule-cmds.el).

	* mule/mule-cmds.el: Uncomment about `mule-keymap' (moved from
 	mule-init.el).

	* tl/tl-atype.el: Don't require tl-str.

	* tl/tl-atype.el: Use atype.el of APEL.

	* tl/tl-list.el: Use alist.el of APEL.

1997-05-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* tl/richtext.el, tl/emu-x20.el, tl/emu-xemacs.el,
	lisp/tl/emu.el, lisp/tl/emu-e19.el: moved to lisp/apel/.

	* tl/file-detect.el, tl/filename.el: replaced by APEL's.

	* mu/std11-parse.el, mu/std11.el: moved to lisp/apel/.

	* leim/quail.el: Add new quail.el (imported from Emacs
 	19.34.94-epsilon).

	* leim/skk/skkdic.el: delete skkdic.el temporary because XEmacs
 	can not compile it.

	* leim/skk/skkdic.el, leim/quail/zozy.el, leim/quail/ziranma.el,
 	leim/quail/viqr.el, leim/quail/tsangchi-cns.el,
 	leim/quail/tsangchi-b5.el, leim/quail/symbol-ksc.el,
 	leim/quail/thai.el, leim/quail/tonepy.el, leim/quail/quick-cns.el,
 	leim/quail/sw.el, leim/quail/qj-b5.el, leim/quail/qj.el,
 	leim/quail/quick-b5.el, leim/quail/py-b5.el, leim/quail/py.el,
 	leim/quail/lao.el, leim/quail/latin.el, leim/quail/lrt.el,
 	leim/quail/punct-b5.el, leim/quail/punct.el,
 	leim/quail/hanja-jis.el, leim/quail/hanja.el, leim/quail/ipa.el,
 	leim/quail/japanese.el, leim/quail/hangul3.el, leim/quail/etzy.el,
 	leim/quail/greek.el, leim/quail/hangul.el, leim/quail/ethiopic.el,
 	leim/quail/devanagari.el, leim/quail/ecdict.el,
 	leim/quail/ctlau.el, leim/quail/ctlaub.el, leim/quail/cyrillic.el,
 	leim/quail/array30.el, leim/quail/ccdospy.el,
 	leim/quail/4corner.el: Add LEIM elisp files.

	* mule/mule-load.el, mule/mule-cmds.el: Add mule-cmds.el.

	* prim/simple.el (assoc-ignore-case): New function; imported
	from Emacs/mule-19.34.94-epsilon.

1997-06-02  Steven L Baur  <steve@altair.xemacs.org>

	* modes/hideshow.el: Make it work again.
	From Pete Ware <ware@cis.ohio-state.edu>

Sat May 31 09:00:14 1997  David Moore  <dmoore@ucsd.edu>

	* utils/text-props.el (set-text-properties): Was exiting
	map-extents too early.

1997-06-02  Steven L Baur  <steve@altair.xemacs.org>

	* cl/cl-macs.el (frame-parameters): Tweaking frame configuration
	defsetf's.
	From Hrvoje Niksic <hniksic@srce.hr>

	* modes/vhdl-mode.el (vhdl-emacs-features): Allow recognition of
	major version 20.

	* prim/simple.el (kill-region): Sort beginning and ending
	endpoints to simplify logic.
	From Hrvoje Niksic <hniksic@srce.hr>

Tue May 27 13:42:57 1997  Ken Manheimer  <klm@python.org>

	* packages/icomplete.el:
	* Updated my email address - klm@python.org instead of klm@nist.gov.

	* Icomplete no longer installs itself when you load the package -
 	  you have to invoke `icomplete-mode'.  (Since it's autoloaded in
	  both emacs, you can just invoke the function.)

	* Integrated Emacs 19.34 and XEmacs 19.15 corrections (typos,
 	  style, command revisions, etc).

	* Integrated immediate keybindings display.  See
	  `icomplete-show-key-bindings', `icomplete-get-keys', and
	  `icomplete-completions'.

	* `icomplete-get-keys': Return keys bound in prior buffer to func name.

	* Added icomplete delay behavior, so completions don't intrude as
 	  quickly for short input, with customization variables:

	  `icomplete-max-delay-chars' - Maximum number of initial chars to
	  apply icomplete compute delay.
	
	  `icomplete-compute-delay' - Completions-computation stall, used
	  only with large-number completions

	  `icomplete-delay-completions-threshold' Pending-completions
	  number over which to apply icomplete-compute-delay

	* Provided `icomplete-exhibit' on `icomplete-minibuffer-setup-hook'
	   so icomplete behaves well with XEmacs GNUS.

Fri May 30 18:39:01 1997  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/glyphs.el (init-glyphs): Minor regexp cleanup.

1997-05-30  Steven L Baur  <steve@altair.xemacs.org>

	* prim/simple.el (fsf:do-auto-fill): Remove unused variable.
	(indent-for-comment): Use comment-indent-function instead of
	obsolete variant.  This is dumped with XEmacs!

	* packages/generic-sc.el (sc-next-operation): Remove unused
	variable.
	(sccs-insert-c-header): Ditto.
	(ccase-new-revision-p): Ditto.
	(sc-sensitize-menu): Ditto.

	* modes/auto-show.el (TopLevel): Tighten check on
	dump-time initialization.

1997-05-29  Steven L Baur  <steve@altair.xemacs.org>

	* prim/format.el (format-alist): Change defconst to defvar.
	From Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	(format-encode-region): Reduce bytecompiler warnings for bound but
	unused variables.
	(format-deannotate-region): Ditto.
	(format-annotate-region): Ditto.
	(format-annotate-single-property-change) Ditto.

	* utils/lib-complete.el: Clean up documentation in header.

	* prim/glyphs.el: Eliminate bytecompiler warnings.
	(define-obsolete-pointer-glyph): Mark as 'compatible not 'obsolete.

	* prim/keydefs.el (ctl-x-map): Bind narrow-to-defun to `C-x n d'.

	* prim/lisp.el (narrow-to-defun): Narrow to the same defun that
	`mark-defun' would make the region.
	(insert-parentheses): Let a negative argument enclose preceding
	sexps.
	From Erik Naggum  <erik@naggum.no>
	
	* prim/window-xemacs.el: New file, split from window.el with
	XEmacs-specific stuff.

	* prim/window.el (display-buffer): Remove unused variable.

	* prim/keydefs.el (ctl-x-4-map): Add binding for
	`kill-buffer-and-window'.

	* prim/window.el (kill-buffer-and-window): New command.
	Bind it to C-x 4 0.
	From Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>
	
	* prim/window.el (split-window-vertically): Don't change point in old
	window if both the original point and the end of the buffer are
	visible after splitting, when split-window-keep-point is nil.
	From Noah Friedman  <friedman@prep.ai.mit.edu>
	
	* prim/files.el (revert-buffer-internal-hook): Declare.

	* utils/map-ynp.el: Synch with Emacs 19.34.94.
	(map-y-or-n-p): Clean up bytecompiler warnings.

	* packages/generic-sc.el: Restored to distribution, comment
	cleanup.

	* prim/simple.el (message-log-max): Add compatible variable alias
	for `log-message-max-size'.

	* comint/background.el (background): Autoload.

	* prim/process.el (shell-command): background.el is now
	autoloaded.

	* prim/minibuf.el: Clean up file header.

	* packages/bookmark.el (bookmark-menu-popup-paned-menu): Naive
	port to XEmacs.
	(bookmark-bmenu-other-window-with-mouse): Naive port to XEmacs.

	* utils/autoload.el (generated-custom-file): custom-load.el
	renamed to cus-load.el.

	* prim/loadup.el: Don't preload custom-load.elc.

Thu May 29 19:03:52 1997  Per Abrahamsen  <abraham@dina.kvl.dk>

	* x11/x-menubar.el (default-menubar): Updated customize entries.

1997-05-29  Steven L Baur  <steve@altair.xemacs.org>

	* prim/about.el (about-xemacs-xref): Update contributors list.

1997-05-28  Steven L Baur  <steve@altair.xemacs.org>

	* prim/minibuf.el (mouse-file-display-completion-list): Protect
	against bogus directory becoming default.
	(mouse-directory-display-completion-list): Ditto.

	From Per Abrahamsen <abraham@dina.kvl.dk>
	* bytecomp/bytecomp.el
	(byte-compile-file-form-custom-declare-variable): New function.
	(custom-declare-variable): Use it.

	* packages/vc.el (vc-directory): dirname typo'ed as dir.

	* packages/vc-hooks.el (vc-menu): Remove vc-file-status.
	(Toplevel): Remove key definition for vc-file-status.

1997-05-27  Steven L Baur  <steve@altair.xemacs.org>

	* prim/cus-start.el (Toplevel): Rename factory-value to
	standard-value for Custom-1.98.

1997-05-26  Steven L Baur  <steve@altair.xemacs.org>
	
	* prim/help.el (view-lossage-key-count): New variable.
	(view-lossage-message-count): New variable.
	(view-lossage): Use them.

	From Hrvoje Niksic
	* prim/help.el (view-lossage): Use new argument to `recent-keys'.

	* cl/cl-macs.el (recent-keys-ring-size): New setf method.

1997-05-26  Steven L Baur  <steve@altair.xemacs.org>

	* prim/process.el (shell-command-to-string): Alias exec-to-string
	to more logical name.

1997-05-23  Steven L Baur  <steve@altair.xemacs.org>

	* tm/tm-view.el (mime/content-decoding-condition): Add image/png
	mime type.

	* tm/tm-image.el (toplevel): Add image/png mime type.

	* tm/tm-edit.el (mime-file-types): Add png handling.
	(mime-content-types): Ditto.

Thu May 22 04:19:09 1997  Martin Buchholz  <mrb@eng.sun.com>

	* prim/files.el (auto-mode-alist): Reorg.  Support
	pre-processed fortran files.  *.m4 files now default to autoconf mode.

	* prim/about.el: Promote Hrvoje.  Picture still needed...

	* modes/ksh-mode.el:  _ has symbol syntax.
	* modes/m4-mode.el:  _ has symbol syntax.
	* modes/pascal.el:  _ has symbol syntax.
	* modes/f90.el:  _ has symbol syntax.
	* modes/cperl-mode.el:  _ has symbol syntax.
	* modes/autoconf-mode.el: _ has symbol syntax.

1997-05-22  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files.el (save-buffer): From Hrvoje Niksic.  Don't clear
	zmacs region.

	* packages/func-menu.el: Update for David Hughes' new email
	address.

1997-05-21  Noah Friedman  <friedman@prep.ai.mit.edu>

	* eldoc.el (eldoc-message-commands): Move docstring into comments,
	since this isn't a user variable.
	(eldoc-message-commands-table-size, eldoc-use-idle-timer-p,
	eldoc-function-argstring-from-docstring-method-table): Use defvar,
	not defconst.
	(eldoc-last-data): Use cons explicitly; don't rely on dotted pair
	read syntax.  I'm worried the latter might get compiled as
	read-only data someday.
	(eldoc-docstring-message): If truncating symbol name, show ending
	of name rather than beginning.  The former is generally more unique.
	(eldoc-function-argstring-from-docstring-method-table): Handle
	pathological `save-restriction' case.
	[top level]: Add `indent-for-tab-command' to eldoc-message-commands.

1997-05-21  Steven L Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el (default-menubar): strokes added to mouse
	menu.

Wed May 21 17:12:28 1997  Per Bothner  <bothner@deneb.cygnus.com>

	* eterm/term.el (term-send-raw):  Better XEmacs character event
	handling.
	* eterm/term.el (term-char-mode): Re-do Meta-handling by temporarily
	setting meta-prefix-char to -1 while building keymaps.
	(term-send-raw-meta):  Removed.

Tue Mar 11 20:15:26 1997  Kurt Hornik <Kurt.Hornik@ci.tuwien.ac.at>

	* eterm/term.el (term-completion-addsuffix): Doc fix.
	(term-dynamic-complete-as-filename): Support the case where
	term-completion-addsuffix is a (DIRSUFFIX . FILESUFFIX) cons
	pair.

Tue Jun  4 10:15:54 1996  Per Bothner  <bothner@deneb.cygnus.com>

	* eterm/term.el:  Add kd, kl, kr, du capabilities.
	* eterm/e/eterm.ti:  Add kcub1, kcuf1, kcuu1, kcud1 capabilities.

Wed May 15 14:38:45 1996  Per Bothner  <bothner@deneb.cygnus.com>

	* eterm/term.el (term-send-raw-string):  send-string ->
	process-send-string.
	* eterm/term.el (term-arguments):  Remove unused local 'values'.
	* eterm/term.el (term-handle-deferred-scroll):  Fix off-by-one bug,

	* eterm/term.el:  Merge changes from FSF (mostly typos).

Mon Sep 25 17:19:51 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* eterm/term.el (term-emulate-terminal): On CR, set
 	term-current-column to term-start-line-column, not 0.

1997-05-21  Steven L Baur  <steve@altair.xemacs.org>

	* packages/add-log.el (change-log-font-lock-keywords): Tweak
	font-lock-keywords.

1997-05-21  Erik Naggum  <erik@naggum.no>

	* add-log.el (add-log-lisp-like-modes, add-log-c-like-modes,
	add-log-tex-like-modes): New variables.
	(add-log-current-defun): Use them instead of constant lists.

1997-05-21  Steven L Baur  <steve@altair.xemacs.org>

	* packages/add-log.el: Synch to Emacs 20.0.

	* prim/obsolete.el (read-minibuffer): Make compatible not obsolete.
	(read-input): Ditto.

Tue May 20 20:32:59 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/subr.el (buffer-substring-no-properties): Clean out extents 
	too.

Mon May 19 19:48:35 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/process.el (shell-command-on-region): Remove region active
	test (which played havoc with the hack in call-interactively to
	place explicit calls to region-beginning and region-end in
	interactive specs in the command history).

Mon May 19 18:13:50 1997  Hrvoje Niksic  <hniksic@srce.hr>

	* utils/easymenu.el (easy-menu-add): Check for existing, before
	entering MENU to `easy-menu-all-popups'.

Sun May 18 09:11:50 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files.el (revert-buffer): Add optional third parameter to
	preserve buffer modes (from Emacs 19.34.94).
	(after-find-file): Add optional fifth parameter to preserve buffer 
	modes (from Emacs 19.34.94).

	* packages/vc.el: Synch with Emacs 19.34.94 because our version was 
	hopeless.
	(vc-checkout): Autoload.
	(vc-find-binary): Ditto.

	* prim/files.el (find-buffer-visiting): Restore because FSF vc.el
	needs it.

Fri Apr 25 13:21:46 1997  Per Abrahamsen  <abraham@dina.kvl.dk>

	* apropos.el (apropos): Add support for customization groups. 
	(apropos-print): Ditto.

Sat May 17 19:56:31 1997  Glynn Clements <glynn@sensei.co.uk>

	* packages/man.el (manual-entry):  Strip out stderr output.

Sun May 11 18:24:25 1997  Kyle Jones  <kyle@crystal.WonderWorks.COM>

	* prim/modeline.el: new mouse-drag-modeline function.
	Allows bottommost modeline to be dragged.

Sat May 17 03:41:11 1997  Steven L Baur  <steve@altair.xemacs.org>

	* cl/cl-macs.el: A whole bunch of XEmacs specific setf methods
	from Hrvoje Niksic.

	* prim/files.el (auto-mode-alist): Don't copy to purespace.
	(interpreter-mode-alist): Ditto.

Fri May 16 21:43:35 1997  Steven L Baur  <steve@altair.xemacs.org>

	* packages/info.el (Info-button1-follows-hyperlink): New variable.
	(Info-maybe-follow-clicked-node): Use it.

	* prim/simple.el (transpose-preceding-chars): New function.

Fri May 16 20:37:35 1997  Steven L Baur  <steve@altair.xemacs.org>

	* version.el: Update minor version number.

Mon May 12 13:47:37 1997  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* tm/tm-vm.el: Provide for vm-unsaved-message having been removed
	in recent versions of VM.
	
Fri May  9 10:41:44 1997  Steven L Baur  <steve@altair.xemacs.org>

	* iso/iso-acc.el (iso-accents-compose): Fix XEmacs 19.14
	compatibility (patch suggested by Hrvoje Niksic).

	* packages/man.el (manual-entry): (Patch from Soren Dayton) Allow
	subchapters not to be trimmed on Solaris.

	* prim/itimer.el (itimer-edit-mode): Correct use of obsolete
	function.

	* prim/startup.el: Update copyright notice.

Thu May  8 14:35:34 1997  Steven L Baur  <steve@altair.xemacs.org>

	* hm--html-menus/hm--html.el: Define obsolete aliases for the
	previous function spellings.

	* hm--html-menus/hm--html-keys.el: Define obsolete aliases for the 
	previous variable spellings.

	* prim/obsolete.el (define-obsolete-variable-alias): Fix docstring 
	spelling.
	(define-compatible-variable-alias): Ditto.

	* tm/tm-vm.el (vm-unsaved-message): Symbol doesn't exist any
	more.

Tue May  6 21:33:19 1997  Steven L Baur  <steve@altair.xemacs.org>

	* mule/mule-files.el (write-region): Correct docstring.

	* prim/files-nomule.el (write-region): Correct docstring.

Mon May  5 12:26:41 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/about.el (about-xemacs-xref): Infodock Associates is now
	Altrasoft.

Sat May  3 16:32:47 1997  Steven L Baur  <steve@altair.xemacs.org>

	* efs/dired.el (dired-chown-program): chown program is in /bin on
	Linux.

Fri May  2 20:04:35 1997  Steven L Baur  <steve@altair.xemacs.org>

	* egg/egg.el: paren.el needed at bytecompile time for
	`pos-visible-in-window-safe' defsubst.

	* pcl-cvs/pcl-cvs.el (cvs-update): Inhibit dialog box usage in
	call to cvs-do-update as this bombs when this function is invoked
	from a menu.

Wed Apr 30 18:06:35 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/loadup.el: Put features.elc in the dump list.

	* prim/about.el (about-xemacs): Change date.

Tue Apr 29 18:51:31 1997  Steven L Baur  <steve@altair.xemacs.org>

	* mule/mule-files.el (buffer-file-coding-system-alist): Regexp for 
	handling info files didn't match the right pattern.

Sun Apr 27 18:09:48 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/sound.el (load-sound-file): Fix typo.

Sat Apr 26 16:25:49 1997  Steven L Baur  <steve@altair.xemacs.org>

	* utils/lib-complete.el: Make conformant to Lisp coding standards
	MULE-ize by allowing for coding system argument.

Fri Apr 25 08:39:50 1997  Steven L Baur  <steve@altair.xemacs.org>

	* modes/sh-script.el (sh-indent-line): Deal with pathological case 
	of indenting a first line containing a `#' as first non-white
	space character.

Thu Apr 24 18:40:32 1997  Steven L Baur  <steve@altair.xemacs.org>

	* comint/telnet.el (telnet-mode-map): Correct Emacs synch typo.

	* rmail/rmail.el (rmail-get-new-mail): display-time-string is not
	necessarily a string.

Thu Apr 24 11:08:28 1997  Kyle Jones  <kyle_jones@wonderworks.com>

	* packages/balloon-help.el:
	- default background color now grey80 to match XEmacs default.
	- default border width is now 1.
	- default font is now "variable"
	- balloon-help can now handle variable width fonts.
	- loading balooon-help no longer turns on balloon-help-mode.
	- new `balloon-help' command.
	- changes to the font/background/foreground variables now affect
	  the help frame at next display.
	- help frame should now pop up on the correct display if XEmacs
	  is running with multiple devices open.
	- Customized, courtesy of Hrvoje.
	- don't use the padding lines that were needed for 19.12.
	  Compatibility with older XEmacs versions is hereby disavowed.
	- xclock frame name hack is gone.

Wed Apr 23 10:56:05 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files.el (hack-local-variables-prop-line): Mistakenly
	returned t when enable-local-variables was nil.

	* psgml/psgml-charent.el (sgml-display-char-list-filename): Move
	iso88591.map to a proper location.

	* prim/sound.el (load-sound-file): Make sure sound files are read
	as binary files.

Tue Apr 22 02:05:38 1997  Steven L Baur  <steve@altair.xemacs.org>

	* packages/vc.el (vc-directory): Set text properties.

	* psgml/psgml-xemacs.el (sgml-xemacs-get-popup-value): Allow for
	interactive commands.

Mon Apr 21 15:15:12 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/minibuf.el (input-error): New error type.
	(read-from-minibuffer): Use it.

	* comint/comint.el (comint-exec-hook): Do not Customize due to
	interactions with setting language environment in MULE.

Sun Apr 20 09:36:19 1997  Steven L Baur  <steve@altair.xemacs.org>

	* packages/info.el (Info-footnote-tag): Changing the footnote tag
	from the default "Note" is broken.

Tue Apr 22 07:01:20 1997  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/keydefs.el (global-map): Bind it to `C-z'.

	* prim/frame.el (suspend-emacs-or-iconify-frame): New function.

Fri Apr 18 16:45:07 1997  Steven L Baur  <steve@altair.xemacs.org>

	* utils/skeleton.el (skeleton-pair-insert-maybe): Guard test with
	existence check on mark-active too.
	(skeleton-proxy): Ditto.
	(skeleton-proxy-new): Ditto.

Fri Apr 18 09:26:24 1997  Dave Gillespie <daveg@synaptics.com>

	* cl/cl-macs.el (values): New setf-method.

Thu Apr 17 21:29:57 1997  Bob Weiner <weiner@infodock.com>

	* packages/avoid.el (mouse-avoidance-kbd-command): Correct
	detection of keypress.

Thu Apr 17 21:20:04 1997  Michael McNamara  <mac@silicon-sorcery.com>

	* modes/verilog-mode.el: Changes to 2.25
	1) Autoindent a new declaration according to the previous
	   declaration, if any. Only use the previous one, don't try to re
	   line things up.
	2) Include "Customize Verilog-Mode" in the Verilog menu bar. Make it
	   safe to do so, even if the underlying emacs does not yet support
	   custom.
	3) Include keybinding C-c C-b for reporting bugs.
	4) Include keybinding C-c i for reindenting declarations.

	* modes/verilog-mode.el: Changes to 2.24
	Cleaned up menubar items; added submit bug report there, for
	example.

	* modes/verilog-mode.el: Changes to 2.23
	1) Support custom (XEmacs) or defvar method of customization.
	2) fix verilog-pretty declarations
	3) add support so folks turning up the complexity of commenting don't
	   get errors (they don't get any more complexity either)

	* modes/verilog-mode.el: Changes to 2.22
	1) Moved installation hints to the web page.
	2) Added support for XEmacs's custom variable setting package.
	3) Added variables to separatly control indentation of
		module level items (always, initial. etc)
		declarations
		behavorial (the begin in the task & function declaration
	4) Attempted to shorten comments and lisp so that the %@* NT
	   mailers won't turn long comments into extra code.
	5) Used make-regexp to optimize many regular expressions so that they
	   are no longer backtrack.
	6) fixed bugs
	 a) a newline on a blank line no longer generates two new lines.
	 b) a semicolon on a comment no longer auto indents
	 c) lines like ''else if (a) begin''
	    no longer confuse auto commenter
	 d) a number of other bugs which fail to come to mind...
	7) Added support for menu pulldowns on FSF and XEmacs
	8) Added support for XEmacs v20
	9) Changed verilog-comment-region to insert comments that Verilog-XL
	   doesn't b*tch about.
	10) Eliminated auto lineup of declarations upon typing newline of
	   semicolon. (Cheers all around) Now instead there is a command, and
	   also a menu pulldown, which lines up indentations around point.
	11) Added verilog-submit-bug-report

Mon Apr 14 13:06:10 1997  Steven L Baur  <steve@altair.xemacs.org>

	* utils/autoload.el (generate-file-autoloads-1): Turn off local
	variable processing.

	* prim/files.el (hack-local-variables-prop-line): Respect setting
	of enable-local-variables.

	* vm/vm-startup.el (vm-session-initialization): Remove for
	production version.

	* utils/smtpmail.el (smtpmail-send-it): Forgot quote.
	(smtpmail-deduce-address-list): case-fold-search mistakenly set
	before buffer change.

Sun Apr 13 14:49:34 1997  Steven L Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el (default-menubar): Added `send-pr' to Help
	menu.

	* modes/make-mode.el (makefile-font-lock-keywords): Correct old,
	restored :-( 19.14 makefile-space-face lossage.

Sat Apr 12 23:20:31 1997  David Moore  <dmoore@ucsd.edu>

	* packages/font-lock.el (c-font-lock-keywords-1): Performance
	tuned regexps.

Sat Apr 12 21:32:37 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/about.el (about-xemacs): Update printed release date.

	* calendar/appt.el (install-display-time-hook): Friends don't let
	Friends quote lambda functions.

Fri Apr 11 11:50:14 1997  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* tm/tm-vm.el: tm-vm/use-original-url-button:
	  - Default is now t (principle of least surprise).
	(tm-vm/build-preview-buffer):
	  - Bind vm-message-pointer in Preview-buffer.
	  - X-Face was not displayed for a certain set of enabling variables.
	Calls to (vm-xemacs-p) were removed.

Sat Apr 12 05:27:56 1997  Steven L Baur  <steve@altair.xemacs.org>

	* modes/list-mode.el (list-mode-item-mouse-selected): Sometimes
	event-closest-point returns nil.

	* comint/telnet.el (telnet-check-software-type-initialize):
	Restore 19.14 initialization of telnet-prompt-pattern for Unix.
	(rsh): Allow a way to get back old password-less behavior.

	* edebug/edebug.el (edebug-read-and-maybe-wrap-form): Protect
	against pathological recursive calls.

	* prim/loadup.el: add cus-start as dumped package.

	* packages/vc.el (vc-directory): Dired requires a list not a
	string of space separated names.

	* utils/live-icon.el (live-icon-colour-name-from-face): `face' may 
	be a list of faces since it is generated by `extent-face'.

Fri Apr 11 21:12:57 1997  Steven L Baur  <steve@altair.xemacs.org>

	* packages/ispell.el: Don't attempt creation of the menubar unless 
	XEmacs has been compiled with menubars.

	* prim/simple.el (yank-pop): mark-marker needs optional force
	parameter to activate the region (suggested by Jamie Zawinski).

Fri Apr 11 17:47:26 1997  Per Abrahamsen  <abraham@dina.kvl.dk>

	* packages/apropos.el (apropos): Add support for faces, widgets,
	and user options.
	(apropos-print): Ditto.

Fri Apr 11 01:23:45 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/loadup.el (running-xemacs): Declare.  This variable is the
	new canonical way of determining whether you're running under
	XEmacs.

Thu Apr 10 13:23:14 1997  Steven L Baur  <steve@altair.xemacs.org>

	* packages/font-lock.el (font-lock-apply-highlight): Remove
	support for back to back font hack (and restore correct
	fontification of `int a, b, c;').  Patch from Anders Lindgren.

	* prim/about.el (about-xemacs-xref): Forgot to link David Moore's
	picture (oops).

Thu Apr 10 12:30:29 1997  Per Abrahamsen  <abraham@dina.kvl.dk>

	* efs/dired-faces.el (dired): Move to environment group.

Wed Apr  9 19:45:46 1997  Per Abrahamsen  <abraham@dina.kvl.dk>

	* x11/x-menubar.el (default-menubar): Inline definition of
	customize menu.

Wed Apr  9 10:45:54 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/about.el (about-xemacs-xref): Add Jan Vroonhof to list of
	contributors.
	(about-xemacs-xref): Add MORIOKA Tomohiko's bio.
	(about-xemacs-xref): Add Per Abrahamsen.

Tue Apr  8 12:57:05 1997  Steven L Baur  <steve@altair.xemacs.org>

	* modes/lisp-mode.el (eval-defun): Evaluate defcustom in defconst
	style instead of defvar style (patch derived from Emacs 19.35/Lars 
	Magne Ingebrigtsen).

Mon Apr  7 16:38:43 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/frame.el (temp-buffer-shrink-to-fit): Default to nil since
	this feature has gotten broken.

Sun Apr  6 06:56:03 1997  Steven L Baur  <steve@altair.xemacs.org>

	* modes/outl-mouse.el (outline-down-arrow-mask): Set up arrow
	glyphs to display on when no X11 support is available.

	* modes/outline.el (outline-install-menubar): short circuit if no
	menubars are available.

	* x11/x-menubar.el (default-menubar): Use xmine not mine.

	* prim/help.el (describe-variable): Some doc strings weren't being 
	terminated with a newline.

Sat Apr  5 20:20:00 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/about.el (about-xemacs-xref): Correct Jareth Hein's links.

Sat Apr  5 13:18:05 1997  Tomasz J. Cholewo  <t.cholewo@ieee.org>

	* packages/etags.el (tags-query-replace): Fixed DELIMITED argument 
	bug.  `with-caps-disable-folding' moved to isearch-mode.el.

	* packages/info.el (Info-search): Use `with-caps-disable-folding'.

Sat Apr  5 09:32:43 1997  Steven L Baur  <steve@altair.xemacs.org>

	* utils/finder-inf.el: Regenerated.

	* utils/finder.el (finder-known-keywords): Add mule keyword.

Tue Apr  1 14:08:04 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/winnt.el: New file.  Derived from Emacs 19.34, adapted by
	Marc Paquette.

	* prim/faces.el (set-face-stipple): Allow usage of a pixmap
	(suggested by Per Abrahamsen).

	* mule/canna.el (running-xemacs): Move to the top.

	* prim/cmdloop.el (y-or-n-p-minibuf): Add protection in case user
	hits something that can't be bound to a key.

Tue Apr  1 11:25:33 1997  Martin Buchholz  <mrb@Eng.Sun.COM>

	* bytecomp/bytecomp.el (char-after): Correct coding of calling
	sequence.

Mon Mar 31 21:36:47 1997  Kyle Jones  <kyle_jones@wonderworks.com>

	* prim/faces.el (set-face-stipple): New function.

Sat Mar 29 14:52:02 1997  Steven L Baur  <steve@altair.xemacs.org>

	* gnats/send-pr.el (send-pr:submit-pr): Pass send-pr:datadir in
	the environment to send-pr.
	(send-pr::insert-template): Ditto.
	(send-pr:default-site): Default submission address is at xemacs.org.

Fri Jul 19 12:01:51 1996  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* packages/info.el (Info-elisp-ref): Look first in lispref, then
	elisp.

	* packages/func-menu.el (fume-function-name-regexp-bibtex): `,'
	isn't allowed.

	* packages/etags.el (list-tags): Interactive argument should be an
	existing file name.

Wed Mar 26 22:33:40 1997  Steven L Baur  <steve@altair.xemacs.org>

	* Remove ns lisp directory.
	* Remove vms lisp directory.

Tue Mar 25 12:22:57 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files.el (file-remote-p): Update doc string.

	* packages/terminal.el (te-stty-string): Fix definition for Linux.

Mon Mar 24 23:43:53 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files.el (file-remote-p): Correct documentation and allow
	for `allow-remote-paths' to control loading of efs.

Sun Mar 23 16:58:08 1997  Tomasz J. Cholewo  <t.cholewo@ieee.org>

	* packages/etags.el (with-caps-disable-folding): New macro.
	(find-tag-internal): Use it.
	(tags-search): Use it.
	(tags-query-replace): Use it.  Case bug corrected.

Mon Mar 24 00:47:38 1997  Steven L Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el (popup-mode-menu): Change guard when stripping
	keywords to be more robust.

Sun Mar 23 00:26:53 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/startup.el (splash-hack-version-string): Correct for case
	of hosts with '-' in the names.

Sat Mar 22 14:25:47 1997  Tomasz J. Cholewo  <t.cholewo@ieee.org>

	* modes/sendmail.el (user-mail-address): Require cus-edit.
	Fix when scope.

Sat Mar 22 14:25:47 1997  Tomasz J. Cholewo  <t.cholewo@ieee.org>

	* calendar/diary-lib.el (diary-countdown): New function.
	(fancy-diary-display): Use modeline-buffer-identification.

	* calendar/appt.el (appt-diary-entries): Do not display diary.
	(appt-check): Display diary buffer at midnight.  
	
Fri Mar 21 19:16:46 1997  Steven L Baur  <steve@altair.xemacs.org>

	* mule/mule-coding.el (enable-multibyte-characters): MULE
	compatible variable.

Thu Mar 20 13:28:17 1997  Steven L Baur  <steve@altair.xemacs.org>

	* bytecomp/bytecomp.el (byte-compile-output-docform): Ebola fix.
	(byte-compile-lambda): Ebola fix.

	* prim/obsolete.el (following-char): Make this turkey obsolete.
	(preceding-char): Ditto.  (Suggested by Richard Mlynarik).

Wed Mar 19 10:12:09 1997  Steven L Baur  <steve@altair.xemacs.org>

	* modes/sendmail.el (sendmail-send-it): Use function for
	user-mail-address.
	(user-mail-address): Autoload.

	* pcl-cvs/pcl-cvs.el (cvs-changelog-ours-p): Use function for
	user-mail-address.

	* prim/startup.el (load-init-file): Only set user-mail-address if
	non-interactive.

	* utils/smtpmail.el (smtpmail-send-it): Use function for
	user-mail-address.
	(smtpmail-via-smtp): Ditto.

	* packages/add-log.el (add-log-mailing-address): Use new function
	to obtaion email address.
	(add-change-log-entry): Ditto.

	* prim/device.el (device-pixel-depth): New alias for
	`device-bitplanes'.

	* comint/comint-xemacs.el (comint): Fix typo in defgroup.

Tue Mar 18 11:16:28 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/loadup.el: ls-lisp doesn't exist now.

	* comint/comint-xemacs.el (comint): Touch up fixes from Per
	Abrahamsen.

	* prim/glyphs.el (subwindow-image-instance-p): Change doc string
	to reflect unimplemented status.

Mon Mar 17 15:34:06 1997  Steven L Baur  <steve@altair.xemacs.org>

	* comint/comint.el (comint-input-setup): Require comint-xemacs.

	* utils/autoload.el (autoload-snarf-defcustom): Don't snarf from
	auto-autoloads.el.

	* comint/comint-xemacs.el: New file.  Contains face declarations
	for comint.

	* comint/comint.el: Remove inline defface.

Sat Mar 15 15:14:06 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/loadup.el: Add prim/auto-customize.elc to dumped files.

	* utils/autoload.el (generated-custom-file): New variable.
	(autoload-snarf-defcustom): New function.  Grab Customization as
	we look for autoload cookies. (based on code by Per Abrahamsen).
	(update-file-autoloads): Use it.
	(autoload-save-customization): New function (based on code by Per
	Abrahamsen).
	(batch-update-autoloads): Use it.

Fri Mar 14 19:59:36 1997  Bob Weiner  <weiner@infodock.com>

	* packages/jka-compr.el (jka-compr-installed-p): Simplify.

Fri Mar 14 17:24:30 1997  Steven L Baur  <steve@altair.xemacs.org>

	* modes/sendmail.el: Correct vm macro hack.
	(query-user-mail-address): New customizable variable.
	(user-mail-address): New function, use it.  (Courtesy of Per
	Abrahamsen <abraham@dina.kvl.dk>).

Thu Mar 13 18:49:50 1997  Steven L Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el (popup-mode-menu): Do something more correct
	when combining a global popup menu and a local mode menu.

Thu Mar 13 08:36:35 1997  Adrian Aichner <aichner@ecf.teradyne.com>

	* packages/crypt.el (crypt-unix-to-dos-region): Correct DOC string.

Wed Mar 12 13:46:21 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/obsolete.el (char=): Make alias for common lisp
	compatibility.

Mon Mar 10 09:44:05 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/simple.el (set-fill-column): Clean up docstring.

	* x11/x-menubar.el (save-options-non-customized-face-list): Allow
	save-options to save faces declared with defface macro.

	* packages/vc.el: diff-switches is autoloaded again in diff.el.

	* packages/diff.el (diff-switches): Default to "-c".

Sun Mar  9 18:44:59 1997  Tomasz J. Cholewo  <tjchol01@mecca.spd.louisville.edu>

	* prim/help.el (describe-function-1): Add missing stream arguments
	to terpri and princ.

Sun Mar  9 15:38:29 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/modeline.el (modeline-minor-mode-menu): Evaluate minor
	modes in context of correct buffer.

	* prim/help.el (locate-library): Synched with Emacs 19.35.

	* packages/icomplete.el (icomplete-get-keys): Make it work.

	* prim/about.el: Add Jens Lautenbacher's picture.

Sun Mar  9 12:38:53 1997  Noah Friedman  <friedman@prep.ai.mit.edu>

	* utils/eldoc.el (eldoc-pre-command-refresh-echo-area): Use
	eldoc-display-message-p, not eldoc-display-message-no-interference-p.
	
Sat Mar  8 11:20:47 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/startup.el (startup-splash-frame-body): More text tweaking.

	* x11/x-faces.el (*try-oblique-before-italic-fonts*): New user
	variable.  Allow trying oblique fonts ahead of italic fonts (from
	Raymond Toy).
	(x-make-font-italic): Use it.

	* prim/obsolete.el (window-system): Make it compatible not
	obsolete.

Fri Oct 11 14:21:05 1996  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* packages/hyper-apropos.el (hypropos-get-doc): Put font names etc in
	parentheses if instantiation uses fallback.
	(hypropos-face-history): New variable.
	(hyper-describe-face): New function.
	(hyper-where-is): New command.
	(hypropos-read-function-symbol): New function.
	(hyper-describe-key): New command.
	(hyper-describe-key-briefly): New command.
	(hypropos-read-variable-symbol): New function.
	(hyper-set-variable): New command.
	(hypropos-set-variable): Changed to work with buffer-locals.

Fri Jul 19 12:01:51 1996  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* packages/hyper-apropos.el: Massive changes--the original knew nothing
 	about buffer-locals and local-bindings.
	(hypropos-shrink-window): New user option.
	(hypropos-ref-buffer): New variable.
	(hypropos-regexp-history): New variable.
	(hyper-apropos): Better interactive version.
	(hypropos-grok-variables): Omit OBSOLETE stuff.
	(hyper-describe-variable): Additional ARG, better interactive
 	version.
	(hyper-describe-function): Ditto.
	(hypropos-last-help): Without prefix arg, just display buffer.
	(hypropos-insert-face): New function.
	(hypropos-insert-keybinding): New function.
	(hypropos-get-doc): Additional ARG, display documentation for
 	faces, complete change.
	(hypropos-this-symbol): Using better regexp.

Fri Mar  7 10:44:48 1997  Steven L Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el (default-menubar): Reorganize again undoing
	previous change.  Customize submenu moved to top of options menu.
	Edit faces restored to edit-faces and renamed to Browse faces.
	
Thu Mar  6 08:43:27 1997  Steven L Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el (options-menu): New variable.
	(default-menubar): Use it.

	* prim/about.el (view-less): Explicit require.

Wed Mar  5 18:03:02 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/cleantree.el: New file based on suggestion by David Moore,
	and derived from Gnus nnml code.

Tue Mar  4 01:19:37 1997  Hrvoje Niksic  <hniksic@srce.hr>

	* edebug/edebug.el (edebug-compute-previous-result): Don't treat
 	numbers as chars.

Wed Mar  5 10:11:55 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/startup.el (splash-hack-version-string): New function to
	narrow the output of (emacs-version) for the splash screen.
	(splash-frame-present): Use it.

Tue Mar  4 19:52:10 1997  Steven L Baur  <steve@altair.xemacs.org>

	* packages/supercite.el (sc-name-filter-alist): (Idea from Bob
	Weiner).  Update to handle names like Michael Sperber
	[Mr. Preprocessor].

Mon Mar  3 17:50:04 1997  Per Abrahamsen  <abraham@dina.kvl.dk>

	* prim/faces.el (init-face-from-resources): New variable.
	(init-face-from-resources): Use it.
	(init-device-faces): Use it.
	(init-frame-faces): Use it.
	(make-empty-face): New function.

	* x11/x-faces.el (x-init-face-from-resources): Made second
	argument optional, and added a third argument.
	(make-face-x-resource-internal): New alias.

Mon Mar  3 14:45:16 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/loadup.el: Remove custom.elc.

	* prim/simple.el (newline): Attempt to not add newline to a
	previous end-open extent.

Sun Mar  2 10:10:31 1997  Steven L Baur  <steve@altair.xemacs.org>

	* hm--html-menus/tmpl-minor-mode.el (tmpl-sign): Remove nul byte.

	* site-load.el: Move site-packages to the top level.

Sun Mar  2 01:37:04 1997  Hrvoje Niksic  <hniksic@srce.hr>
 
	* utils/mail-extr.el (all-top-level-domains): Added "hr" domain.

	* packages/ps-print.el (ps-print-color-p): Default to nil.

	* x11/x-menubar.el (default-menubar): Changed menubar entry for
	color printing.

	* prim/faces.el (init-other-random-faces): Use gray65 for
	zmacs-region and primary-selection background.

	* x11/x-faces.el (x-init-global-faces): New default background
	gray80.

Sat Mar  1 14:38:14 1997  Hrvoje Niksic  <hniksic@srce.hr>

	* packages/diff.el: (diff): Autoload.
	(diff-backup): Autoload.
	(diff-switches): Autoload.

Sat Mar  1 01:09:08 1997  Steven L Baur  <steve@altair.xemacs.org>

	* packages/tar-mode.el (tar-mode-map): Removed extraneous C-c
	binding of tar-copy.

	* prim/keydefs.el: Don't disable upcase-region and
	downcase-region.

Fri Feb 28 11:22:29 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/obsolete.el (char-to-int): Define as alias to `char-int'.

	* prim/help.el (describe-function-1): Show annotation contents if
	they exist.

	* packages/man.el (Manual-mode): Don't turn off scrollbars if
	XEmacs doesn't have them to begin with.

	* prim/keydefs.el: Don't disable eval-expression by default now
	that it is harder to type.

Thu Feb 27 13:06:41 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/subr.el (with-string-as-buffer-contents): Moved from
	mule/mule-coding.el.

	* mule/mule-coding.el: Remove with-string-as-buffer-contents.

	* prim/format.el (format-insert-file): Correct wrong order of args
	passed to format-decode.

	* prim/startup.el (load-user-init-file): Allow XEmacs to read a
	bytecompiled .emacs if it exists.

Thu Feb 27 17:41:57 1997  Per Abrahamsen  <abraham@dina.kvl.dk>

	* subr.el (eval-after-load): Enable.
	(eval-next-after-load): Ditto.

Thu Feb 27 10:59:05 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/subr.el (with-temp-buffer): New function from Emacs 19.35,
	courtesy of Erik Naggum  <erik@naggum.no>.

Fri Feb 28 22:17:03 1997  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/isearch-mode.el: Added "_" to the `interactive' forms of
 	most functions.
	(isearch-mode-map): Define M-y.
	(isearch-yank-kill): New function.

	* prim/keydefs.el: Don't bind `C-x C-n' to `set-goal-column';
 	don't disable `set-goal-column'.

	* mule/mule-init.el (ctl-x-map): Use `C-x C-n' as mule-prefix,
	instead of `C-x C-k'.

Wed Feb 26 18:09:56 1997  Andreas Jaeger <aj@arthur.pfalz.de>

	* x11/x-menubar.el (default-menubar): `FAQ' should be `FAQ
	(local)' in Help menu.

Mon Feb 24 18:33:38 1997  Martin Buchholz  <mrb@eng.sun.com>

	* mule/mule-debug.el (describe-coding-system): Ported from
	Mule to XEmacs.

	* mule/mule-x-init.el (x-use-halfwidth-roman-font): New
	function:
	 "Maybe set charset registry of the 'ascii charset to ROMAN-REGISTRY.

	Do this only if:
	 - the current display is an X device
	 - the displayed width of FULLWIDTH-CHARSET is twice the displayed
	   width of the 'ascii charset, but only when using ROMAN-REGISTRY.

	Traditionally, Asian characters have been displayed so that they
	occupy exactly twice the screen space of ASCII (`halfwidth')
	characters.  On many systems, e.g. Sun CDE systems, this can only be
	achieved by using a national variant roman font to display ASCII."

Sun Feb 23 12:56:28 1997  Steven L Baur  <steve@altair.xemacs.org>

	* edebug/edebug.el: Synch up with Emacs 19.34.

	* prim/itimer-autosave.el (auto-save-timeout): Increase to 960.

Sat Feb 22 17:11:31 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/loadup.el:  Dump new file itimer-autosave.el.

Sat Feb 22 17:06:32 1997  Kyle Jones  <kyle_jones@wonderworks.com>

	* prim/itimer.el: Cleanup, removal of autosave cruft.

Fri Feb 21 09:41:44 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/simple.el (line-move-ignore-invisible): Reverse previous
	change to make this default to nil again.

Thu Feb 20 14:30:50 1997  Jamie Zawinski  <jwz@netscape.com>

	* prim/files.el (hack-local-variables-prop-line): New version.

Thu Feb 20 11:14:22 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files.el: Delete definition of dired-kept-versions.

	* prim/about.el (about-xemacs-xref): Added Kyle's picture. :-)

Wed Feb 19 15:47:47 1997  Steven L Baur  <steve@altair.xemacs.org>

	* packages/vc.el (diff-switches): Restore since this global
	variable went away with the passing of ange-ftp.

	* utils/autoload.el (generate-file-autoloads-1): Don't let
	find-file-hooks be run.
	(update-file-autoloads): Ditto.
	(update-autoloads-from-directory): Ditto.

	* x11/x-menubar.el (default-menubar): Correct unguarded reference
	to fast-lock-mode variable.

Wed Feb 19 08:04:02 1997  Noah Friedman  <friedman@prep.ai.mit.edu>

	* utils/eldoc.el (eldoc-message-commands): Doc fixes.
	(eldoc-message): Make function, not macro.

	* utils/eldoc.el (eldoc-last-message): New internal variable.
	(eldoc-mode): Initialize it to nil.
	(eldoc-message): Use it.
	(eldoc-print-current-symbol-info): Use it.

	* utils/eldoc.el (eldoc-pre-command-refresh-echo-area): New function.
	(eldoc-mode): Put it on pre-command-hook if in XEmacs or using
	idle timers in Emacs.

	* utils/eldoc.el (eldoc-message-commands-table-size): New constant.
	(eldoc-add-command): Use it to initialize eldoc-message-commands.

	* utils/eldoc.el (eldoc-display-message-no-interference-p): New
	function.
	(eldoc-display-message-p): Use it.

	* utils/eldoc.el (eldoc-print-fnsym-args, eldoc-print-var-docstring):
	Arg sym no longer optional.
	Do not initialize arg if nil.

	* utils/eldoc.el (eldoc-forward-sexp-safe): Function deleted.
	(eldoc-beginning-of-sexp): New function.
	(eldoc-fnsym-in-current-sexp): Use eldoc-beginning-of-sexp.
	Use eldoc-current-symbol to get symbol at point.

	* utils/eldoc.el
	(eldoc-function-argstring-from-docstring-method-table): Forge
 	docstrings for `and', `or', `list', `+', and `-'.

	* utils/eldoc.el (eldoc-add-command-completions): New function.
	(eldoc-add-command): Take list of args.
	No longer interactive.
	(eldoc-remove-command-completions): New function.
	(eldoc-remove-command): Take list of args.
	No longer interactive.

	* utils/eldoc.el: Initialize eldoc-message-commands using
	eldoc-add-command-completions.

	* utils/eldoc.el (eldoc-display-message-p): New function.
	Return nil if cursor-in-echo-area, or using idle timers and a
	command is still active.
	(eldoc-print-current-symbol-info): Use eldoc-display-message-p.

Tue Feb 18 14:20:01 1997  David Byers  <davby@ida.liu.se>

	* packages/paren.el (paren-highlight): Minor typo correction.

Tue Feb 18 13:05:33 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/loadup.el: Dump new file custom-xmas.

Mon Feb 17 21:01:38 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/help.el (function-compatible-p): New function.
	(function-compatibility-doc): New function.
	(describe-function-1): Use them.
	(variable-compatible-p): New function.
	(variable-compatibility-doc): New function.
	(describe-variable): Use them.

Mon Feb 17 19:12:55 1997  Per Abrahamsen  <abraham@dina.kvl.dk>

	* prim/obsolete.el (x-color-values): Added for Emacs
	compatibility.

Mon Feb 17 18:11:24 1997  Michael Kifer  <kifer@CS.SunySB.EDU>

	* prim/files.el (file-remote-p): Force load of EFS if not already
	loaded.

Mon Feb 17 17:45:23 1997  Bob Weiner  <weiner@infodock.com>

	* modes/lisp-mode.el (eval-last-sexp): Do something special if
	evaluating (interactive ...).

Sun Feb 16 21:49:18 1997  Bjorn Victor  <Bjorn.Victor@DoCS.UU.SE>

	* utils/facemenu.el (facemenu-adjust-face-sizes): Strip size when
	face is neither nil nor cons.

Sun Feb 16 14:26:03 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/loadup.el: Try not dumping font.elc.

	* prim/obsolete.el (display-column-mode): Remove column.el and
	leave a forwarding address.

Sat Feb 15 23:21:11 1997  Kyle Jones  <kyle_jones@wonderworks.com>

	* prim/minibuf.el (read-from-minibuffer): Don't put evaluated
	expressions in the minibuffer history list.

Sat Feb 15 22:57:11 1997  Steven L Baur  <steve@altair.xemacs.org>

	* packages/scroll-in-place.el (scroll-signal-boundary-error):
	Allow user to suspend error signals.

Sat Feb 15 21:43:49 1997  John Turner  <turner@branagh.ta52.lanl.gov>

	* packages/column.el (current-line): Correct defaults for starting
	at 1, remove an obsolete variable.

Sat Feb 15 20:17:46 1997  Hal Peterson  <hrp@netstar.com>

	* packages/vc.el (vc-backend-print-log): Change `cvs rlog' to
	`cvs log'

Mon Feb 17 02:01:27 1997  Hrvoje Niksic  <hniksic@bjesomar.srce.hr>

	* utils/edmacro.el (edmacro-format-keys): Would bug out on empty
 	macro.

Mon Feb 17 02:01:27 1997  Hrvoje Niksic  <hniksic@bjesomar.srce.hr>

	* utils/edmacro.el (edmacro-format-keys): Would bug out on empty
 	macro.
	(edmacro-fix-menu-commands): Would bug out on 'control, etc.
	(edmacro-events-to-keys): New function.
	(edmacro-format-keys): Use it.
	(edmacro-finish-edit): Compare to macros, not strings.
	(edmacro-fkeys): New function.
	(edmacro-format-keys): Use it.
	(edit-kbd-macro): Tweak.

Sat Feb 15 13:58:14 1997  Kyle Jones  <kyle_jones@wonderworks.com>

	* packages/info.el: Don't call switch-to-buffer if the Info frame
	is being deleted.

Sat Feb 15 12:07:46 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/simple.el (previous-line): Allow escape from signaled error
	on buffer boundary.
	(next-line): Ditto.

Sat Feb 15 11:05:29 1997  Kyle Jones  <kyle_jones@wonderworks.com>
	* utils/redo.el: made before and after status messages so that
	the user is aware if a long action is still being processed.
	
	rolled version number up to 1.00, since the package seems to be
	stable.

	cosmetic changes so the file could be included in the XEmacs
	distribution.
	
Sat Feb 15 11:13:05 1997  Hrvoje Niksic  <hniksic@srce.hr>

	* prim/simple.el (line-move-ignore-invisible): Change default to
	t.

Sat Feb 15 01:04:21 1997  Hrvoje Niksic  <hniksic@bjesomar.srce.hr>

	* prim/macros.el: Removed.  Superseded by new version in
	edmacro.el.

Fri Feb 14 23:29:16 1997  Adrian Aichner  <aichner@ecf.teradyne.com>

	* modes/executable.el (executable-set-magic): Correct for the #!
	getting lost.

Fri Feb 14 23:10:58 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/modeline.el (modeline-modified-map): Call
	vc-toggle-read-only instead of toggle-read-only to be consistent
	with override of `C-x C-q'.

Fri Feb 14 16:11:10 1997  Jonathon Edwards  <edwards@intranet.com>

	* packages/blink-cursor.el (blink-cursor-post-command-hook): stop
	cursor blink momentarily after receiving user input.

Fri Feb 14 15:26:38 1997  Jacques Duthen  <duthen@club-internet.fr>

	* x11/x-menubar.el (default-menubar): mine goes into games menu.

Thu Feb 13 22:16:09 1997  Michael Sperber  <sperber@informatik.uni-tuebingen.de>

	* prim/files.el (recover-session-finish): Modify for efs.

Thu Feb 13 21:23:07 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files.el (file-remote-p): New function.

	* sunpro/sunpro-load.el: Do not dump mime-setup under any
	circumstances.

Thu Feb 13 17:58:09 1997  Richard Mlynarik  <mly@adoc.xerox.com>

	* prim/obsolete.el (insert-before-markers-and-inherit): Correct
	typo.

Wed Feb 12 17:48:59 1997  Steven L Baur  <steve@altair.xemacs.org>

	* comint/gdb.el (gdb-control-c-subjob): Nuke this loser.

Wed Feb 12 13:58:01 1997  Hrvoje Niksic  <hniksic@bjesomar.srce.hr>

	* utils/edmacro.el: New file.

Wed Feb 12 09:00:48 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/sound.el (load-sound-file): Update documentation of
	restrictions on what machines XEmacs can play sound on.

Tue Feb 11 09:39:25 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/glyphs.el (init-glyphs): Correct autodetection to find
	GIF89.  Look for PNG.

Mon Feb 10 21:37:54 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/frame.el (show-temp-buffer-in-current-frame): Conditional
	shrink-to-fit behavior on `temp-buffer-shrink-to-fit'.

	* packages/apropos.el (apropos-print): Ditto.

	* prim/lisp.el (lisp-complete-symbol): Ditto.

	* prim/help.el (with-displaying-help-buffer): Ditto.

Mon Feb 10 20:58:19 1997  Hrvoje Niksic  <hniksic@bjesomar.srce.hr>

	* x11/x-toolbar.el: Allow customization of toolbar functions by
	customizable variables.

Mon Feb 10 14:58:05 1997  Greg Klanderman  <greg@alphatech.com>

	* comint/gdb.el (gdb-mode): Correct setting of obsolete hook.

Sun Feb  9 19:55:03 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/obsolete.el (define-compatible-variable-alias): New function.
	(define-compatible-variable-alias): New function.
	.*mode-line.*, frame-parameters, modify-frame-parameters,
	x-display-.* all made compatible not obsolete.

	* bytecomp/bytecomp.el (byte-compile-variable-ref): Warn for
	compatibility symbols.
	(byte-compile-compatible): New function.

	* bytecomp/bytecomp-runtime.el (make-compatible): New function.
	(make-compatible-variable): New function.

Sun Feb  9 19:14:25 1997  Kyle Jones  <kyle_jones@wonderworks.com>

	* utils/redo.el: New file.

	* utils/floating-toolbar.el: New file.

Sun Feb  9 15:19:46 1997  Steven L Baur  <steve@altair.xemacs.org>

	* custom/custom.el: Remove ;;;###autoloads since this file is
	dumped with XEmacs.

Sun Feb  9 00:28:20 1997  Per Abrahamsen  <abraham@dina.kvl.dk>

	* custom/widget.el: New file.

	* custom/widget-example.el: New file.

	* custom/widget-edit.el: New file.

	* custom/custom.el: New file.

	* custom/custom-edit.el: New file.

Fri Feb  7 03:09:32 1997  Alastair Burt <burt@dfki.uni-sb.de>

	* bytecomp/bytecomp.el (byte-compile-insert-header): Correct
	typo.

Thu Feb  6 17:14:32 1997  Steven L Baur  <steve@altair.xemacs.org>

	* packages/font-lock.el (font-lock-fontify-keywords-region):
	Correct bounds checking in case the keywords regexp is not
	properly anchored.

	* packages/ps-print.el: Update maintainer address.

Thu Feb  6 12:35:39 1997  Bill Dubuque  <wgd@martigny.ai.mit.edu>
	
	* cl/cl-macs.el (cl-do-proclaim): Correct addition of bound
	variables to `byte-compile-bound-variables'.

Thu Feb  6 01:07:56 1997  Steven L Baur  <steve@altair.xemacs.org>

	* bytecomp/bytecomp.el (byte-compile-warn-about-unused-variables):
	Reverse previous patch.

	* prim/minibuf.el (use-dialog-box): Rename from
	should-use-dialog-box.
	(should-use-dialog-box-p): Use it.

	* bytecomp/bytecomp.el (byte-compile-warn-about-unused-variables):
	cell is not a cons when the cl declare macro is used.

Wed Feb  5 21:37:13 1997  Hrvoje Niksic  <hniksic@bjesomar.srce.hr>

	* modes/cperl-mode.el: Provide 'cperl-mode.

Tue Feb  4 11:51:25 1997  Greg Klanderman  <greg@alphatech.com>

	* modes/make-mode.el: Remove `makefile-runtime-macros-list' from
	`makefile-macro-table'.

Tue Feb  4 11:06:33 1997  Steven L Baur  <steve@altair.xemacs.org>

	* packages/metamail.el (metamail-region): *junet* coding system
	name changed to 'junet.

Mon Feb  3 22:34:09 1997  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* iso/iso-acc.el: Critical Bug fix.
	Add ISO-8859-3 support to iso-acc.el, as suggested by Dale
	Gulledge.

Mon Feb  3 17:11:21 1997  Steven L Baur  <steve@altair.xemacs.org>

	* modes/make-mode.el (makefile-browser-format-macro-line): Remove
	redundant (and wrong) format statement.

Fri Jan 31 21:38:47 1997  Steven L Baur  <steve@altair.xemacs.org>

	* psgml/psgml-html.el (html-auto-sgml-entity-conversion): Allow
	user control over automatic sgml entity to ISO-8859-1 conversion.

Fri Jan 31 09:50:51 1997  Hrvoje Niksic <hniksic@srce.hr>

	* x11/x-toolbar.el (toolbar-mail-commands-alist): Updated with a
	lot of new mailer possiblities.
	
Fri Jan 31 09:28:49 1997  Martin Buchholz  <mrb@eng.sun.com>

	* x11/x-font-menu.el (reset-device-font-menus): Correct guard on
	charset-registry call.

Fri Jan 31 00:21:07 1997  Darrell Kindred  <dkindred@cmu.edu>

	* packages/font-lock.el (font-lock-mode): Don't remove the
	`font-lock-pre-idle-hook' from `pre-idle-hook'.

Thu Jan 30 22:43:43 1997  David Moore  <dmoore@UCSD.EDU>

	* packages/compile.el:  Speed up regexps.
	(compilation-parse-errors): replace re-search-forward with
	something faster.
	
Thu Jan 30 20:33:56 1997  Hvoje Niksic  <hniksic@srce.hr>

	* x11/x-toolbar.el
 	(toolbar-open,toolbar-dired,toolbar-save,toolbar-print,toolbar-cut,toolbar-copy,toolbar-paste,toolbar-undo,toolbar-replace):
 	New functions.
	(toolbar-news): Allow running without separate frame.
	(toolbar-mail-commands-alist): New variable.
	(toolbar-mail-reader): Ditto.
	(toolbar-mail): Use them.
	
	* x11/x-menubar.el: Shorten help menu item names.

Thu Jan 30 17:22:15 1997  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* iso/iso-acc.el: Accept accents in isearch.

Wed Jan 29 22:25:38 1997  Tomasz J. Cholewo <tjchol01@mecca.spd.louisville.edu>

	* packages/ps-print.el: Make postscript files generated by
	ps-print conformant to Adobe DSC specification.

Mon Jan 27 21:45:17 1997  Tomasz J. Cholewo  <tjchol01@mecca.spd.louisville.edu>

	* dired/ange-ftp.el (ange-ftp-write-region): Changes for jka-compr.

	* packages/jka-compr.el (jka-compr-write-region): Convert to 20.0
	write-region interface.

Mon Jan 27 19:09:28 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/about.el (about-xemacs): Updated to reflect change of
	management.

Mon Jan 27 13:25:17 1997  William M. Perry <wmperry@aventail.com>

	* packages/man.el (Manual-entry-switches): Don't default to -s.

Sun Jan 26 16:27:49 1997  Steven L Baur  <steve@altair.xemacs.org>

	* bytecomp/byte-optimize.el (byte-compile-inline-expand):
	Correctly refresh the pointer to a symbol being autoloaded prior
	to inline.

Sun Jan 26 13:57:22 1997  Bob Weiner <weiner@infodock.com>

	* prim/about.el (about-xemacs-xref): Update bio.

Sat Jan 25 22:58:15 1997  Steven L Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el (default-menubar): Update ps-paper-type options
	for new ps-print.el.

Thu Jan 23 01:40:53 1997  Steven L Baur  <steve@altair.xemacs.org>

	* psgml/psgml-html.el (html-mode): Set up friendlier syntax
	table.

	* psgml/psgml.el (sgml-running-xemacs): Remove
	sgml-mode-syntax-table since it has been superseded.

Thu Jan  9 13:32:01 1997  Jacques Duthen Prestataire  <duthen@cegelec-red.fr>

	* ps-print.el: Merge patch from [simon] Oct 8, 1996 Simon Marshall
	<simon@gnu.ai.mit.edu>
	(ps-print-version): Fix value.
	(cl lisp-float-type): Require them.
	(ps-number-of-columns ps-*-font-size): Try to select defaults
	better suited when `ps-landscape-mode' is non-nil. 
	(ps-*-faces): Change default for Font Lock mode faces when
	`ps-print-color-p' is nil. 
	(ps-right-header): Replace `time-stamp-yy/mm/dd'
	by `time-stamp-mon-dd-yyyy'. 
	(ps-end-file ps-begin-page): Fix bug in page count for Ghostview. 
	(ps-generate-postscript-with-faces): Replace `ps-sorter' by
	`car-less-than-car'.  
	(ps-plot ps-generate): Replace `%d' by `%3d'.  

Wed Jan 22 15:32:39 1997  Greg Klanderman  <greg@alphatech.com>

	* modes/rsz-minibuf.el (resize-minibuffer-setup): Resize the
	minibuffer earlier than the first received event.

Wed Jan 22 15:29:08 1997  Barry A. Warsaw  <bwarsaw@CNRI.Reston.VA.US>

	* modes/imenu.el (imenu-add-to-menubar): Don't attempt anything if
	menu-bar lookup fails.

Wed Jan 22 01:03:42 1997  Martin Buchholz  <mrb@eng.sun.com>

	* x11/x-font-menu.el: Make font menus work better in a
	Japanese environment.

Tue Jan 21 19:56:26 1997  Martin Buchholz  <mrb@eng.sun.com>

	* mule/mule-init.el (init-mule): Get Japanese man pages working.

Fri Jan 17 17:22:54 1997  Hrvoje Niksic  <hniksic@bjesomar.srce.hr>
 
	* man.el (Manual-mode): Don't mess with scrollbars if they aren't
	present.

Tue Jan 21 19:52:45 1997  Steven L Baur  <steve@altair.xemacs.org>

	* utils/timezone.el (timezone-parse-date): Fix Y2K bug.

Tue Jan 21 19:32:44 1997  Barry A. Warsaw  <bwarsaw@anthem.cnri.reston.va.us>

	* prim/files.el (hack-local-variables-prop-line): XEmacs should
	not query to set local variables in the -*- line if there aren't
	any to set!

Thu Jan 16 18:24:20 1997  Steven L Baur  <steve@miranova.com>

	* psgml/psgml.el: Use newer interface form for nsgmls.

Thu Jan 16 04:06:24 1997  Steven L Baur  <steve@altair.xemacs.org>

	* comint/telnet.el (rsh): (Mostly) correct dealing with detection
	of password prompt at login.

Thu Jan 16 03:28:25 1997  Martin Buchholz  <mrb@eng.sun.com>

	* modes/view.el (View-scroll-lines-forward): Correct format typo.

Mon Jan 13 22:50:23 1997  David Moore  <dmoore@UCSD.EDU>

	* packages/compile.el: Clean up regexps.

Sun Jan 12 20:50:08 1997  Steven L Baur  <steve@altair.xemacs.org>

	* modes/m4-mode.el: Changed m4-program to point to /usr/bin/m4.

Sun Jan 12 18:49:30 1997   守岡 知彦/MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule/mule-misc.el: `-columns' -> `-width' and define `-columns'
	alias
	Import definition of `truncate-string-to-width' from Emacs/mule-delta.

Sun Jan 12 13:57:11 1997  Kyle Jones  <kyle_jones@wonderworks.com>

	* prim/window.el (shrink-window-if-larger-than-buffer): Don't let
	readjusted window change the buffer order stack.

Sat Jan 11 20:12:47 1997  Vinnie Shelton  <shelton@icd.teradyne.com>

	* utils/finder.el (finder-insert-at-column): Correct off-by-one
	error affecting long file names.

Fri Jan 10 22:27:58 1997  Shane Holder  <holder@rsn.hp.com>

	* utils/bench.el:  New version.

Fri Jan 10 13:22:26 1997  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* packages/man.el (Manual-entry-switches): New variable.
	(Manual-apropos-switches): New variable.
	(Manual-run-formatter): Use them.

Thu Jan  9 22:04:42 1997  Greg Klanderman  <greg@alphatech.com>

	* modes/make-mode.el: Allow disabling of suspicious line warnings
	allow macro pickup when a macro is entered normally
	add the runtime macros to the completion list so confirmation is
	not necessary when minibuffer-confirm-incomplete is t.
	(these last two only in effect when makefile-electric-keys=t)

Thu Jan  9 11:44:11 1997  Martin Buchholz  <mrb@eng.sun.com>

	* mule/mule-files.el (file-coding-system-alist): Default to 8 bit
	on .el and .info files.

Wed Jan  8 20:57:16 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/help.el (help-mode-quit): Correct typo in docstring.
	(help-mode-quit): Bury help buffer before restoring previous
	window configuration.

Wed Jan  8 20:20:01 1997  Joe Nuspl  <nuspl@nvwls.cc.purdue.edu>

	* x11/x-menubar.el (default-menubar): Include enriched.doc in the
	samples in the help menu.

Wed Jan  8 20:09:32 1997  Jens Krinke  <krinke@ips.cs.tu-bs.de>

	* x11/x-toolbar.el (toolbar-news-frame-properties): New variable.
	(toolbar-news): Use it.

Wed Jan  8 10:11:35 1997  Steven L Baur  <steve@altair.xemacs.org>

	* x11/x-compose.el (global-map): Keysyms use `-' not `_'.

Mon Jan  6 18:19:03 1997  Steven L Baur  <steve@altair.xemacs.org>

	* comint/telnet.el (telnet-initial-filter): Enable
	case-fold-search.
	(telnet-maximum-count): Bump up to 6, since 4 does not always
	appear to be enough.

Mon Jan  6 08:30:55 1997  Andrew Cohen  <cohen@andy.bu.edu>

	* psgml/psgml-parse.el (sgml-compile-dtd): noconv coding system
	has been renamed to no-conversion.
	(sgml-bdtd-merge): Ditto.
	(sgml-push-to-entity): Ditto.

Sun Jan  5 14:35:30 1997  Steven L Baur  <steve@altair.xemacs.org>

	* utils/loadhist.el (symbol-file): Make interactive.

Sun Jan  5 00:40:02 1997  Bob Weiner  <weiner@infodock.com>

	* packages/avoid.el (mouse-avoidance-mode): autoload.

	* x11/x-menubar.el (options-menu-saved-forms): Mouse avoidance
	mode option.

Sat Jan  4 12:25:34 1997  Steven L Baur  <steve@altair.xemacs.org>

	* prim/faces.el (init-other-random-faces): Guard against adding
	modeline buffer tty face if no tty support.

Fri Jan  3 23:15:22 1997  Greg Klanderman  <greg@alphatech.com>

	* packages/backup-dir.el: Added to distribution.

Fri Jan  3 16:20:42 1997  Steven L Baur  <steve@altair.xemacs.org>

	* gnus/gnus-setup.el: Updated to gracefully handle installed
 	auxilliary packages like tm, and handle eventual integration of
 	Red Gnus/Gnus 5.4.

Fri Jan  3 14:32:07 1997  Vinnie Shelton  <shelton@icd.teradyne.com>

	* packages/gnuserv.el (gnuserv-frame): Autoload.

	* x11/x-menubar.el (default-menubar): Add option to control gnuserv
	creating a new frame.
	(options-menu-saved-forms): Ditto.

Fri Jan  3 12:18:41 1997  Martin Buchholz  <mrb@eng.sun.com>

	* x11/x-mouse.el: Protect creation of scrollbar-pointer-glyph with
	feature test on 'scrollbar.

Fri Jan  3 10:37:48 1997  Steven L Baur  <steve@altair.xemacs.org>

	* packages/mic-paren.el (paren-activate): Update to v1.2.

Fri Jan  3 10:21:58 1997  Pete Ware  <ware@cis.ohio-state.edu>

	* x11/x-menubar.el (default-menubar): Add require-final-newline
	and next-line-add-newlines as options in the options menu.
	(options-menu-saved-forms): Ditto.

Thu Jan  2 18:52:32 1997  Joel Peterson  <tarzan@aosi.com>

	* prim/simple.el (blink-matching-open): Make sure point is visible
	when blinking.

Thu Jan  2 11:25:05 1997  Vinnie Shelton  <shelton@icd.teradyne.com>

	* prim/replace.el (occur-mode-mouse-goto): Fix typo in Emacs 19.34
	synch up.
	(occur-mode-map): Ditto.

Wed Nov 20 19:40:05 1996  Lennart Staflin  <lenst@lysator.liu.se>

	* psgml-parse.el (sgml-modify-dtd): set sgml-current-tree to
	sgml-top-tree. Needed by sgml-open-element.

Mon Nov 11 01:50:40 1996  Lennart Staflin  <lenst@lysator.liu.se>

	* Version 1.0 released.

Sun Sep 15 14:07:24 1996  Lennart Staflin  <lenst@lysator.liu.se>

	* psgml.el (sgml-mode): modify mode-line-format with subst, don't
	replicate the whole format in the code.

Thu Sep 12 20:27:38 1996  Lennart Staflin  <lenst@lysator.liu.se>

	* psgml-parse.el (sgml-external-file): Try to find system
	identifiers using the sgml-public-map
	if sgml-system-identifiers-are-preferred; this way that flag will
	have effect even if the sgml-public-map contains `%s'.
	(sgml-final): moved to be defined before use.

	* psgml-dtd.el (sgml-parse-parameter-literal): Try to handle
	character references to character number above 255 by leaving a
	character reference in then parsed entity text.

Thu Sep  5 14:11:00 1996  Dave Love  <d.love@dl.ac.uk>

	* psgml-other.el (sgml-set-face-for): Nullify
	{after,before}-change-functions as well as (obsolete)
 	{after,before}-change-function.

Tue Dec 31 11:34:37 1996  Steven L Baur  <steve@altair.xemacs.org>

	* comint/gdb.el (gdb-mode): Require 'cc-mode if not already loaded
	prior to starting gdb.

Mon Dec 30 17:59:48 1996  Steven L Baur  <steve@altair.xemacs.org>

	* comint/telnet.el (telnet-check-software-type-initialize): Remove
	default in cond (which allows special treatment of password prompt
	to work).

Mon Dec 30 09:36:04 1996  Valdis Kletnieks  <Valdis.Kletnieks@vt.edu>

	* packages/gnuserv.el (server-edit): Add option to allow killing
	last visible frame.

Sun Dec 29 21:36:44 1996  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files-nomule.el: Add trailing newline.

Sun Dec 29 18:45:34 1996  James LewisMoss  <dres@dres.elam.org>

	* modes/perl-mode.el: Add (provide 'perl-mode).

Sun Dec 29 17:15:57 1996  Martin Buchholz  <mrb@eng.sun.com>

	* ilisp/Makefile (elc): Be a little smarter about recompilation.

Sun Dec 29 17:14:27 1996  Steven L Baur  <steve@altair.xemacs.org>

	* tm/tm-edit-tipgp.el: Don't unconditionally require tinypgpa.el.

Sat Dec 28 11:15:55 1996  Steven L Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el (default-menubar): Move Frame-local font menu
	option to Frame Appearance submenu.

Fri Dec 27 20:30:00 1996  Steven L Baur  <steve@altair.xemacs.org>

	* x11/x-font-menu.el (font-menu-this-frame-only-p): Default to
	nil, because everyone was confused by it defaulting to t.

Fri Dec 27 12:30:37 1996  Richard Mlynarik  <mly@adoc.xerox.com>

	* prim/sort.el (sort-subr): Document use of `sort-fold-case'.
	(sort-lines): Ditto.
	(sort-paragraphs): Ditto.
	(sort-pages): Ditto.
	(sort-regexp-fields): Ditto.
	(sort-numeric-fields): Ditto.
	(sort-regexp-fields): Ditto.
	(sort-columns): Ditto.
	(sort-regexp-fields): Use compare-buffer-substrings if available.

Fri Dec 27 12:09:23 1996  Noah Friedman  <friedman@gnu.ai.mit.edu>

	* modes/mail-abbrevs.el (mail-abbrev-expand-hook): Prevent abbrev
	expansion from happening multiple times.

Fri Dec 27 02:31:15 1996  Steven L Baur  <steve@altair.xemacs.org>

	* prim/help.el (help-for-help): Don't confuse help character `b'
	with scrolling character `b' in view-less help buffer.

	* packages/scroll-in-place.el: Synch with 19.15.

Thu Dec 26 15:25:09 1996  Steven L Baur  <steve@altair.xemacs.org>

	* x11/x-menubar.el (xemacs-splash-buffer): New function.
	(default-menubar): Use it.
	(default-menubar): Reorganize help menus.

	* prim/startup.el (startup-message-timeout): More or less disable
	the timeout of the splash screen.

	* packages/man.el (Manual-use-rosetta-man): For Neal Becker's
	Rosetta Man patch.
	(Manual-nuke-nroff-bs): Use it.

Tue Dec 24 12:46:22 1996  Steven L Baur  <steve@altair.xemacs.org>

	* prim/frame.el (show-temp-buffer-in-current-frame): Shrink temp
	buffer to fit.

Mon Dec 23 15:44:49 1996  Steven L Baur  <steve@altair.xemacs.org>

	* utils/delbackspace.el: Correct rebindings so they work properly
	when cc-mode is not dumped with XEmacs.

	* packages/apropos.el (apropos-print): Minimize size of *Apropos*
	window if it is small.

	* prim/lisp.el (lisp-complete-symbol): Minimize size of
	*Completions* window.

	* prim/help.el (with-displaying-help-buffer): (Based on an idea
	from Sudish Joseph) minimize size of displayed help window.

	* modes/fortran.el (fortran-window-create-momentarily): Fix
	lossage from synch with Emacs 19.34.
	(fortran-abbrev-start): Ditto.

Sun Dec 22 15:33:25 1996  Hrvoje Niksic  <hniksic@srce.hr>

	* x11/x-toolbar.el (toolbar-news): Check whether this is the last
	frame before deleting it.

Sun Dec 22 00:37:42 1996  Sudish Joseph  <sudish@mindspring.com>

	* eterm/tgud.el (tgud-gdb-complete-filter): Match carriage returns
	as well as linefeeds.

	* eterm/term.el (term-dynamic-list-completions): Correct Emacsism
	in setting unread-command-events.

Sat Dec 21 23:37:02 1996  Bob Weiner  <weiner@infodock.com>

	* packages/font-lock.el: Update Java support.

Sat Dec 21 22:48:59 1996  Steven L Baur  <steve@altair.xemacs.org>

	* packages/fontl-hooks.el: Add provide (synch with 19.15).

	* x11/x-toolbar.el: Don't quote lambda macro.

	* packages/session.el: Removed from distribution.

Sat Dec 21 22:37:37 1996  Neal Becker  <neal@ctd.comsat.com>

	* pcl-cvs/pcl-cvs.el: Synched with pcl-cvs.el from cvs-1.9.

Fri Dec 20 15:19:36 1996  Steven L Baur  <steve@altair.xemacs.org>

	* packages/compile.el (compilation-error-regexp-alist): Complete
	fix for lossage on bad regexps.

	* prim/loadup.el: Remove cc-mode as a dumped package.

	* prim/glyphs.el (init-glyphs): hscroll-glyph is now builtin.

	* prim/minibuf.el (minibuffer-complete-word): Correct an ebola
	infection that caused incorrect interpretation of SPC in the
	minibuffer.

Thu Dec 19 22:16:47 1996  Heiko Muenkel  <muenkel@tnt.uni-hannover.de>

	* modes/outl-mouse.el (outline-glyph-menu): Remove Hide body item,
	Add Show all item.

Thu Dec 19 00:37:59 1996  Bart Robinson <lomew@cs.utah.edu>

	* prim/files.el: Make enable-local-variables 'ask-me behave sanely.

Wed Dec 18 23:10:15 1996  Steven L Baur  <steve@altair.xemacs.org>

	* prim/simple.el (next-line-add-newlines): Now defaults to nil.

Wed Dec 18 22:56:48 1996  Hrvoje Niksic  <hniksic@srce.hr>

	* utils/bench.el (bench-mark-13): Added.

Wed Dec 18 20:26:10 1996  Martin Buchholz  <mrb@eng.sun.com>

	* mule/mule-coding.el: Change charset names.

	* mule/japanese-hooks.el: Change charset names.

	* mule/hebrew-hooks.el: Change charset names.
	Remove quail hooks.

	* mule/greek-hooks.el: Change charset names.
	Remove quail hooks.

	* mule/european-hooks.el ((make-char 'latin-iso8859-1 32)): Change
	charset names.
	Remove quail hooks.

	* mule/cyrillic-hooks.el (cyrillic-iso8859-5): Use instead of cyrillic.
	Remove quail hooks.

	* mule/chinese-hooks.el (chinese-gb2312): Fix chinese syntax tables.
	Use chinese-gb2312.
	Remove quail hooks.
	(chinese): Comment out code for egg.

	* mule/thai-hooks.el: Use thai-tis620.
	(thai): Prefer macro definition of lambda.

	* sunpro/sunpro-init.el (sunpro-startup): Guard against Sun
	censorship.

	* prim/obsolete.el (wholenump): New obsolete alias.

	* prim/simple.el (comment-indent-function): Use macro definition
	of (lambda () ...).

	* prim/replace.el (list-matching-lines): Remove redundant
	(message (format ...))

	* modes/cc-mode.el: Readd autoloads (prior to removing cc-mode as
	a dumped package).

Wed Dec 18 11:09:45 1996  Steven L Baur  <steve@altair.xemacs.org>

	* comint/telnet.el: Synch up to 19.15 & Emacs 19.34.
	(telnet-check-software-type-initialize): Cleanup from Synch.

Sat Dec 14 17:39:17 1996  Steven L Baur  <steve@altair.xemacs.org>

	* packages/buff-menu.el (list-buffers-directory): autoload.

Fri Dec 13 16:53:14 1996  Steven L Baur  <steve@altair.xemacs.org>

	* electric/ebuff-menu.el (electric-buffer-list): Restore behavior
	of using prefix argument.

	* emulators/crisp.el (crisp-mode-map): Rename kp_.* keysyms to
	kp-\1.

	* emulators/tpu-edt.el: Ditto.

	* x11/x-win-sun.el: Ditto.

	* x11/x-iso8859-1.el: Ditto.

	* term/tvi970.el: Ditto.

	* term/news.el: Ditto.

	* term/lk201.el: Ditto.

	* term/linux.el: Ditto.

	* prim/keydefs.el: Ditto.

	* prim/events.el: Ditto.

	* packages/icomplete.el (icomplete-get-keys): Ditto.

	* games/gomoku.el (gomoku-mode-map): Ditto.

	* games/blackbox.el (blackbox-mode-map): Ditto.

Fri Dec 13 09:40:27 1996  Sudish Joseph  <sudish@mindspring.com>

	* prim/minibuf.el (next-history-element): Remove kludge test on
	minibuffer-history-sexp-flag.

	* x11/x-init.el (init-post-x-win): Fix hooks for gnuattached ttys
	on XEmacsen started on X displays.

Thu Dec 12 16:05:53 1996  Raymond Toy  <toy@rtp.ericsson.se>

	* ilisp/ilisp-out.el (ilisp-find-lower-window): Correct XEmacs
	version check to look at major numbers.
	(ilisp-find-top-left-most-window): Ditto.

Thu Dec 12 15:21:43 1996  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>

	* utils/mail-extr.el (mail-extract-address-components): Don't
	automatically downcase extracted elements.  It violates standards.

Thu Dec 12 14:46:47 1996  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* x11/x-menubar.el (buffers-menu-filter): The buffer menu was
	shortened to `buffers-menu-max-size' items even if
	`buffers-menu-submenus-for-groups-p' is non-nil.

	Let `buffers-menu-submenus-for-groups-p' be an integer : if there
	are more buffers than this value, use submenus, otherwise not.
	
	* packages/vc.el (vc-rename-this-file): New function (was missing,
	but referred to on the menubar).

	* packages/compile.el (compilation-font-lock-keywords): `defvar'
	instead of `defconst'!

	* prim/mouse.el (default-mouse-track-normalize-point): Double
	click mouse-1 on sexpr selects the sexpr.

	* x11/x-menubar.el (options-menu-saved-forms): Fix bug in
	`save-options-menu-settings'.

Thu Dec 12 14:25:21 1996  Steven L Baur  <steve@altair.xemacs.org>

	* prim/simple.el (forward-to-indentation): Do not deactivate zmacs
	region on usage.
	(backward-to-indentation): Ditto.

Thu Dec 12 14:22:55 1996  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* prim/lisp.el (backward-up-list): Do not deactivate zmacs region
	on usage.

Wed Dec 11 20:26:21 1996  Barry A. Warsaw  <bwarsaw@CNRI.Reston.VA.US>

	* prim/files.el (set-auto-mode): Require a #! signature to set
	mode based on interpreter.

Wed Dec 11 13:25:50 1996  Steven L Baur  <steve@altair.xemacs.org>

	* packages/man.el (Manual-use-rosetta-man): Restore Neal Becker's
	Rosetta Man Patch.
	(Man-cleanup-manpage): Use it.

	* prim/simple.el (yank): Corrected a mistaken synch with Emacs
	19.34.

	* modes/eiffel3.el (eiffel-mode-syntax-table): Quote the semicolon
	syntax entry so update-autoloads doesn't barf.

	* packages/buff-menu.el (Buffer-menu-mode-map): Correct mouse key
	bindings.

Tue Dec 10 21:24:04 1996  Steven L Baur  <steve@altair.xemacs.org>

	* packages/ps-print.el (ps-do-despool): Allow dynamic expansion of
	`ps-lpr-switches'.

	* packages/lpr.el (print-region-1): Allow dynamic expansion of
	`lpr-switches'.

Tue Dec 10 18:30:01 1996  Rod Whitby  <rwhitby@asc.sps.mot.com>

	* modes/vhdl-mode.el: New File.

Tue Dec 10 17:59:35 1996  Shane Holder  <holder@rsn.hp.com>

	* utils/bench.el: New file.  Utility for benchmarking emacs
	performance.

Tue Dec 10 10:11:55 1996  Steven L Baur  <steve@altair.xemacs.org>

	* electric/ebuff-menu.el (electric-buffer-menu-mode-map): Correct
	bad 19.34 synch patch.
	
	* utils/pretty-print.el: New File.

Sun Dec  8 13:59:40 1996  Steven L Baur  <steve@altair.xemacs.org>

	* prim/files-nomule.el: Documentation corrections.

	* prim/files.el: Synch to 19.15/Emacs 19.34.

Sat Dec  7 18:48:34 1996  Steven L Baur  <steve@altair.xemacs.org>

	* packages/hexl.el (hexl-mode-map): Corrected obsolescent key
	names introduced in 19.15-b2.

Fri Dec  6 20:17:47 1996  Steven L Baur  <steve@altair.xemacs.org>

	* games/yow.el: Sync to GNU Emacs 19.34.

	* games/studly.el: Documentation fixes.

	* games/spook.el: Sync to GNU Emacs 19.34.

	* games/mpuz.el: Sync to GNU Emacs 19.34.

	* games/life.el: Sync to GNU Emacs 19.34.

	* games/hanoi.el: Sync to GNU Emacs 19.34.

	* games/flame.el: Documentation fixes.

	* games/dunnet.el: Sync to GNU Emacs 19.34.

	* games/doctor.el: Sync to GNU Emacs 19.34.

	* games/dissociate.el: Sync to GNU Emacs 19.34.

	* games/cookie1.el: Sync to GNU Emacs 19.34.

	* games/conx.el: Documentation fixes.

	* games/blackbox.el: Sync to GNU Emacs 19.34.

	* games/NeXTify.el: Documentation fixes.

	* packages/man.el: New file/replacement from Emacs 19.34.

	* packages/man-xref.el: New file from Emacs 19.35.

